Thu Sep  4 22:48:10 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.8.

Thu Sep  4 22:26:59 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/configure.c (cdda_configure): Disable the cdindex
	gui.

Thu Sep  4 22:24:44 CEST 2003  Thomas Nilsson <thomas@xmms.org>

	* NEWS: Updated for 1.2.8 release and changed order

Thu Sep  4 21:49:30 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* README: Fix broken urls.

	* xmms.spec.in: Avoid using nested ifs to avoid rpm bugs.  Don't
	do expicit stripping of binaries, rpm will handle that.  Check for
	the right version of libvorbisfile.

	* libxmms/Makefile.am: Added ".." to INCLUDES.

Thu Sep  4 20:34:30 CEST 2003  Thomas Nilsson <thomas@xmms.org>

	* README: Updated the documentation to better reflect on the
	current state of XMMS.

Tue Sep  2 19:33:14 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/xmmsctrl.c, xmms/controlsocket.c: Handle short reads and
	writes on the controlsocket properly.  Based on a patch by 
	Andrew Moise <moise@nauticom.net>

	* Input/mpg123/mpg123.h: Double the maximal displayed length of
	title, artist and album.

	* libxmms/xconvert.c: I had forgot to put a xmms_ prefix on a
	couple of functions.

	* xmms/about.c (translators): The Vietnamese and Tajik translators
	had got swapped for some reason.
	Patch by Pablo Saratxaga <pablo@mandrakesoft.com>.

Mon Sep  1 22:25:30 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/configure.in: Increment libtool version.

	* xmms/util.c (util_create_add_url_window): Make sure the "play"
	button is active if it is present.

	* xmms/playlist.c (playlist_load_ins): Fix loading of filenames
	containing ";" from pls playlists.

	* Output/alsa/audio.c (debug): Convert it from a macro to a
	function.

	* xmms/util.c (read_ini_string_no_comment): Make it possible to
	not regard ";" as a comment in "ini" files.

	* libxmms/xconvert.c, libxmms/xconvert.h: Moved the format,
	channel and frequency conversion routines from the oss plugins
	here, and reworked them somewhat to work for several plugins.

	* Output/alsa/audio.c: Do format, channel and frequency conversion
	if necessary.

	* xmms/main.c (mainwin_mr_change): Show correct text when always
	on top is enabled.  
	Patch by Erik Gillespie <rattles@yakko.cs.wmich.edu>

	* Output/alsa/audio.c (alsa_close): Fix a bug that could trigger
	if open failed.

	* configure.in: Work around a bug in AC_PREFIX_PROGRAM in some
	autoconf versions.

	* Input/cdaudio/http.c, Input/mpg123/http.c, Input/vorbis/http.c:
	Use g_snprintf() instead of snprintf().
	
Tue Aug 12 23:05:25 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* po/POTFILES.in: Remove some obsolete files.
	Patch by Hiroshi Takekawa <sian@big.or.jp>

	* configure.in, Input/cdaudio/http.c, Input/mpg123/http.c,
	Input/vorbis/http.c: Support for ipv6 (disabled by default).
	Patch by Tomasz Torcz <zdzichu@irc.pl>
	
	* xmms/about.c (translators): Jordi Mallach also has worked on
	Catalan.

	* Input/cdaudio/configure.c (configurewin_check_drive): We could
	leak filehandles.

	* xmms/pluginenum.c (cleanup_plugins): Fix some small memory 
	leaks (this is just befor exit, but it clutters up leak reports).

	* Input/cdaudio/configure.c (cdda_configurewin_ok_cb): Set the oss
	mixer channel to CD. (It was unitialized).  This should be made
	configurable at some point.

	* Output/alsa/init.c: Fixed a small memory leak.

Tue Aug 12 16:56:30 CEST 2003  Espen Skoglund  <esk@ira.uka.de>

	* ltmain.sh: Do not ignore -lc_r flag on FreeBSD-5.  This causes
	SERIOUS breakage.

	* gnomexmms/Makefile.am: Fixed typo LTLIBSINTL -> LTLIBINTL.

Fri Aug  8 19:15:38 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/about.c (translators): Add "Tadej Panjtar".

Fri Aug  8 17:48:29 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (handle_cmd_line_options): If "--play" and
	"--enqueue" are combined start playing the new files.  This alters
	the old behaviour slighly, but it makes so much more sense that I
	think it's ok.  Patch picked up from the Ximian rpm.

	* xmms/Makefile.am, wmxmms/Makefile.am, gnomexmms/Makefile.am:
	@INTLLIBS@ -> @LTLIBINTL@

	* xmms/main.c (enable_x11r5_session_management): Set the
	WM_COMMAND property. 

Wed Aug  6 23:07:00 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* Output/alsa/audio.c (alsa_open): Fix bugs in error recovery.

	* Input/mpg123/http.c (mpg123_http_read): Fixed a small memory
	leak.

	* xmms.spec.in: Deciding whether to build the gnome package at
	configure time is not such a bright idea when building the rpm
	from a tarball.  Change the defailt to off.
 
	* configure.in: Default to build the OSS plugin.

Wed Jul 23 09:50:47 CDT 2003  Ryan Weaver  <ryanw@falsehope.com>

	* xmms.spec.in:
	Added grep to filter out the 'no package provides' response
	from rpm that was causing a false positive.

Fri Jul 18 19:06:46 CEST 2003  Matthieu Sozeau  <mattam@altern.org>

	* Output/alsa/configure.c, Output/alsa/init.c, Output/alsa/alsa.h,
	Output/alsa/audio.c: add mixer_card handling code

	* Output/alsa/audio.c (alsa_close): added error handling code for
	close. Do not free mmap buffer and areas if mmap wasn't activated
	as they weren't allocated.	

	* Output/alsa/audio.c (alsa_setup): added error handling for
	get_size/get_time calls. Added rate plugin initialization if rates
	doesn't match.

	* Output/alsa/audio.c (alsa_open): fix typo in alsa_setup call.

	* Output/alsa/audio.c (alsa_get_volume): handle mixer settings
	changes from another application, remove useless temporary variables.
	
Wed Jul 16 01:22:21 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/http.c (http_buffer_loop): Never overwrite files
	when saving streams.

	* xmms/prefswin.c (create_prefs_window): Fix a typo.

	* xmms/controlsocket.c (ctrlsocket_func): playlist_clear() did not
	update the main window.

	* Input/tonegen/tonegen.c (tone_about): Remove non-ascii
	characters.

	* Output/sun/about.c (sun_about): Remove a superfluos space.

	* configure.in: Cosmetic fix.

	* Input/mpg123/id3_frame.c (decompress_frame): Make sure size
	includes the null termination.

Wed Jul 16 00:37:44 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* Output/alsa/configure.c (configure_win_ok_cb): Fixed a small
	memory leak.

	* Output/alsa/audio.c (alsa_get_output_time): Correct for what is
	already sent to the soundcard to fix the absymal synchronization.

	* Output/alsa/audio.c: Fix playing beyond 2^32 bytes.

	* Output/alsa/init.c, Output/alsa/audio.c: Cleanups.

Mon Jul 14 00:54:41 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/xentry.c, libxmms/xentry.h, libxmms/Makefile.am: Small
	modification of the entry widget where keyboard navigation works
	even if the widget is not editable.

	* Output/alsa/audio.c (alsa_real_open): Fix an inverted test.

	* Input/vorbis/vorbis.c (vorbis_aboutbox): Convert string to use
	only ascii.

	* xmms/about.c: Add some more people, and convert all names to
	ascii.

	* xmms/input.c (input_general_file_info_box): Use the new entry
	widget.

	* libxmms/formatter.c (xmms_formatter_format): Fix a bug that
	would trigger if the very last character was a '%'.

	* General/song_change/song_change.c (timeout_func): Compare
	filename instead of song time to figure out if we got a new song.
	Sligly more expensive, but much better, and avoids problems with
	songs that are changing length.  Let song change trigger also when
	not playing again.

	* General/song_change/song_change.c: Warn if the user sets an
	unsafe command.

	* xmms/playlist.c: Make sure that we visit each subdirectory
	exactly once when recursively adding directories to avoid problems
	with recursive symlinks.

	* po/Makefile.in.in: Change translation comment tag to "I18N:".

	* ltmain.sh: Reinstate hack for -pthread flags in .la files that
	were undone by the libtool upgrade.

Thu Jul 10 00:43:28 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/Makefile.am, configure.in,
	Input/cdaudio/cdaudio.c: Cdindex has renamed to Musicbrainz some
	time ago, and the old way of looking up data does not seem to be
	supported any more so don't bother building it.

	* Input/mpg123/dxhead.c (mpg123_get_xing_header): Do some sanity
	checking on the data.

	* Input/mpg123/mpg123.c (get_song_time): Check the file size if
	the xing tag has no filesize (and the tag is valid).

	* xmms.spec.in: Add xmms-mpg123 and xmms-mp3 to obsoletes.

Sat Jul  5 00:55:06 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* General/song_change/song_change.c (timeout_func): When the
	playlist was emptied some data was not cleared.
	Patch by <martin_o@lysator.liu.se>

	* xmms.spec.in: Fix a typo in the files for the alsa package.  Use
	the %configure function.

	* configure.in, xmms.spec.in: Decide whether to build the
	xmms-gnome package at configure time.

Fri Jul  4 00:05:02 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/prefswin.c (prefswin_show_vis_plugins_page): Due to
	reorganization we showed the wrong page.

	* Output/alsa/Makefile.am: EXTRA_DIST was a conditional.

	* xmms.spec.in: Build an alsa package.

	* xmms.spec.in: Make the build of gnomexmms conditional.  Require
	version 1.0 of the vorbis packages.

	* configure.in: Remove obsolete gettext 0.10.35 workaround.  Move
	list of languages over to po/LINGUAS.

Wed Jul  2 22:09:30 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* ltmain.sh: Upgrade to libtool 1.4.3.

Wed Jul  2 21:22:53 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/defskin/titlebar.xpm: Make the "clutterbar" letters better
	visible.

	* configure.in: Don't test for OSS if it has been explicitly
	requested.

	* Output/OSS/Makefile.am, Input/cdaudio/Makefile.am: Remove
	OSS_CFLAGS.
	
	* Input/cdaudio/cdaudio.c, Input/cdaudio/cdaudio.h: Export
	read_audio_data().

	* Input/cdaudio/cdaudio.c, Input/cdaudio/configure.c: Don't try to
	use dae if there is not compiled in support for it.

	* Input/cdaudio/configure.c (configurewin_check_drive): Test dae
	(configurewin_add_drive): Fix an inverted ifdef.

	* Input/cdaudio/cddb.c, Input/cdaudio/cdindex.c: Refix a clash
	between glibc and kernel headers on linux.

Mon Jun 16 22:24:29 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* acinclude.m4: Fix the GNOME configure script to work better with
	new autoconfs.

	* Output/OSS/Makefile.am, Output/alsa/Makefile.am: Make sure these
	plugins are included in 'make dist'.

Sun Jun 15 23:46:37 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdaudio.c (dae_play): CDaudio is little endian.

Thu Jun 12 18:41:08 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c: Fix a couple of references to "Sticky".

	* configure.in: Fix a typo that would cause the OSS plugin never
	to get built.

Mon Jun  9 22:39:57 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Make it possible to enable the oss plugin even if
	we can't find the header file.

	* Output/OSS/OSS.h, Output/esd/mixer.c, Input/cdaudio/cdaudio.c,
	Input/cdaudio/cdaudio.h, Input/cdaudio/configure.c, xmms/main.c:
	Use the local copy of soundcard.h.

	* Output/alsa/audio.c: Remove unneccesary typedefs 
	(alsa_setup): Clean up error handling.

	* xmms/main.c (mainwin_options_menu_entries): Rename "Sticky" to
	"Show on all desktops".

	* xmms/playlist.c (playlist_delete_node): Update mainwin text to
	get playlist position correct if we delete a entry before it.

Sun Jun  8 15:29:17 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/about.c (show_about_window): Update copyright year, and
	reinstate 4front.

	* xmms/playlist_list.c (playlist_list_draw): Show queue position
	for songs that have no length too.  Based on a patch by 
	Ricky Clarkson <ricky_clarkson@yahoo.com>

	* xmms/controlsocket.c, xmms/controlsocket.h, libxmms/xmmsctrl.c,
	libxmms/xmmsctrl.h: Remove the recently added functions that pop
	up gui elements.

	* xmms/playlist.c (playlist_get_queue_position): We don't want to
	grab the playlist mutex here.
	(playlist_is_position_queued): Change return type to boolean.

	* Input/cdaudio/cdaudio.c: Add dae support for Solaris.
	Patch by 4Front Technologies <info@opensound.com>.

Thu Apr  3 20:40:30 CEST 2003  Thomas Nilsson <thomas@xmms.org>

	* xmms/playlistwin.c: Change CROP from shift+delete to 
	control+delete.

Tue Apr  1 23:25:11 CEST 2003  Håvard Kvålen  <havardk@xmms.org>

	* autogen.sh, intl/*, po/Makefile.in.in, po/Makevars,
	po/boldquot.sed, insert-header.sin, remove-potcdate.sin,
	Rules-quot, po/quot.sed, acinclude.m4: Check in gettext to cvs.

	* xmms/equalizer.c (equalizerwin_load_auto_preset): Fix a small
	memory leak.

Tue Mar 18 00:07:01 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/tabinit.c, Input/mpg123/tabinit_MMX.s,
	Input/mpg123/Makefile.am: Move tabinit_MMX.s into tabinit.c.

	* Input/mpg123/layer3.c, Input/mpg123/mpg123.c,
	Input/mpg123/mpg123.h: Fix playing of mono files if the mmx
	decoder is in use.  Not very optimal fix, but atleast it works.

	* Input/mpg123/mpg123.c: Use the id3v2 COMM frame as comment
	instead of TXXX as we used to.

	* Input/mpg123/layer3.c (mpg123_dct36): Remove some dead code.

	* xmms/hints.c (net_wm_set_desktop): Make "sticky" actually work
	on EWMH window managers.

	* xmms/hints.c (net_wm_check_features): Use _NET_WM_STATE_ABOVE if
	available.

	* xmms/main.c (mainwin_press): Don't use "moveresize" to move
	windows even if it is available.  xmms' handling of windows is so
	weird that its creating more problems than its solving.

	* xmms/playlistwin.c (playlistwin_press): Ditto.

	* xmms/equalizer.c (equalizerwin_press): Ditto.

	* xmms/main.c (mainwin_jump_to_file_edit_cb): Remove a completely
	wrong signal emit that would make xmms crash when typing in the
	jump to file box.  I can't see why what good this was supposed to
	do at all.

Sat Mar 15 15:00:23 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/sm.c, xmms/sm.h, xmms/main.c: Restart with the same sm id
	as we had last time.  Patch by Havoc Pennington <hp@redhat.com>

	* Input/mpg123/common.c (mpg123_stream_close): We would call
	pthread_join(NULL, NULL) when closing a file.  Most pthread
	libraries seems to handle this bug gracefully, but atleast some
	versions of NPTL crashes.

	* xmms/controlsocket.c (check_ctrlsocket): Clamp volume to less
	than 100 for both channels.  Patch by Eric Piel <eric.piel@tut.fi>.

	* xmms/skin.c (skin_decompress_skin): Escape characters that are
	special to the shell inside double quotes to avoid running any
	commands unintentionally.

Thu Jan 16 02:32:46 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Call AM_PROG_AS if it is available instead of the
	previous hack.

Wed Jan 15 19:08:51 2003  Espen Skoglund  <esk@ira.uka.de>

	* Input/cdaudio/cdaudio.c (read_audio_data): Added DAE support for
	FreeBSD.  Should also work on other <sys/cdio.h> based systems.

Tue Jan 14 15:37:40 2003  Espen Skoglund  <esk@ira.uka.de>

	* libxmms/util.c: Added <sys/types.h> include necessary for newer
	FreeBSD systems.

Mon Jan 13 16:35:05 CET 2003  Peter Alm  <peter@xmms.org>
	
	* xmms/main.c, xmms/playlist.[ch], playlist_list.c: Applied
	queue patch (Patch by Johan Tavelin <d00jota@dtek.chalmers.se>)

Sat Jan 11 16:03:01 CET 2003  Peter Alm  <peter@xmms.org>

	* libxmms/xmmsctrl.[ch], xmms/controlsocket.[ch]: Added xmms_remote_*
	functions for showing various playlist-add dialogs. (Patch by
	Tobias Bengtsson <tobbe@tobbe.nu>)
	
Sun Jan  5 17:09:26 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Output/alsa/audio.c: Push some variables into functions.  More
	whitespace changes.  Use glib memory allocation functions.

	* Output/alsa/audio.c (alsa_error): Gtk+ was called unsafely from
	threads.  Just output a g_warning for now.

	* Output/alsa/configure.c: Remove a reimplementation of strstr().
	Remove unused variables.  Whitespace changes.

	* Output/alsa/init.c: Some minor cleanups and whitespace changes.
	
Sun Jan  5 15:24:22 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* acinclude.m4: Pull in more autoconf macros that are used by
	AM_ICONV.

	* config.rpath: Also used by AM_ICONV.

Sun Jan  5 02:08:56 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Output/alsa/alsa.h: Fix paths and stuff to make it compile.

	* Output/alsa/audio.c, Output/alsa/configure.c,
	Output/alsa/init.c: Reindented to match the rest of xmms.

Sun Jan  5 01:36:47 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Output/alsa/alsa.h: Remove the gettext dummy macro.

Sat Jan  4 23:58:22 GMT 2003  Chris Wilson  <jakdaw@xmms.org>

	* Output/alsa/audio.c, configure.c: Bring up to date with Matthieu
	Sozeau's CVS tree

	* AUTHORS: Bring up to date with xmms/about.c

Sun Jan  5 01:02:35 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Output/alsa/alsa.c: Change the version string.

	* Output/alsa/Makefile.am: Make the alsa plugin build.

	* configure.in: Add check for ALSA.

	* config.guess, config.sub, missing, mkinstalldirs: Update to
	newer versions.

Sun Jan  5 00:33:59 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* po/POTFILES.in: Add files from the sun and alsa plugins.

	* Output/Makefile.am: Add alsa.

	* acinclude.m4: Import alsa.m4.

	* Output/sun/configure.c: Remove a unnecessary _().

Sat Jan  4 23:56:54 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Output/alsa/*: ALSA plugin by 
	Matthieu Sozeau <mattam@netcourrier.com>.  It does not get
	compiled yet.

	* Input/cdaudio/configure.c: Disable the mixer selection if dae is
	selected.

	* Input/cdaudio/cdaudio.c (dae_play_loop): Handle drives that
	can't do cooked ioctl dae better.

	* xmms/about.c (credit_text): Add Matthieu Sozeau.

Fri Jan  3 00:58:02 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (mainwin_set_song_info): Show frequencies below
	10kHz correctly too.

	* xmms/util.c: Do some changes to the handling of virtual
	directories to cope with the "deletedir" Gtk+ patch that some
	vendors apply to Gtk+ these days.

	* Input/cdaudio/cdaudio.c (cdda_init): Only drive one would show
	up in the gui after a restart.

Thu Jan  2 23:47:01 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdaudio.c, Input/cdaudio/cdaudio.h,
	Input/cdaudio/configure.c: Add support for playing cdaudio with
	digital audio exctraction.  Linux only, and still a few rough
	edges left yet.

	* configure.in: Removed a non-break space character.

Thu Jan  2 19:02:40 CET 2003  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/Makefile.am: Explicitly link against libxmms.

	* configure.in: Make sure msgmerge also knows we use old-style po
	files.

	* configure.in, acinclude.m4, Input/vorbis/utf8.c,
	Input/vorbis/Makefile.am: Use AM_ICONV to detect if we got
	iconv(), this handles libiconv properly.

Sun Dec 15 23:52:18 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c: Pop up a message if writing a playlist
	fails.

	* xmms/playlist.c (playlist_save): Report failure also if the
	fclose() fails.

	* Input/mpg123/dxhead.c (mpg123_get_xing_header): If there is no
	toc in the header, make one up.  This will allow seeking, albeit
	inaccurate.

Mon Nov 18 13:47:09 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* libxmms/dirbrowser.c (select_row_cb): Don't crash if we
	don't have a GdkEventButton. Thanks to Eric Piel (#1108)

Sat Nov 16 14:11:18 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* General/song_change/song_change.c: Only update if we currently
	are playing something, prevents garbage to be printed when
	clearing the playlist. Patch by Jeff Shute (#1099)

Fri Nov 15 16:34:56 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c: playlist_position can now be NULL with entries
	on the playlist but this was not handled properly.

	* xmms/util.c (util_create_filebrowser): Revert a wrong signal
	connect change.

Sun Nov  3 01:27:12 GMT 2002  Chris Wilson  <jakdaw@xmms.org>

	* xmms/prefswin.c: General cleanup to make things more consistent
	across notebook pages. Also split Effects & General plugins onto
	different pages. Effects plugins still not ideal.

Sun Oct 27 20:25:54 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/skin.c (skin_load_pixmaps): We would crash if the text.bmp
	file was too small.

	* xmms/playlist.c (playlist_ins_dir): Make the background scanning
	of dirs optional.
	(playlist_ins_url_string): Don't do background scanning of dirs
	here.  Not a good idea when adding dirs from the commandline or
	controlsocket.

	* xmms/main.c, xmms/playlist.c, xmms/playlist.h: Don't maintain a
	shuffle list if it's not enabled.  Thus we'll regenerate the list
	if it is disabled and enabled.

	* xmms/playlist.c (playlist_set_position): Regenerate the shuffle
	list if the user selects a position manually.

	* xmms/playlistwin.c (playlistwin_update_list): Fix some ugly
	checks for things that never should happen.
	(playlistwin_update_sinfo): Remove a stray PL_UNLOCK().
	(playlistwin_fileinfo): playlist_get_selected_list() was renamed.
	(playlistwin_set_sensitive_sortmenu): Use
	playlist_get_num_selected() instead of
	playlist_get_selected_list().
	(playlistwin_show_sub_misc_menu): Ditto.

	* xmms/playlist_slider.c (playlistslider_draw): Make it possible
	to use the middle button to scroll directly to the position of the
	mouse.

	* xmms/playlist.c (playlist_get_num_selected): New function.

	* xmms/playlist.c (playlist_get_selected): Renamed from
	playlist_get_selected_list().

	* xmms/main.c (mainwin_url_ok_clicked): Prepend the url with
	http:// if that seems necessary.

Sun Oct 27 19:15:24 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/util.c (del_directory): Make sure to close the fts handle.
	(read_ini_string): Change the order of some tests, we would
	sometimes access characters one byte outside the string.

	* xmms/about.c (credit_text): Add credits for the mmx code.  Add
	Josip Rodin.

	* wmxmms/wmxmms.c: Various whitespace changes.  Removed some
	duplication in the command line arg handling.

	* libxmms/dirbrowser.c (show_cb): Don't try to scroll the window
	if we can't find the node to scroll to.

	* Input/mpg123/id3_frame_text.c (id3_utf16_to_ascii): Make the
	conversion hack work.

	* Input/mikmod/Makefile.am (INCLUDES): Include $(top_srcdir).

Mon Oct 14 20:43:07 CEST 2002  Thomas Nilsson <thomas@xmms.org>

	* xmms/about.c: Give proper credits for the skin.

Mon Oct 14 18:15:49 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/configfile.c: Set the locale back to the original one
	properly when we change it.

	* Input/vorbis/vorbis.c (vorbis_play_loop): We didn't close
	streams correctly if the open failed, this would leak resources.
	Patch by <jberlin@niksula.hut.fi>

Fri Oct 11 08:07:19 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/dirbrowser.c: Make the window default to slightly
	larger, scroll to make the selected entry visible.  Cleanups.

	* xmms/util.c (util_create_filebrowser): Make the play button do
	something.

	* Input/mpg123/common.c (read_id3v2_tag): The calculation of the
	size of the tag was way wrong.

Tue Oct  8 21:06:44 CDT 2002  Zinx Verituse <zinx@xmms.org>

	* Input/mpg123/mpg123.c: Hex am good.  Made the CPU_HAS_3DNOW
	macro work.  I hope. :)

Tue Oct  8 19:50:49 CDT 2002  Zinx Verituse <zinx@xmms.org>

	* Input/vorbis/vorbis.c: Don't use anticlip if we don't
	have tags for it, and do proper clipping when values
	are out of bounds.

Thu Oct  3 04:46:22 CEST 2002  Thomas Nilsson <thomas@xmms.org>

	* xmms/main.c: Doubleclicking on the songtitle will open
	the fileinfo dialog. [#998]

Thu Oct  3 04:02:50 CEST 2002  Thomas Nilsson <thomas@xmms.org>

	* Input/mpg123/configure.c, Input/mpg123/mpg123.c
	Input/mpg123/mpg123.h: Changed the preferences for "Detect by
	content" to be a little more configurable. It's now possible to
	detect by content, extension and both. [#145]

	* xmms/main.c, xmms/main.h, xmms/prefswin.c, xmms/playlist.c:
	Changed "Read meta data from playlists" to "Use meta data in
	playlists". If disabled we will not save the EXTINF data in
	the playlist. [#682]

	* xmms/util.c: Removed unused variable.

	* Input/vorbis/configure.c: Make "Override generic titles" switch
	enable/disable the rest of the gui without having to exit settings
	to change the title.

	* Input/vorbis/vorbis.c, Input/mpg123/mpg123.c, Input/wav/wav.c:
	Made the titles more unified. %F will no longer include the
	filename, and will always end with a /. To reproduce the old %F
	use %F%f to get /path/filename.ext [#746]

Mon Sep 30 17:39:29 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/layer3.c: Fix a missing symbol if simd was enabled.

Sat Sep 28 02:00:13 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/mpg123.c, Input/mpg123/dct64_MMX.s,
	Input/mpg123/decode_MMX.s, Input/mpg123/tabinit_MMX.s,
	Input/mpg123/Makefile.am, Input/mpg123/configure.c,
	Input/mpg123/dct64_3dnow.s, Input/mpg123/decode_i386.c,
	Input/mpg123/layer2.c, Input/mpg123/layer3.c,
	Input/mpg123/mpg123.h, Input/mpg123/tabinit.c: MMX mpeg decoder
	optimizations from mpg123.  configure with --enable-simd to
	enable. mpg123 optimizations by "higway" <higway@mednet.md>.  XMMS
	patch by Osamu Kayasono <jacobi@jcom.home.ne.jp>.

	* Input/mpg123/getcpuflags.s: Redo the fetching of info from
	cpuid.  Properly check if cpuid is supported in the first place
	and also check if the functions we want are available.

	* Input/mpg123/decode.c, Input/mpg123/decode_2to1.c,
	Input/mpg123/decode_4to1.c, Input/mpg123/decode_o386.c: #if out
	the mono2stereo decoding that we never used.

	* Input/mpg123/mpg123.c, Input/mpg123/mpg123.h,
	Input/mpg123_decode_ntom.c: Remove the n to m resampling that we
	never used.

	* Input/mpg123/id3_tag.c, Input/mpg123/id3_header.h,
	Input/mpg123/id3_frame.c, Input/mpg123/id3.h: Support for reading
	ID3v2.2 tags.

	* Input/mpg123/id3.h, Input/mpg123/id3.c,
	Input/mpg123/id3_frame.c, Input/mpg123/id3_frame_content.c,
	Input/mpg123/id3_frame_text.c, Input/mpg123/id3_frame_url.c,
	Input/mpg123/id3_tag.c, Input/mpg123/common.c: Don't use typedefs
	for most of the id3 struct's.

	* xmms/util.c: Change the caption on the buttons on the
	filebrowser to make it more consistent.  The "add selected files"
	and "add all files in directory button" will no longer clear the
	playlist even if the filebrower is opened from the eject button.

	* configure.in: Define CCAS and CCASFLAGS to be compatible with
	automake > 1.4.

	* configure.in: Make sure the cdrom plugin gets built on
	Solaris/X86.

Sat Sep 21 09:09:53 CDT 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/configure.c: Made plugin actually save the
	value of use_anticlip.

Sun Sep  8 22:18:25 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* */Makefile.am: Add $(top_srcdir) to INCLUDES where needed.  This
	fixes building with a separate source and object tree.

	* Input/cdaudio/cddb.c (cddb_server_dialog_ok_cb): Fix invalid
	casting of pointer to int.
	Patch by Wilbern Cobb <vedge@csoft.org>

	* Visualization/blur_scope/config.c: Fix more invalid casting
	between pointers and int.
	Patch by Wilbern Cobb <vedge@csoft.org>
	
	* xmms/visualization.c (vis_send_data): Fix a problem that would
	occur if char's are unsigned.
	Patch by Wilbern Cobb <vedge@csoft.org>

	* xmms/about.c (credit_text): Add Wilbern Cobb.

Sun Sep  8 19:01:37 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/fileinfo.c: Don't close the window if the user
	pressed save, and we failed to write the file for some reason.

	* libxmms/configfile.c: Do more checking of the parameters we are
	fed, to be able to fail gracefully if possible.

	* Input/mpg123/id3_tag.c, Input/mpg123/id3_header.h,
	Input/mpg123/id3.c, Input/mpg123/id3_frame.c,
	Input/mpg123/common.c: Don't read id3 info from disk using packed
	structs.  That never was a portable aproach.

	* Input/mpg123/id3_frame_text.c, Input/mpg123/id3.h,
	Input/mpg123/id3_frame_content.c: Don't dereference unaligned 16
	bits integers.  Made us segfault on some id3v2 tags on just about
	every platform but ia32.

	* Input/mpg123/common.c: Remove the mmap based reader that I don't
	think we have ever used.

	* Input/mpg123/Makefile.am, Input/mpg123/decode_i386.c: Fix so
	that it's possible to build with the i386 version of decode.c
	without using assembler.

Sun Sep  8 17:54:26 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (main): Hold the GDK mutex also when calling
	init_plugins() and gtk_main().

	* Input/vorbis/configure.c (vorbis_configurewin_ok): The setting
	of track / album was swapped in the gui.
	Patch by Olivier Calle <olivier@calle.org>

	* xmms/main.c (mainwin_jump_to_file_edit_cb): Fix a crash if a
	entry in the playlist contains no '/'.
	Patch by Suzanne Skinner <tril@igs.net>.

	* General/ir/irio.c, General/ir/configure.c,
	Output/solaris/audio.c: Remove C++ style comments.

	* xmms/main.c (mainwin_jump_to_time): Remove the limit on the
	length of the entry.  We would get problems when a song was longer
	than 100 minutes.

Sun Aug 18 12:59:11 CDT 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/vorbis.c: Xiphophorus -> the Xiph.org Foundation

Fri Jul 26 05:20:08 CDT 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/configure.c: Made the replaygain switch
	actually set the radio buttons sensitive/non-sensitive :/

Tue Jul 23 13:25:12 CDT 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/vorbis.c: Oops.  ov_read doesn't return OV_EOF,
	it returns 0.

Tue Jul 23 09:17:56 CDT 2002  Zinx Verituse  <zinx@xmms.org>

	* configure.in: Changed check for version, xmms requires
	a proper ov_read_float now.

	* Input/vorbis/configure.c, Input/vorbis/fileinfo.c,
	Input/vorbis/vorbis.c, Input/vorbis/vorbis.h: Updated to use
	newer ReplayGain tag names.

Wed Jun 12 14:49:14 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/input.c (input_update_vis): Throw away old visualization
	data as soon as possible.  This prevents an ouput plugin that is
	returning bad timestamps from making xmms allocate lots of memory.

	* Output/OSS/audio.c, Output/OSS/OSS.h, Output/OSS/convert.c: Do
	mono->stereo and stereo->mono conversion if necessary.

Wed Jun  5 11:20:35 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* Output/sun/configure.c: Remove a spurious #include.

	* configure.in: Don't use assembler on i386 OpenBSD.

	* xmms/playlist.c: Add some function prototypes.

	* ltmain.sh: Add a hack to work around problems with the -pthread
	flag in .la files.

Sun Jun  2 15:13:33 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* README, configure.in, Output/Makefile.am, output/sun/: Added the
	BSD Sun output plugin by Wilbern Cobb <vedge@csoft.org>

	* xmms/output.c (set_current_output_plugin): Fail gracefully if no
	output plugins are installed.

	* xmms/input.c (input_play): Ditto.

	* xmms/prefswin.c (create_prefs_window): Minor improvements to
	tooltips.

Sun May 26 01:13:47 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdaudio.c, Input/cdaudio/cdaudio.h,
	Input/cdaudio/configure.c: Support for unlimimited number of
	drives.  There are still a few rough edges left here.  Originally
	based on a patch by Jean Delvare <delvare@ensicaen.ismra.fr>

	* xmms/input.c (input_general_file_info_box): Show a generic file
	info button if no input plugin recognizes the file, or if the
	input plugin does not have one.

	* xmms/prefswin.c (create_prefs_window): Add more tooltips.

	* xmms/prefswin.c (prefswin_apply_changes): Update mainwin info
	text in case the "show numbers" option has changed.

Sat May 25 22:38:32 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/xmmsctrl.c (xmms_remote_playlist): Fix a deadlock if not
	enqueueing.

	* libxmms/xmmsctrl.c: Add a few g_return_if_fail() calls.

	* xmms/prefswin.c: Change the "read info on" options to radio
	buttons which is hopefully less confusing.

	* xmms/playlistwin.c: Pop up a warning box if the user tries to
	overwrite a playlist.

	* xmms/playlist.c (playlist_ins_dir): Scan files in the background
	when doing add dir.  It can be very timeconsuming.  Still need to add
	something to show that we are doing something.  Sort the files
	before adding them to the playlist.

	* xmms/playlist.c (playlist_sort_str_by_path_cmpfunc): Make "sort
	by path" sort directories before files.

	* xmms/playlist.c, xmms/playlist.h: Make a few functions static,
	and some whitespace changes.

	* Input/vorbis/fileinfo.c, Input/mpg123/mpg123.c: Change the name
	of one id3 genre from "Alt" to "AlternRock".

Wed May 22 15:10:51 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/configure.c, Input/vorbis/vorbis.h: Remove a couple
	of things that were not supposed to be checked in.  The vorbis
	plugin will compile again.

Sun May 12 16:53:41 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: Macedonian (mk).

	* xmms/playlist.c (playlist_ins_dir_real): Add files returned from
	input_scan_dir() with full path.

	* xmms/prefswin.c (prefswin_rt_callback): Make the warning even
	more discouraging.

	* xmms/prefswin.c (create_prefs_window): Start adding tooltips to
	some options.

	* Input/vorbis/vorbis.c: Move the replaygain processing to a
	separate function.  Misc cleanups and whitespace changes.

	* Input/vorbis/configure.c: Make the cancel button work like
	expected.  The replaygain settings won't be applied until the next
	song starts.

	* Output/solaris/audio.c: Use blocking IO.
	Patch by John Coiner <coiner@stanfordalumni.org>

Sat Apr 27 19:27:55 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mikmod/drv_xmms.c (xmms_Init): This plugin should now work
	also on big endian hardware.
	Patch by Wilbern Cobb <wcobb@openbsd.org>

Sat Apr 27 19:02:19 CEST 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.h, xmms/playlist.c (playlist_save): Don't try to
	guess type of playlist from filename, caller must specify
	explicitly.

	* xmms/main.c (save_config): Change the call to playlist_save().

	* xmms/playlistwin.c: Allow the user to explicitly set what format
	the playlist should be saved in.

	* xmms/util.c (util_font_load): Fall back to "fixed" if we can't
	load the font.

	* xmms/playlistwin.c (playlistwin_keypress_up_down_handler): Move
	the complex handling of key up and down to a separate function.
	Fixed some confusion about what is the selected entry after
	alt+up/down.

	* xmms/playlistwin.c, xmms/playlist_list.c:  Try harder to keep
	the moving entries visible when using Alt+up/down.

	* xmms/hints.c: Remove some unecessary casting.

	* xmms/Makefile.am: Changed a "+=" to "=".

	* configure.in: Split arch and os spesific things into two
	different case expressions.  Fixes a problem with the Solaris
	plugin not getting built on Solaris/X86.

	* xmms/urldecode.c (xmms_urldecode_path): Assume that invalid %nn
	constructs are literal '%'.

Sun Apr 14 13:10:37 BST 2002  Chris Wilson  <jakdaw@xmms.org>

	* xmms/effect.[ch] xmms/effect.h xmms/main.[ch], 
	xmms/pluginenum.c xmms/prefswin.c: Added support for having
	multiple effects plugins enabled at the same time. 

Tue Apr  9 21:58:45 BST 2002  Chris Wilson  <jakdaw@xmms.org>

	* xmms/prefswin.c: Stop the "enable plugin" checkboxes being
	sensitive when theres nothing for them to control.

Tue Mar 26 16:08:47 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c, xmms/equalizer.c, xmms/playlistwin.c: Let the
	windowmanager handle movements, and resizing if it supports
	_NET_WM_MOVERESIZE.

	* xmms/playlistwin.c: Handle the resizing of the playlistwindow in
	an idle func.

	* xmms/hints.c (net_wm_move_resize): Removed a g_message().

	* Input/cdaudio/cdaudio.c, Input/cdaudio/cdaudio.h: Darwin has a
	different format for 'structcd_sub_channel_info', the former fix
	for this did not compile.  Maybe it compiles now.

	* Input/cdaudio/cdaudio.c: Several minor portability improvements,
	mainly for NetBSD/OpenBSD.

Mon Mar 25 11:38:55 CST 2002  Ryan Weaver  <ryanw@falsehope.com>

	* xmms.spec.in, po/POTFILES.in: Drop the idcin plugin.

Sun Mar 24 22:28:40 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/hints.c, xmms/hints.h: Check what hints the windowmanger
	actually support.  Added support for the _NET_WM_MOVERESIZE hint.

	* xmms/prefswin.c, xmms/main.h, xmms/main.c: Let "save playlist
	postition" always be true, and removed the configuration option.

	* xmms/prefswin.c, xmms/main.h, xmms/main.c, xmms/util.c: Removed
	the "Reverse file order in file selector" option which was always
	completely useless.

	* xmms/prefswin.c (create_prefs_window): Change "Do not hide
	windowmanager decorations" to "Show windowmanager decorations".
	Write "seconds" instead of "s".

Sun Mar 24 15:35:41 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/urldecode.c (xmms_urldecode_path): Handle "localhost" urls.

	* xmms/playlist.c (playlist_load_ins): Fixed a inverted check that
	caused very long filenames in playlist to be loaded incorrectly.
	Patch by Nobuyoshi Nakada <nobu.nokada@softhome.net>

	* acinclude.m4, Input/vorbis/Makefile.am: Update ogg and vorbis m4
	scripts to those found in  1.0rc3.

	* configure.in: Fix ambiguous wording.

Sat Mar 16 00:07:47 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* configure.in, Input/Makefile.am, Input/idcin/*: Drop the idcin
	plugin.

	* Output/solaris/audio.c: Fix the prebuffering that never worked.

Mon Mar  4 22:27:37 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.7 

Mon Mar  4 22:24:14 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/id3_frame_text.c: Commented out two tests that were
	never triggered.

Mon Mar  4 21:27:41 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/configure.in: Increment libtool revision.

	* Output/solaris/audio.c (abuffer_shutdown): Don't destroy the
	mutex between songs.

Mon Mar  4 20:48:34 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/id3.c (id3_seek_fp): fread() returns 0, not -1 on
	error.  We could go into an infinite loop.
	Patch by Michael Weber <michaelw@debian.org>

	* Input/mpg123/id3.c: The read interface has no way to signal
	short reads, so return error instead.

Sun Mar  3 13:31:30 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Output/solaris/audio.c: Fix some bugs with regards to the
	handling of the circular buffer.
	Patch by John Coiner <jcoiner@stanfordalumni.org>

	* Output/solaris/audio.c (abuffer_loop): Fix a variable that could
	overflow on seek.
	Patch by John Coiner <jcoiner@stanfordalumni.org>

	* xmms/controlsocket.[ch], libxmms/xmmsctrl.[ch]: Back out the
	windowshade handling functions.  I prefer not to add things that
	are this closely tied to the gui.

Thu Feb 28 01:33:39 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* libxmms/dirbrowser.c: Replaced the directory icons which
	was not ours to use. Open folder made by Jakub Steiner
	<jimmac@ximian.com>, closed folder based on his.

Wed Feb 27 22:55:06 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/wav/wav.c (play_loop): Handle eof properly.

	* Input/wav/wav.h: Change filesize to unsigned long.

Wed Feb 27 00:12:14 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cddb.c (cddb_generate_hello_string): Supply a
	dummy user and hostname to the cddb server.

Tue Feb 26 23:58:29 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (mainwin_options_menu_callback): Always on top did
	not work.

Tue Feb 26 23:07:27 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/id3_frame.c (id3_read_frame): Sanity check the size
	of mallocs to aviod crashing on bad data.
	(decompress_frame): Ditto.

	* configure.in: Fix new gettext versions completely.

Mon Feb 25 21:50:48 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* xmms/Input/mpg123/id3_frame_content.c (id3_get_content): Don't
	g_free what we're about to return.

Wed Feb 20 00:35:14 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_get_info_text): Fixed a memory leak.

Wed Feb 20 00:16:22 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/dxhead.c, Input/mpg123/dxhead.h,
	Input/mpg123/common.c, Input/mpg123/dxhead.c,
	Input/mpg123/fileinfo.c, Input/mpg123/mpg123.c,
	Input/mpg123/mpg123.h: Fix reading of the xing header toc.  Some
	cleanup.

Tue Feb 19 21:15:45 2002  Espen Skoglund  <esk@ira.uka.de>

	* Input/mpg123/id3_frame_text.c (id3_utf16_to_ascii): New.
	(id3_get_text_number, id3_get_text_desc, id3_get_text): Fixup of
	unicode handling.  Always return malloced string.
	* Input/mpg123/id4_frame_url.c (id3_get_url, id3_get_url_desc): Ditto.
	* Input/mpg123/id3_frame_content.c (id3_get_content):  Ditto.
	* Input/mpg123/mpg123.c (ID3_SET): g_free() malloced string.

Mon Feb 18 02:56:14 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* xmms/playlist.c: Don't display playlist numbers in other parts
	of XMMS if they are disabled in the playlist.

Mon Feb 18 01:15:43 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* gnomexmms/gnomexmms.c: Fixed a off by one error in the drawing
	of widgets.  Patch by Thomas Nilsson <thomas@xmms.org>

Sun Feb 17 23:50:16 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist_list.c: Fixed a bug that caused a crash when click
	and dragging on a empty playlist.

	* Input/cdaudio/Makefile.am: Add the oss cflags.
	Patch by TANIGUCHI Yasuaki <yasuaki@ctrl.titech.ac.jp>

Sat Feb 16 18:35:02 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/vorbis.c: Made xmms wait only for the number
	of samples we need free in the buffer, instead of for the entire
	return by ov_read_float.  Patch by John Morton <jwm@plain.co.nz>

Thu Feb 14 00:26:46 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Explicitly check that the gnome header files are
	present.

	* gnomexmms/gnomexmms.c, gnomexmms.1.in: Optionally use a user
	supplied icon instead of the default one when xmms is not
	running.  Patch by Jon Colverson <jon@colverson.co.uk>

	* gnomexmms/gnomexmms.c (update_tooltip): Fixed a memory leak.

Tue Feb 12 01:12:05 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/skin.c (skin_get_textcolors): Destroy the image.

	* libxmms/configfile.c (xmms_cfg_free): We did not free the actual
	ConfigFile struct.

	* xmms/sm.c (sm_init): Fixed a very small memory leak.

Tue Feb 12 00:12:17 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/bmp.c: Added support for 32bits bmp files.

	* xmms/xmms.desktop: Remove the %F from the exec line as it was
	causing problems.  Added MIME types.

Wed Feb  6 21:55:57 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/bmp.c: Support for 16-bits "bitfield" bmps.

	* Input/mpg123/dxhead.c (mpg123_get_xing_header): Make sure that
	the number of frames is always a positive number to avoid problems
	with invalid data.

Mon Feb  4 16:58:11 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdaudio.[ch]: Added support for Darwin (picked up
	from fink) and NetBSD (picked up from NetBSD cvs), currently
	untested.  Some cleanup.

	* configure.in: Set OLD_PO_FILE_INPUT in a way that doesn't
	require GNU make. Added checks for cdrom variants.  Fixed some
	problems with the Ogg/Vorbis checks.

	* Input/vorbis/vorbis.c (vorbis_process_data): Update to match
	a changed define.

Mon Jan 21 00:16:11 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/controlsocket.c (check_ctrlsocket): Fixed a missing 
	mainwin_set_song_info(0, 0, 0) -> mainwin_clear_song_info()

	* xmms/main.c (mainwin_stop_pushed): Ditto.

Fri Jan 18 23:44:51 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/id3_frame.c (decompress_frame): Fixed a bug that
	caused a crash on compressed id3 frames.

	* libxmms/configfile.c: Write out float values locale
	independently.

	* xmms.1.in: The path to skinfiles was wrong.  
	Patch by  Matthew Swift <swift@alum.mit.edu>

	* xmms/main.c (mainwin_set_song_info): Move the special case of
	all zero to a separate function.  We would get problems if a
	plugin hit that code path.  Also fixed a theoretical race
	condition.

	* xmms/playlist.c, xmms/playlistwin.c, xmms/main.h:
	mainwin_set_song_info(0, 0, 0) -> mainwin_clear_song_info()

Tue Jan 15 18:44:20 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* xmms/about.c: Update year to 2002.

	* xmms/main.*, xmms/playlistwin.*, xmms/equalizer.*: Changed the
	windowshade functions to be more consistent and not use the same
	name for diffrent types of actions.

	* libxmms/xmmsctrl.*, xmms/controlsocket.*: Added functions to
	control shading of the three windows.

	xmms_remote_main_shade_toggle, xmms_remote_pl_shade_toggle,
	xmms_remote_eq_shade_toggle, xmms_remote_is_main_shade,
	xmms_remote_is_pl_shade and xmms_remote_is_eq_shade

Sun Jan 13 10:01:14 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/fileinfo.c: Fixed a very small memory
	leak, and modified the file info dialog to allow you
	to edit ReplayGain tags.

Sat Jan 12 10:12:19 CST 2002  Zinx Verutuse  <zinx@xmms.org>

	* Input/vorbis/vorbis.c, Input/vorbis/vorbis.h,
	Input/vorbis/configure.c: Made it so you can change
	replaygain while playing, and made it update when
	the current ogg stream changes.

Fri Jan 11 19:14:48 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/vorbis.c: Last one, I promise!  Removed
	an excess newline from the about box.

Fri Jan 11 19:11:36 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/vorbis.c: Made it so you can use	anticlip
	without replaygain, like the original patch.

Fri Jan 11 18:50:34 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* Input/vorbis/vorbis.c: Fixed a bug I stuck in that
	wrote too many samples when channels > 1.

Fri Jan 11 18:37:42 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* configure.in: Added check for broken ov_read_float
	
	* Input/vorbis/configure.c, Input/vorbis/fileinfo.c,
	Input/vorbis/vorbis.c, Input/vorbis/vorbis.h:
	Added support for ReplayGain tags.  Patch by Gian-Carlo
	Pascutto <gcp@sjeng.org>.

Wed Jan  9 12:01:31 CST 2002  Ryan Weaver  <ryanw@falsehope.com>

	* xmms.spec.in: Updated vorbis requirements.

Tue Jan  8 17:51:42 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.6

Tue Jan  8 16:38:27 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/mpg123.c (init): Use new style tags as default for
	the format.  Patch by Chris Wilson <jakdaw@xmms.org>.

2002-01-08  Anders Carlsson  <andersca@gnu.org>

	* gnomexmms/gnomexmms.c (drop_types): Add support for
	text/uri-list and STRING drop types.

Tue Jan  8 05:53:53 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* xmms/playlist.c: fixed a small memory leak in
	playlist_get_info_text

Mon Jan  7 22:59:31 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Output/disk_writer/disk_writer.c (convert_buffer): Fixed a
	endian problem.

	* xmms/playlist.c (playlist_prev): Wrap around to the top of the
	playlist if repeat is enabled.

	* xmms/xmms.desktop: More translations.  
	Patch by Jordi Mallach <jordi@sindominio.net>

	* libxmms/titlestring.c (CHECK): Don't cast pointers to int. 

	* acinclude.m4: Some versions of xml-config were reported to print
	something before the version number.

Sun Jan  6 22:54:05 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* xmms/xmms.desktop: Added translation.

Sun Jan  6 02:21:26 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* configure.in, Input/cdaudio/cdaudio.c: Added
	--with-cdda-device, --with-cdda-dir.

Sun Jan  6 02:01:20 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/http.c (mpg123_http_read): Fixed a problem with
	shoutcast-style title streaming.
	Patch by brendan@kublai.com.

	* xmms.1.in: Fixed some escaping.

	* xmms/util.c (find_file_recursively): Make sure we do a width
	first recursion.

	* Output/solaris/audio.c (abuffer_open): Added a couple
	soundcards.
	Patch by TANIGUCHI Yasuaki <yasuaki@ctrl.titech.ac.jp>

	* General/joystick/configure.c: Fixed a buffer with a static size
	that got too small if using a joystick with lots of buttons.

Sun Jan  6 01:33:57 CET 2002  Thomas Nilsson <thomas@xmms.org>

	* Input/cdaudio/cdaudio.c: Cleaned up some #IFDEF's
	* README: Mention the use of XMMS_CDDB_CLIENT_NAME

Sat Jan  5 00:19:25 CST 2002  Zinx Verituse  <zinx@xmms.org>

	* Visualization/opengl_spectrum/opengl_spectrum.c:
	Fixed a memory leak and maybe fixed a crash on disable.

Thu Jan  3 23:43:20 CET 2002  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdaudio.c: Added a missing prototype.

	* Input/mpg123/id3.c (id3_seek_fp): Don't try to seek outside the
	id3 tag.

	* Input/mpg123/layer3.c (III_dequantize_sample): Added a hack to
	avoid overflowing a buffer with some corrupted files.

Sat Dec 29 20:00:58 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/http.c (http_buffer_loop): We could use a closed
	FILE handle.

	* Input/vorbis/http.c (parse_url): Handle urls with "@" in the
	path better.

	* Input/vorbis/http.c (vorbis_http_get_title): Use the basename of
	the url instead of the entire url as default.

Sat Dec 29 16:29:31 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/pluginenum.c (init_plugins): Compare only the basename of
	output plugins, to avoid problems when changing prefix.

	* xmms/playlist.c (playlist_get_info_func): The playlistwin total
	time was not always updated.

Sat Dec 29 15:45:52 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/layer2.c (mpg123_do_layer2): Fixed a bug that could
	make us segfault on some corrupt files.

	* Input/cdaudio/cdaudio.c: Use a gtk timeout to stop the drive
	instead of a separate thread.  Fixed some of the ifdef clutter.

	* Input/cdaudio/cddb.c: We would miss the last track in some
	cases.  Patch by Elmar Ludwig <elmar.ludwig@uos.de>.

	* Input/cdaudio/cddb.c (cddb_generate_hello_string): Made it
	possible to change the client name supplied to the cddb server
	with a environment variable.

	* Input/cdaudio/cddb.c, Input/cdaudio/cdaudio.[ch]: Added back
	updating of the network window.

	* Input/cdaudio/cddb.c (cddb_generate_offset_string): We could
	overflow a buffer with a disc with a lot of tracks.

	* Input/cdaudio/cddb.c (cddb_check_protocol_level): Log the error
	message if the request fails.

Thu Dec 27 23:33:16 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/common.c (read_id3v2_tag): Handle invalid id3 tags.

	* Input/mpg123/id3_frame.c (id3_read_frame): We need to skip past
	the data of frames we don't recognize.

	* Input/mpg123/id3.c (id3_seek_fp): This function has apparently
	never worked.

	* Input/cdaudio/cddb.h (CDDB_MAX_PROTOCOL_LEVEL): Set max protocol
	level to 3, we don't handle multiple exact messages anyway.

	* Input/cdaudio/cdaudio.c (cdda_init): Don't read the protocol
	level.  It can cause problems, and the benefit is minimal.

Tue Dec 18 18:48:13 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/mpg123.c (mpg123_get_id3v2): Use 
	TPE2 (Band/orchestra/accompaniment) for artist if TPE1 is empty or
	missing.

	* Input/mpg123/id3_frame.c (id3_read_frame): All text frames were
	destroyed, woops.  Some other minor cleanup.

Mon Dec 17 23:24:27 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdaudio.c: Don't query the drive for the current
	time when paused.  Most drives are inaccurate, some return plain
	wrong values.

	* Input/vorbis/vcedit.c (_blocksize): Oops, left a typo here.

Mon Dec 17 01:54:13 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Added a check for vorbis_packet_blocksize().  You
	need vorbis 1.0rc1 or newer to compile the vorbis plugin.

	* Input/vorbis/vcedit.[ch]: Update to latest version by Michael
	Smith.

Sun Dec 16 23:44:40 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Actually use zlib if it's available.

	* Input/mpg123/id3.c, Input/mpg123/id3.h,
	Input/mpg123/id3_frame.c, Input/mpg123/id3_frame_content.c,
	Input/mpg123/id3_frame_text.c, Input/mpg123/id3_frame_url.c: Fix
	several problems with management of the dynamic buffers for id3
	frame data.

	* AUTHORS: Sync with about.c.

	* xmms/main.c (main): We would deadlock on various command line
	parameters.

	* xmms/playlistwin.c (playlistwin_create): One menu was not
	translated.  
	Patch by Hiroshi Takekawa <takekawa@sr3.t.u-tokyo.ac.jp>

Fri Dec  7 13:06:44 CET 2001  Thomas Nilsson <thomas@xmms.org>

	* README: Minor changes to layout and updated some urls.

	* xmms.1.in: added -t/--play-pause

Tue Dec  4 20:04:46 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/configure.in: Increment libtool version.

	* xmms/playlistwin.c, xmms/playlist.[ch]: Added reading of
	playlist info for selection.

	* wmxmms/wmxmms.c: Added an #include.

	* libxmms/titlestring.c: Added an #include.

	* General/ir/configure.c: Removed an unused variable.

Mon Dec  3 03:11:00 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Output/esd/configure.c, Output/esd/init.c: Don't use the OSS
	mixer my default.  Cleanup.

	* Output/esd/audio.c: Fixed a minor memory leak.  Some other minor
	fixes.

	* Output/esd/mixer.c, Output/esd/esdout.c: Better handling of
	external changes when using OSS mixer.  Other cleanups.

Mon Dec  3 00:27:21 CET 2001  Thomas Nilsson <thomas@xmms.org>

	* README: More details about the equalizer and some smaller changes.

Sun Dec  2 23:22:55 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.[ch], xmms/playlistwin.c: Added some functions to
	manipulate the "selected" status of entries.

	* xmms/playlist_list.c (playlist_list_select_range): Removed.

	* xmms/playlist_list.c (playlist_list_button_press_cb): Use
	standard playlist functions instead of manipulating the playlist
	directly.

	* Output/OSS/audio.c (oss_set_audio_params): Print a warning if
	some ioctls fail.

	* xmms/playlistwin.c (playlistwin_update_info), xmms/playlist.c:
	Moved calculation of playlist time to playlist.c

	* xmms/pluginenum.c (init_plugins): Compare only the basename of
	the output plugin to prevent problems if switching prefix.

	* xmms/playlistwin.c (playlistwin_update_sinfo): Fixed a error
	with long titles, and handling of "%20" conversion.  General
	cleanup.

	* Input/mpg123/http.c (mpg123_http_get_title): Use the entire url
	if the basename is empty.

	* configure.in: Don't add "-m486" to CFLAGS as it annoys people
	who want to set it to something else.

Sat Dec  1 17:57:32 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/equalizer.c, xmms/main.c, xmms/playlistwin.c: Set correct
	event time for menu popups, makes menus behave much better.

	* xmms/textbox.c (textbox_generate_pixmap): Added a hack to avoid
	resetting the scrolling text if only the length changes.

	* Input/mpg123/mpg123.c: Handle a pause that happens before we
	have opened the output properly.

	* Input/mpg123/mpg123.c (decode_loop): Fixed a crash that could
	happen when seeking close to the beginning or end of a vbr file
	without xing header.

	* Input/mpg123/id3.c (id3_close): We didn't free the memory
	allocated for the frames.

	* Input/mpg123/id3.[ch], Input/mpg123/id3_frame.c,
	Input/mpg123/id3_tag.c: Change the linked list of frames to a
	GList.

	* Input/mpg123/id3.h, Input/mpg123/id3_frame_text.c,
	Input/mpg123/id3_frame_url.c: Added constants for character
	encoding according to id3v2.4

	* Input/mpg123/http.c (mpg123_http_get_title): Use the basename of
	the url instead of the entire url as default.

	* Input/mpg123/id3_frame_content.c (id3_get_content): Change to
	avoid translating two string twice.

	* xmms/main.c (mainwin_set_song_info): Don't set playstatus if
	already paused.

	* xmms/main.c (idle_func): Don't open a new window on output
	plugin error if the old one still is open.

Thu Nov 29 21:13:32 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/http.c (parse_url): Handle url's with '@' in the
	path better.
	(http_buffer_loop): Make function static.

	* Input/vorbis/http.c (http_buffer_loop): Make function static.

	* xmms/about.c (translators): Added another translator.

	* configure.in: Always set HAVE_MIKMOD, fixes a problem with
	--disable-mikmod.  Set symbol prefix for NetBSD and OpenBSD.

	* README: Fixed a syntax error in a command. 

	* xmms/main.c (check_pposition): Set the same wmclass as other
	windows.

Wed Nov 14 23:01:29 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Output/esd/mixer.c, Output/esd/audio.c, Output/esd/configure.c,
	Output/esd/esdout.h, Output/esd/init.c, : Set stream volume in esd
	instead of tweaking the oss mixer directly.  
	Patch by Karl N. Gutwin <kgutwin@brandeis.edu>

	* xmms/skin.c (skin_decompress_skin): Change the bzip2
	decompression to use a pipe.  GNU tar has been changing the flag
	to several different things.

	* acconfig.h, libxmms/acconfig.h: Make realtime priority work
	again.

	* xmms/playlist_list.[ch], xmms/playlistwin.c, xmms/prefswin.c:
	Get a new font from the server only when it changes.  This should
	avoid a memory leak in some versions of XFree86.

	* gnomexmms/Makefile.am: Add orbit CFLAGS to fix compilation with
	new orbit releases.  Patch by David D. Zuhn <zoo@mnnr.org>.

	* Input/mpg123/http.c (http_buffer_loop): We could use a closed
	FILE handle.  Patch by Thomas Nilsson <thomas@xmms.org>.

Wed Nov  7 01:25:51 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: Thai (th).

Wed Nov  7 00:15:45 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c: By popular demand, added a --play-pause command
	line option.
	(display_usage): Restructured the --help output for easier
	translation.

	* libxmms/xmmsctrl.[ch], xmms/controlsocket.[ch]: Added
	xmms_remote_play_pause() and
	xmms_remote_playlist_ins_url_string().

Fri Oct 19 13:13:44 CDT 2001  Zinx Verituse  <zinx@xmms.org>

	* Input/mpg123/mpg123.c: Don't g_free() a buffer on the
	stack.

Sun Sep 23 16:08:05 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* ltmain.sh, config.guess, config.sub, acinclude.m4,
	libxmms/acinclude.m4: Upgrade libtool to version 1.4.2.

Tue Sep 18 23:03:31 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/mpg123.[ch], Input/mpg123/common.c: Handle vbr
	files without a xing header a bit better.

	* xmms/pluginenum.c: Cleanup.  Less #ifdef's now.  HP/UX not
	tested, and might be broken.

	* xmms/about.c (translators): Added some people.

	* Input/*/Makefile.am, Output/*/Makefile.am,
	General/*/Makefile.am, Visualization/*/Makefile.am,
	Effect/*/Makefile.am: Only export the one symbol we need.  This
	makes startup slighly faster.

	* xmms/playlist.c: Fix a compilation problem with Sun's cc (I
	hope).

	* Input/mpg123/mpg123.c: Removed the old 3dnow about box and added
	a more generic one.

	* Input/cdaudio/Makefile.am: Fix a typo.

	* xmms/xmms.desktop: Redid the desktop file.

	* xmms/prefswin.c (prefswin_toggle_wm_decorations): Make sure all
	wm hints is set.

	* General/joystick/about.c: Changed the style of the box to better
	match the rest of xmms.

	* gnomexmms.1.in: Fixed a typo.

	* xmms/textbox.c, xmms/sm.c: Some purely cosmetic changes.

Tue Sep 18 21:10:01 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/util.[ch], xmms/main.c, xmms.1.in: Make it possible to set
	keybindings permanent.

	* xmms/util.c (util_filebrowser_is_dir): Selecting "." or ".."
	with keyboard was not handled properly.

	* Input/vorbis/vcedit.c, Input/vorbis/vcedit.h: Updated to Michael
	Smith's latest version.

	* Input/tonegen/tonegen.c (play_loop): Fixed a bad inaccuracy.

	* configure.in (ALL_LINGUAS): New translations: Basque (eu), 
	Tajik (tg), Vietnamese (vi).

	* Output/OSS/audio.c, Output/OSS/convert.c: Remove a couple of
	g_message() and some other debugging stuff.

Mon Sep 10 20:47:29 CDT 2001  Zinx Verituse  <zinx@xmms.org>

	* xmms/Input/tonegen/tonegen.c: Changed it back so
	Håvard doesn't get conflicts when he applies the
	real fix instead of my broken one.

Mon Sep 10 20:21:05 CDT 2001  Zinx Verituse  <zinx@xmms.org>

	* xmms/Input/tonegen/tonegen.c: Changed period and t from
	int to double.

Thu Sep  6 18:36:10 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/hints.c: Changed the net wm hints according to the current
	spec.  Always on top now works with KDE2.  Lots of other cleanups.

	* xmms/main.c (mainwin_press): Don't unshade if double clicking
	inside a sensitive widget.  This fixes an annoyance when clicking
	fast on next or previous when the main window is shaded.
	(main): No need to set sticky and always on top twice on startup.

	* xmms/about.c (translators): Added a couple of translators.

	* configure.in: Don't touch Makefile.in.
	Removed the --disable-gnome flag, use --without-gnome instead.

	* libxmms/configure.in, libxmms/Makefile.am: Set the libxmms
	version number in configure.in.

	* Output/OSS/audio.c (oss_set_audio_params): The format conversion
	would not work after a skip or a pause.
	(oss_loop): Don't go backwards in the buffer when we pause.  The
	data might already be format converted or be run trough a effect
	plugin already.

	* Output/OSS/audio.c, Output/OSS/OSS.h, Output/OSS/convert.c,
	Output/OSS/Makefile.am: Moved the format conversion code to the
	new file convert.c

	* xmms/equalizer.c (equalizerwin_real_show): Use hint_set_always()
	instead of mainwin_set_always_on_top().

	* xmms/playlistwin.c (playlistwin_real_show): Ditto.

Thu Sep  6 10:19:35 CDT 2001  Zinx Verituse  <zinx@xmms.org>

	* xmms/main.c: ignore SIGPIPE too.  This keeps the control socket
	from bringing down xmms when someone terminates while communicating
	with it :)

Sun Sep  2 20:04:10 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* ltconfig, ltmain.sh, config.guess, config.sub: Upgrade libtool
	to version 1.4.

	* acinclude.m4, libxmms/acinclude.m4: Include libtool.m4.  You no
	longer need libtool to build xmms from cvs.

Sun Aug 26 19:24:10 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language Norwegian (nynorsk) (nn).

Sun Aug 19 20:59:05 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/skin.[ch], xmms/textbox.[ch], xmms/playlist_slider.[ch]:
	Make sure everything get reloaded when reloading a skin.

	* xmms/playlistwin.c (selection_received): Never clear the
	playlist when we get a selection.

	* xmms/main.c, xmms/equalizer.c, xmms/playlistwin.c,
	xmms/playlist_popup.c, xmms/util.[ch]: Explicitly set a cursor on the
	windows.

	* Input/mpg123/http.c (udp_check_for_data): Fixed a possible crash
	if we recieved a "streammsg".

	* xmms/playlist.[ch]: Removed playlist_selection_enqueue() that's
	no longer used.

	* xmms/main.c (main): Take the GDK mutex after initializing
	plugins to make sure there is no conflict with plugins.

Sat Aug 18 22:52:48 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_ins_dir_real): Follow symlinks when
	adding directories.

	* xmms/playlist.c: Fixed indentation, fixed a memory leak, and
	some other issues with regards to the m3u playlist support. 

	* xmms/main.c, xmms/prefswin.c, xmms/main.h, xmms/playlist.c:
	Changed the option about metadata in playlists to be if metadata
	should be read or not, not if it should be written.

	* xmms/main.c (mainwin_jump_to_time_cb): Don't try to seek in
	non-seekable files.

	* Input/mpg123/common.c, Input/mpg123/mpg123.[ch]: Don't crash if
	we are asked to seek in streams.

	* Input/tonegen/tonegen.c (tone_play): Fixed a segfault if a tone
	url had no valid tones.  Some other cleanup.

	* Output/OSS/audio.c (oss_get_output_time): Cleanup the handling
	of input/output/effect format.

	* xmms/playlistwin.c (playlistwin_release): Removed a stray
	g_message().

Thu Aug 16 19:50:52 CEST 2001  Thomas Nilsson  <thomas@xmms.org>

	* Input/mpg123/mpg123.c: (stop) don't set mpg123_filename to null
	before the decode thread has finished.

Tue Aug  7 11:42:28 CEST 2001  Espen Skoglund  <esk@ira.uka.de>

	* configure.in: Added check for FreeBSD newpcm driver.

	* Output/OSS/configure.c (oss_configure): Use different scan
	devices string when having a newpcm driver.
 
Sun Jul 22 22:33:30 CEST 2001  Thomas Nilsson  <thomas@xmms.org>

	* xmms/equalizer.c: Added Import/WinAMP Presets to the preset menu
	to import an entire set of WinAMP presets (WINAMP.q1) into the
	preset list.

	* Input/mikmod/plugin.c: Fixed broken recognition of mod.* files.

Mon Jul 16 09:01:31 CDT 2001 David D Zuhn <zoo@mnnr.org>
 
	* xmms/playlist.c: added support for extended M3U playlists
	(__playlist_ins): added title & length parameters; changed all
	calls to this function
	(is_playlist_name): call out some common code
 
	* xmms/main.h: added save_extended_info to the cfg structure.
	This value determines whether or not XMMS will save the full
	extended M3U information as it writes .m3u playlists.
 
	* xmms/main.c: read and write save_extended_info value (default
	value is TRUE)
 
	* xmms/prefswin.c: added label for save_extended_info

Sun Jul 15 21:57:28 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c, xmms/playlistwin.c, xmms/equalizer.c: Change the
	way we get window positions.  This should help a bit for some WMs.

Fri Jul 13 09:06:10 CEST 2001  Thomas Nilsson  <thomas@xmms.org>

	* xmms/prefswin.c (prefswin_apply_changes): Prevent storing of
	invalid values for snap distance and pause between songs.

Tue Jul 10 17:43:14 CEST 2001  Espen Skoglund  <esk@ira.uka.de>

	* xmms/input.c (input_get_song_info): Call xmms_get_titlestring()
	with some default reasonable values if plugin does not have a
	get_song_info() function.

	* Input/wav/wav.c (get_title): New function.
	(play_file, get_song_info): Use get_title().

	* Input/mikmod/plugin.c (get_title): New function.
	(get_song_info): User get_title().

	* xmms/util.c (del_directory): Use fts functions instead of ad-hoc
	solutions for deleting a file hierarchy.  (Note that superuser is
	allowed to enforce an unlink() on directories in some systems.)

	* configure.in: Add check for <fts.h>.
 	
Fri Jul  6 00:28:13 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/textbox.c (textbox_generate_pixmap): Fixed the bug which
	caused garble on the shaded playlist. 

	* xmms/playlistwin.c: Reverted the previous fix for garble on
	shaded playlist, it was only a workaround.
	(playlistwin_show_dirbrowser): We used a non-initialized variable.

	* libxmms/titlestring.h, xmms/plugin.h: Move the declaration of
	xmms_get_gentitle_format(void) to plugin.h it's not in libxmms.
	Patch by Michael Plump <xmms@krimedawg.org>.

Thu Jul  5 14:45:14 CDT 2001  Zinx Verituse <zinx@xmms.org>

	* configure.in: added --disable options for most stuff

Thu Jul  5 19:32:29 CEST 2001  Thomas Nilsson  <thomas@xmms.org>

	* xmms/playlistwin.[ch]: Page Up/Down now moves one page up/down
	instead of 3 lines. Fixed garbage shown in shaded playlist if the
	list was empty.

Thu Jul  5 12:25:51 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Output/OSS/audio.c (oss_set_audio_params): Do endian/sign
	conversion if necessary.  Also added 16bit to 8bit conversion.
	(oss_get_written_time): Fixed a bug that would make visualization
	not work, and make xmms use loads of memory under some
	circumstances.
	(oss_get_output_time): Don't use MAX() on unsigned variables.

	* gnomexmms/gnomexmms.c (timeout_func): Fixed a case where the
	tootip was not updated when neccessary.

	* wmxmms/wmxmms.c (timeout_func): Ditto.

Wed Jul  4 18:50:28 CEST 2001  Thomas Nilsson  <thomas@xmms.org>

	* xmms/main.c, xmms/equalizer.c, xmms/playlistwin.c: It happend
	that people forgot to change the values for the menu items,
	changed them to prevent this from happening again.

Wed Jul  4 01:38:44 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/vorbis.c (vorbis_play_loop): We would report wrong
	endian on little endian boxes.

Mon Jul 2 23:36:53 BST 2001  Chris Wilson  <jakdaw@xmms.org>

	* xmms/playlist.[ch] xmms/playlistwin.c: Added sort by date option
	for playlist sorting. Sorts by last modified dates of files, most
	recent files at the bottom of the playlist; anything non-file (ie
	streaming urls etc) is sent to the bottom of the playlist.

Mon Jul  2 22:18:52 CEST 2001  Thomas Nilsson  <thomas@xmms.org>

	* README, xmms.1.in: Updated for XMMS 1.2.5.

Thu Jun 21 01:30:37 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/mpg123.c (mpg123_format_song_title): Set empty
	strings to NULL, before sending to the titlestring formatter.
	This prevents it from generating empty titles.

	* README, xmms/main.c (segfault_handler): The URL for bugreports
	is http://bugs.xmms.org.  Patch by Thomas Nilsson <thomas@xmms.org>.

	* xmms/util.c: xmms did not compile if configured with
	--disable-nls.  Patch by  Glen Nakamura <gen@flex.com>

	* xmms/about.c (translators): Added a couple of translators.

Mon Jun 18 20:08:05 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.5

Sat Jun 16 15:02:07 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/vorbis.c (do_seek): Seeking when paused caused xmms
	to hang.

	* Output/OSS/mixer.c: Make the alternate mixer device actually
	work.

	* Output/OSS/audio.c (oss_open): Check that alt_audio_device is
	not NULL (you would need to edit the config by hand for that to
	happen).

Sat Jun 16 00:55:14 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms.spec.in, gnomexmms/Makefile.am: Fixed rpm build as
	non-root.

	* xmms.spec.in: Added man pages.

	* xmms/util.c, xmms/util.h, xmms/equalizer.c, xmms/main.c,
	xmms/playlistwin.c, xmms/controlsocket.c: Do translation of menu
	entries the right way.

	* xmms/equalizer.c, xmms/prefswin.c, xmms/skinwin.c,
	Input/mpg123/fileinfo.c: Cleaned up some #ifdef ENABLE_NLS stuff.
	
Sun Jun 10 16:53:59 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist_popup.c (playlist_popup_destroy): Getting one of
	the popups up, and then not selecting anything made strange things
	happen.

	* xmms/playlist.c (playlist_check_pos_current): Fixed a bug that
	caused incorrect behaviour if we were near the top.

	* libxmms/Makefile.am (libxmms_la_LDFLAGS): Bump the version
	number for libxmms as we have added interfaces.

	* configure.in: Fixed some places that tried to use the configure
	cache.

	* gnomexmms.1.in, wmxmms.1.in, Makefile.am, configure.in: New man
	pages for gnomexmms and wmxmms.

	* xmms.1.in: Added a "see also" section with wmxmms and gnomexmms.

	* gnomexmms/gnomexmms.c: Use the same version as the rest of xmms.

Fri Jun  8 23:53:37 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/input.c, xmms/visualization.[ch]: Fixed a problem with the
	osciloscope that happened if the input plugin sent less than 512
	samples to input_add_vis_pcm().

	* xmms/Makefile.am (xmms_SOURCES): Removed i18n.h to prevent it
	from being distributed.

Wed Jun  6 12:24:13 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Output/OSS/audio.c (oss_write_audio): Fixed bug that caused
	serious problems if we were doing samplerate conversion.

	* configure.in (ALL_LINGUAS): "zh_TW.Big5" changed to zh_TW.
	Insert export OLD_PO_FILE_INPUT = yes into the po/Makefile to be
	able to build with new gettext versions.

	* xmms/playlist.c (playlist_delete_node): Fixed a race condition.
	I don't think this was possible to trigger though.
	(playlist_check_pos_current): Fixed locking.

Thu May 31 17:32:18 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* configure.in: Do not compile with `-fomit-frame-pointer' when
	CFLAGS contains `-g' switch.  Added AC_SUBST() for Z_LIBS.

	* libxmms/configure.in: Added AM_CONFIG_HEADER().

	* Input/mpg123/Makefile.am: Added Z_LIBS to linker.

	* acconfig.h, libxmms/acconfig.h: Added wrappers for GLib
	allocating functions (for use together with dmalloc).

	* gnomexmms/gnomexmms.c (g_free_orig): New function.
	* wmxmms/wmxmms.c (g_free_orig): Ditto.
	* xmms/util.c (g_free_func, g_free_orig): Ditto.

	* xmms/util.c (util_item_factory_popup_with_data): 
	* xmms/playlistwin.c (playlistwin_physically_delete_cb):
	* xmms/main.c (mainwin_jump_to_file_edit_cb, mainwin_jump_to_file):
	* xmms/fullscreen.c (xmms_fullscreen_modelist_free): Converted
	g_free() passed as argument to g_free_func().

	* Input/wav/wav.c (play_file, stop, get_song_info):
	* Input/vorbis/vcedit.c (vcedit_new_state, vcedit_open_callbacks):
	(vcedit_clear_internals, vcedit_write):
	* Input/mpg123/tabinit.c (mpg123_make_conv16to8_table):
	* Input/mpg123/http.c (udp_check_for_data):
	* Input/mpg123/equalizer.c (init_spline):
	* Input/mpg123/common.c (mpg123_stream_check_for_xing_header):
	* Input/mpg123/id3.c (id3_open_mem, id3_open_fp, id3_open_fd)
	(id3_close):
	* Input/mpg123/id3_frame_text.c (id3_set_text_number, id3_set_text):
	* Input/mpg123/id3_frame.c (id3_delete_frame, id3_add_frame): 
	(id3_decompress_frame, id3_read_frame): 
	* Input/idcin/idcin.c (idcin_parse_file, idcin_stop):
	* Input/cdaudio/cddb.c (search_for_discid, cdda_cddb_get_info):
	* xmms/fft.c (fft_init): Converted malloc -> g_malloc, free ->
	g_free, strdup -> g_strdup.

	* Input/vorbis/configure.c: Added #include "config.h".
	* Input/vorbis/vcedit.c: Ditto.
	* Input/vorbis/id3.c: Ditto.
	* Input/vorbis/id3_frame.c: Ditto.
	* Input/vorbis/id3_frame_text.c: Ditto.
	* Input/vorbis/id3_frame_url.c: Ditto.
	* Visualization/blur_scope/config.c: Ditto.
	* Visualization/opengl_spectrum/config.c: Ditto.
	* libxmms/configfile.c: Ditto.
	* libxmms/formatter.c: Ditto.
	* libxmms/titlestring.c: Ditto.
	* libxmms/titlestring.c: Ditto.
	* libxmms/util.c: Ditto.
	* libxmms/titlestring.c: Ditto.
	* xmms/fft.c: Ditto.
	* xmms/util.c: Ditto.

	* Input/mpg123/equalizer.c (init_spline, eval_spline): Made static.

	* xmms.1.in: Minor cleanup.

Thu May 10 17:11:18 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_delete_filenames): Removed a test that
	was supposed to be removed.

	* xmms/playlistwin.c (playlistwin_save_filesel_ok): Removed a
	printf.  Some minor fixes.

Tue May  8 21:57:59 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist_list.c, prefswin.c: Disable the transparent
	playlist option for now.  It doesn't work properly with several
	wm's.

	* xmms/playlist_list.c (playlist_list_button_press_cb): Ungrab the
	pointer before calling playlist_play() which might take some time.

	* xmms/prefswin.c (create_prefs_window): Fontsets did not work.
	Patch by Konosuke Watanabe <nosuke@am.ics.keio.ac.jp>

	* xmms/xmms.desktop: A couple of new translations.

Tue May  1 15:38:49 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (mainwin_jump_to_file_entry_keypress_cb): Stop the
	key press signal on up and down to prevent moving the focus away
	from the entry.

	* xmms/playlistwin.c, xmms/playlist_list.[ch], xmms/util.[ch]:
	When selecting view file info from the popup menu, show info on
	the song that was right clicked on.

	* xmms/playlistwin.c (playlistwin_popup_handler): Fixed a missing
	break. 

Sun Apr 29 01:06:27 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* wmxmms/wmxmms.c (timeout_func): Fixed a small memory leak.
	Don't query the current songlength unless we are playing.

	* xmms/playlist.c (playlist_get_songtitle): If we need to ask the
	input plugin we might as well cache the information. 
	(playlist_get_songtitle): Ditto.
	Some other cleanups.

	* xmms/playlistwin.c (playlistwin_create): The sub-misc was not in
	the right click menu.

	* Input/vorbis/vorbis.c (vorbis_play): Make a copy of the
	filename.

	* Input/mpg123/mpg123.c (play_file): Make a copy of the filename.

Fri Apr 27 00:23:02 CEST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c: We could try to free() a uninitialized variable
	under some circumstances.

	* Output/solaris/audio.c: Fixed a nasty wraparound problem that
	was introduced recently.

	* Output/solaris/configure.c: Some minor cleanup.

	* Output/solaris/Sun.c: The solaris plugin did not compile.
	Patch by Jim Crumley <crumley@able.space.umn.edu>

	* Input/vorbis/vorbis.c: Generate the data with native endianness.
	Patch by Monty <xiphmont@xiph.org>.

Sun Apr 15 20:39:24 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c: Added right-click popup menu for playlist
	window.  Patch by Austin hall <meneldil@hobbiton.org>

	* xmms/playlist_popup.[ch], xmms/playlistwin.c: A small change to
	be able to handle several callbacks in the same function.

	* xmms/playlistwin.c: Fixed a problem with translation of the
	"sub-misc" menu.

Thu Apr 12 22:15:48 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/utf8.c, Input/vorbis/fileinfo.c,
	Input/vorbis/vorbis.[ch], Input/vorbis/Makefile.am, configure.in:
	Save vorbis comments as UTF-8 if the libc can convert it.

	* Output/OSS/audio.c: Handle the case where the write() return
	short better.

Tue Apr 10 18:20:50 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/effect.c, xmms/prefswin.c: Handle no effect plugins without
	crashing.

	* libxmms/titlestring.c, libxmms/dirbrowser.c, xmms/i18n.h.in,
	configure.in: Make xmms/i18n.h be generated by configure instead.

Tue Apr 10 12:40:23 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/titlestring.c, libxmms/dirbrowser.c, xmms/i18n.h: A hack
	to make translations work in libxmms.

Mon Apr  9 21:24:50 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms.1.in: Added a few keybindings and environment variables.

	* xmms/util.c (filebrowser_add_files): Changed the way we get the
	current dir.  This fixes a bug if adding files below the current
	directory. 

	* xmms/about.c: Fixed a error with the danish and dutch
	translators. 

Mon Apr  9 13:08:25 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* xmms.1.in: Added keybindings to man page, plus some other minor
	modifications.

Sun Apr  8 19:03:02 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/fileinfo.c: Show the file info window for non
	readable files and http streams too.

Sat Apr  7 20:09:35 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/fileinfo.c: Preserve any unknown tags in the file
	when editing.  Some further cleanups.
	(vorbis_file_info_box): Mark a few strings for translation.  
	Patch by Jorn Baayen <jorn@nl.linux.org>

	* xmms/about.c: Added Jorn Baayen.

	* po/POTFILES.in: Add Input/vorbis/fileinfo.c.

Thu Apr  5 18:42:08 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms-config.in: Get info from gtk-config at runtime if
	possible.

	* Input/vorbis/vorbis.c: Moved the genre list over to fileinfo.c,
	it's only useful there.

	* Input/vorbis/fileinfo.[ch]: Not much point in testing if functions
	that either return 1 or -1 return 0.  There was a local mutex
	here, that was useless, this stuff will always be run in the same
	thread anyway.  We do however want to share the mutex in
	vorbis.c.  Some misc cleanup.
	(init_files): Fixed a leak of filehandles.
	(vorbis_file_info_box): A bunch of global variables was
	duplicated here.  Translate the builtin genres.

	* xmms.1.in, configure.in, Makefile.am: New, minimal man page for
	xmms.

Wed Apr  4 17:14:01 EDT 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in, acinclude.m4, acconfig.h, libxmms/configure.in,
	libxmms/acinclude.m4: Check for sched_setscheduler and nanosleep
	in -lrt for Tru64 Unix.  Also fixed a bug here.
	Patch by Tim Mooney <mooney@dogbert.cc.ndsu.NoDak.edu>
	Moved over to acinclude.m4 and some further rewriting by me.

	* configure.in: Some minor cleanup in the checks for OSS headers.

	* xmms/about.c: Added the translators to the about window.  Let me
	know if there are omissions or other errors.

Wed Apr  4 13:28:55 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* Input/vorbis/fileinfo.[ch], Input/vorbis/Makefile.am,
	Input/vorbis/vcedit.[ch], Input/vorbis/vorbis.c: Added fileinfo
	dialog for Vorbis files.  Patch by Jorn Baayen
	<jorn@nl.linux.org>.
 
	* Input/vorbis/configure.c (vorbis_configure),
	Input/vorbis/vorbis.c (vorbis_generate_title): Added genre and
	comment as possible inputs to title string.
 
Sat Mar 31 13:08:14 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/input.c, xmms/util.c: Don't dereference non-lvalue arrays.

	* configure.in, acinclude.m4: New test for libxml.  This should
	fix the build problems on some Mandrake systems that has the
	xml-config script in the libxml (non-devel) package.

Thu Mar 29 13:09:33 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* configure.in: Check FreeBSD gcc version against
	FreeBSD_cc_version defined in gcc rather than <sys/param.h>.
	Thanks to FUJISHIMA Satsuki <sf@FreeBSD.org>.

Sun Mar 25 17:39:19 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): Added Serbian (sr).

	* xmms/main.c (main): Changed the text that complains about a too
	old Gtk+ slightly.
	(mainwin_menubtn_cb): Fixed a minor error with wm decoretions on.

	* xmms/util.c (util_create_add_url_window): Set the entry to a
	empty string when the window is opened.
	(util_add_url_callback): Increased the maximum number of entries
	to 30.
	(filebrowser_add_all_files): Clear the entry after adding files.

	* Input/mpg123/fileinfo.c: Made it possible to show and save the
	entire id3v1.0 comment field.
	(save_cb): Clamp the tracknumber to 255 instead of letting it wrap
	around.

Tue Mar 20 09:18:06 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (handle_cmd_line_options): Fixed a small bug that
	prevented filenames on the command line from working.

Tue Mar 20 11:31:57 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* Input/vorbis/configure.c, Input/mpg123/configure.c: Made
	titlestring description sensitive to override button.

	* libxmms/titlestring.c: Fixed typo.

Mon Mar 19 23:14:04 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/titlestring.c: New function that generates a table of
	descriptions of the title tags.  This removes some duplicate code
	from plugins and makes translation *much* better.

	* xmms/prefswin.c, Input/cdaudio/configure.c,
	Input/mpg123/configure.c, Input/vorbis/configure.c: Use the new
	description function.

	* po/POTFILES.in: Added libxmms/titlestring.c.

	* Input/vorbis/vorbis.c (vorbis_generate_title): Don't call atoi()
	with a NULL pointer.

	* Input/vorbis/Makefile.am: Removed obsolete README.

Sat Mar 17 21:22:06 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/controlsocket.c (check_ctrlsocket): Reverted the last
	patch.  The insert functions should (and does) update the
	playlist.

	* xmms/playlistwin.c (playlistwin_update_sinfo): Don't show
	playlist position if show numbers in playlist is disabled.

	* xmms/prefswin.c (prefswin_apply_changes): Make sure the playlist
	gets updated.

	* xmms/playlistwin.c (playlistwin_press): Don't change the
	playlist_x, and playlist_y variables here.  Fixes a minor problem
	with wm decorations on.

Sat Mar 17 01:45:14 CET 2001 Olle Hällnäs  <olle@xmms.org>

	* xmms/controlsocket.c: Added playlistwin_update_list();
	for CMD_PLAYLIST_ADD_URL_STRING: as reported in the
	forum by Bob Dean.

Thu Mar 15 05:20:34 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* gnomexmms/gnomexmms.c: Show a tooltip with the name of the song.
	Patch by Hiroshi Takekawa <takekawa@sr3.t.u-tokyo.ac.jp>.

Wed Mar 14 16:09:50 2001  Espen Skoglund  <esk@ira.uka.de>

	* Input/mpg123/fileinfo.c, Input/mpg123/mpg123.[ch]: Added support
	for ID3v1.1 tags.  Read track number from ID3v1.1 and ID3v2 tags.
	Removed id3_format_codes.
 
Tue Mar 13 15:50:40 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c: Set realtime mode and drop setuid priviliegies
	before initializing gtk+.

	* xmms/main.c (mainwin_mr_release): Fixed a bug that prevented the
	clutterbar doublesize toggle from working.

	* configure.in (ALL_LINGUAS): New translation: Portugese (pt).

	* xmms/main.[ch], xmms/prefswin.c, xmms/Makefile.am, configure.in,
	po/POTFILES.in, xmms/xmms.h: Removed the DGA support that never
	really worked anyway.

	* xmms/fullscreen.c: Fixed a warning.

Tue Mar 13 12:34:33 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* Input/vorbis/configure.c (vorbis_configure),
	xmms/prefswin.c (create_prefs_window): Fixed typos.

Mon Mar 12 21:17:54 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* Input/mpg123/configure.c, Input/mpg123/mpg123.[ch]: Removed ID3
	tag disabling.  Added generic title override option.  Updated
	title description string.

	* Input/mpg123/mpg123.c (eval_id3_format): Removed.
	(mpg123_format_song_title): Use xmms_get_titlestring().  Always
	use ID3 tags if available.

	* xmms/prefswin.c, xmms/main.[ch]: Removed `Use generic title'
	option (i.e, always use generic titles).  Updated title
	description string.

	* Input/vorbis/configure.c (title_tag_override_cb): Cleanup.
	(vorbis_configurewin_ok): Minor cleanup.  Removed memory leak.
	(vorbis_configure): Cleanup.  Updated title desciption string.

	* Input/vorbis/vorbis.c (vorbis_generate_title): Use
	xmms_get_titlestring().

	* Input/cdaudio/cdaudio.c (cdda_get_title): Added some sensible
	values for file-name, file-path, and file-extension.

	* libxmms/titlestring.[ch]: Added new format `%F - File path'.
	Return NULL if nothing sensible was generated in the titlestring.

Mon Mar 12 05:58:14 CST 2001  Zinx Verituse <zinx@xmms.org>

	* xmms/fullscreen.c: Made fullscreen stuff a bit more sane,
	it was way off.

Fri Mar  9 14:19:30 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* Output/solaris/audio.c (dsp_memcpy): Fixed some sign and endian
	conversion.

Wed Mar  9 12:34:14 2001  Olle Hällnäs  <olle@xmms.org>

	* Output/esd/init.c: Applied a patch by Martin Storsjö
	  that enables the use of ESPEAKER variable.

Thu Mar  8 19:19:03 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_ins): Make sure the playlist gets
	updated when adding entries.

	* Input/vorbis/vorbis.c (vorbis_aboutbox): Use
	xmms_show_message().  Added myself.

	* po/POTFILES.in: Added several missing files.
	Patch by: Juan Carlos Castro y Castro <jcastro@appi.com.br>

	* Ouput/solaris/configure.c: Marked stings for translation, and
	some cleanups.

	* Output/solaris/init.c: Didn't compile (oops).
	(abuffer_init): Minor cleanups.

	* Output/solaris/Makefile.am: Fixed a little error.

	* xmms/playlistwin.c (playlistwin_update_info): The playlist
	counters were wrapping around after 2^31ms (about 600h).  It now
	wraps around after 2^32s (about 136 years).  If you find that
	annoying, get a 64bit computer!

	* xmms/fft.c: Removed a unused variable.

Thu Mar  8 17:18:31 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* libxmms/titlestring.[ch], libxmms/Makefile.am: New library
	interface for formatting titlestrings.

	* Input/main.[cg], Input/prefswin.c: Added option for configuring
	generic title strings.

	* Input/cdaudio/cdaudio.[ch], Input/cdaudio/configure.c: Use
	xmms_get_titlestring() to format titlestring.  Add option to
	override generic titlestring.

	* Input/cdaudio/cdinfo.[ch]: Removed cdda_cdinfo_get_name().

Thu Mar  8 00:19:33 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in, Ouput/Makefile.am, Output/solaris/*: Solaris
	plugin merged.  Thanks to John Riddoch, Santosh Salunkhe, Julian
	Yip and others.

	* xmms/about.c (credit_text): Added John Riddoch.

	* AUTHORS: Synced with about.c.

	* Output/OSS/configure.c, Output/OSS/init.c, Output/OSS/OSS.h:
	Added the possibility to configure the mixer device manually.

	* Input/vorbis/vorbis.c (vorbis_play_loop): No need to set the
	title on stop.
	A couple of other minor cleanups.

	* xmms/main.c: Redid the handling of commandline arguments a bit.
	This fixes some longstanding problems with sending commands to a
	running xmms if allow multiple instances is on.

	* xmms/main.c: player_visible is now saved on exit, and handled
	properly on start.

	* xmms/dock.c, xmms/main.c, xmms/equalizer.c, xmms/playlistwin.c:
	Things should work a little better if both wm decorations and save
	window positions is on. 

	* xmms/main.[ch], xmms/prefswin.c, xmms/controlsocket.c: When
	hiding the window with wm decorations on we need to really hide
	the widget.

	* xmms/main.c, xmms/equalizer.c, xmms/playlistwin.c: Use
	gdk_window_get_root_origin() instead of
	gdk_window_get_deskrelative_origin() in configure handlers.  This
	works better with wm decorations on.  Hopefully it does not break
	anything else either.

	* configure.in: Fixed a test expression.

Wed Mar  5 08:31:41 2001  Olle Hällnäs  <olle@xmms.org>

	* xmms/main.c: added gdk_window_raise(filebrowser->window);
	so filebrowser will be raised if already opened.

Mon Mar  5 16:04:49 2001  Espen Skoglund  <esk@ira.uka.de>

	* Input/vorbis/configure.c, Input/vorbis/vorbis.[ch]: Added
	configurable vorbis file titles.  Patch by Jorn Baayen
	<jorn@nl.linux.org>.
 
	* General/ir/configure.c, General/ir/ir.c, General/ir/irfunct.c,
	General/ir/irman.h: IR code length is configurable.  Patch by 
	Jorn Baayen <jorn@nl.linux.org>.
	
Fri Mar  2 18:28:04 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New translation: Indonesian (id).

	* Input/mpg123/dxhead.[ch]: Whitespace changes.

Thu Mar  1 18:54:55 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* configure.in: Added checking for old style FreeBSD -pthread flag
	to gcc.  Works with both -CURRENT and older branches of FreeBSD.
 
Sat Feb 24 12:24:15 CET 2001  Peter Alm <peter@xmms.org>
	
	* xmms/textbox.c: Fixed a mutex problem in the textbox widget,
	should resolve some issues in the vorbis plugin.
		
Fri Feb 23 23:11:11 CST 2001  Zinx Verituse <zinx@xmms.org>

	* Input/vorbis/vorbis.c: set title to NULL now, to avoid double
	g_free()ing of it.. No more random crashes :)

Thu Feb 22 16:30:30 CST 2001  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: Changed name of mesa subpackage to gl.
	And added Obsoletes: xmms-mesa.

Wed Feb 21 20:13:00 PST 2001  Jack Moffitt   <jack@icecast.org>

	* xmms/Input/vorbis.c: make some cosmetic changes to title
	display

Tue Feb 13 20:07:09 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_selection_enqueue): Fixed a memory
	leak. 

	* xmms/main.c (create_popups): The playlist was unintentionally
	shown before the mainwin on start, and this was confusing some
	windowmanagers. 

	* xmms/playlistwin.c (playlistwin_set_hints): Set base-size to the
	same as minimum size.

	* xmms/main.c, xmms/equalizer.c: Reverted the adding to playlist
	when pressing middle mouse buttom from mainwin and equalizer.

	* xmms/main.c, xmms/playlistwin.c, xmms/vis.[ch]: Fixed a problem
	with the visualization when toggling wm decorations.

Thu Feb  8 16:18:20 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c: Don't rebuild the shuffle_list from scratch
	when deleting entries from the playlist.

	* configure.in: Added -Wpointer-arith to CFLAGS if using gcc.

	* libxmms/configure.in: More compiler warnings if using gcc.

Tue Feb  6 10:55:33 2001  Espen Skoglund  <esk@ira.uka.de>

	* configure.in, xmms/main.c (main): Use srandom() or possibly
	srandomdev() instead of srand().

	* xmms/playlist.c (playlist_shuffle_list) (playlist_play),
	xmms/mkdtemp.c (mkdtemp): Changed rand() to random().

	* xmms/about.c (show_about_window): Added year 2001.
	(credit_text): Sorted alphabetically.

Sun Feb  4 22:29:20 EST 2001  Logan Hanks  <logan@vt.edu>

	* xmms/main.c, xmms/equalizer.c, xmms/playlistwin.c: Pressing
	button 2 (middle button) in the main, equalizer, or playlist
	windows causes XMMS to retrieve the contents of the clipboard and
	add to the playlist.  A double click causes the playlist to be
	cleared.  Credit goes to Aaron Krowne (akrowne@vt.edu) for the
	idea and some code.

Sun Feb  4 11:33:34 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* General/joystick/joy.c (joyapp_read_buttoncmd): A string that
	should not be translated was marked for translation.  Some other
	minor cleanups.

Mon Jan 29 18:40:34 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (create_popups): Fixed radio items when running
	translated. 

Sun Jan 28 23:03:41 PST 2001  Jack Moffitt <jack@icecast.org>

	* Input/vorbis/vorbis.c: fixed small bug

	* Input/vorbis/http.c: changed file extension to .ogg (oops)

Sat Jan 27 09:25:31 PST 2001  Jack Moffitt <jack@icecast.org>

	* Input/vorbis/vorbis.c: implemented vorbis streaming

	* Input/vorbis/: several new files vorbis streaming

	* Input/mpg123/mpg123.c: don't grab all http streams, leave the
  	'.ogg' streams for the vorbis plugin.

Fri Jan 26 20:16:05 EST 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/prefswin.c (prefswin_apply_changes), xmms/main.[ch],
	xmms/equalizer.[ch], xmms/playlistwin.[ch]: Destroy and recreate
	all windows when toggling wm decorations.

	* xmms/playlistwin.c (playlistwin_set_hints): Don't set maximum
	values too high.

Thu Jan 25 09:10:07 CST 2001  Zinx Verituse <zinx@xmms.org>

	* xmms/playlistwin.c: Workaround for my crazy WM (or gtk+?). It
	seems to think it can decide where the window goes if resizing is
	turned on, so I've turned WM resize off unless using the WM's
	decorations..  Let me know if this causes problems (seems fine here)

Thu Jan 25 02:30:30 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (set_doublesize): Fixed a possible deadlock on start
	if doublesize was enabled.  Hopefully without breaking any of the
	docking when toggling doublesize. 
	(main): Add check for sched_get_priority_max(). 
	(create_popups): Cleanup.

	* configure.in: Add check for sched_get_priority_max() which is
	missing on OpenBSD.
	Some other minor cleanups.

Thu Jan 25 00:17:08 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdaudio.c (cdda_init): Fix compilation on
	*BSD/Solaris.  Patch by Jonathan Irwin <jmi25@cam.ac.uk>.

	* xmms/main.c (setup_main_window): Set the autoscroll songname
	correctly on start.  Patch by Jonathan Irwin <jmi25@cam.ac.uk>

	* xmms/controlsocket.c (check_ctrlsocket): Fixed a missing break
	statement.  Patch by Ian Campbell <ijc25@cam.ac.uk>

Tue Jan 23 16:46:14 CST 2001  Zinx Verituse <zinx@xmms.org>

	* xmms/playlist_popup.c: Move before showing the popup. People
	were complaining about it being in the upper-left corner for
	an instant..

Sat Jan 20 11:22:18 CST 2001  Ryan Weaver <ryanw@infohwy.com>

	* Output/Makefile.am: Fixed typo

Fri Jan 19 17:29:31 CET 2001  Espen Skoglund  <esk@ira.uka.de>

	* configure.in: Disable `-funroll-all-loops' when compiling for
	FreeBSD.  (Known to cause audio glitches during playback.)

	* configure.in, {Plugindirs}/Makefile.am: Added environment
	variable INPUT_PLUGINS and friends that can be used for manually
	overriding which plugins to be built.  (Useful during automated
	building of XMMS.)

Mon Jan 18 01:04:45 CET 2001  Olle Hällnäs  <olle@xmms.org>

	* xmms/main.c: added Håvard's fix to display the 
	  icon in KDE2's taskbar.

Mon Jan  8 03:02:09 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (read_config): Fixed a cut'n'paste typo.

	* Input/vorbis/vorbis.c: Fixed some rare deadlocks.

Sat Jan  6 19:00:58 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c (playlistwin_set_shade): Request the size we
	used to have when unshading with wm decorations on.

	* xmms/prefswin.c (prefswin_toggle_wm_decorations): Set wm hints
	for the playlist window.

Sat Jan  6 16:42:14 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/vorbis/vorbis.c: Fixed a couple of places where we were
	not holding the mutex while calling ov_*() functions.

Thu Jan  4 02:42:04 GMT 2001  Chris Wilson <jakdaw@xmms.org>

	* xmms/main.c (read_config): Fixed segfault when ~/.xmms/config
	was missing.

Wed Jan  3 23:44:44 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c: Fixed some issues with shading the
	playlist. 

	* xmms/playlist_list.[ch], xmms/playlistwin.c: Keep proper track
	of first and last selected when dragging entries up or down.

Wed Jan  3 17:27:17 GMT 2001  Chris Wilson <jakdaw@xmms.org>

	* xmms/main.[ch], xmms/playlist_list.c, xmms/playlistwin.c,
	xmms/prefswin.c: Added initial support for transparent
	playlist window.
	
	* xmms/main.c (mainwin_mr_change): Fixed a typo that stopped the
	doublesize button on the main window from working correctly.

Tue Jan  2 19:20:06 CET 2001  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/layer3.c (III_i_stereo): Fixed a bug that would
	cause crashes on some mp3's using intensive stereo.
	(III_dequantize_sample): Commented out the high frequency cutting
	that had sneaked in when syncing with mpg123 cvs.

Sun Dec 31 18:15:03 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.[ch], xmms/playlistwin.[ch], xmms/equalizer.[ch],
	prefswin.c: It is now possible to show windowmanager decorations.
	This feature is still a bit experimental.

	* xmms/main.[ch], xmms/playlist.c (playlist_play): Disable the
	seekbars before starting to play.  This will prevent us from
	sending seek calls to input plugins before they have called
	->set_info().

	* Input/cdaudio/cdaudio.c: cdaudio plugin ported to OpenBSD.
	Patch by Eugene Tsyrklevich <eugene@securityarchitects.com>

	* Input/vorbis/vorbis.c: Handle output plugin errors gracefully.

Sat Dec 30 19:40:39 CET 2000  Espen Skoglund  <esk@ira.uka.de>

	* Input/cdaudio/cdaudio.c (is_mounted), Input/cdaudio/cdaudio.h,
	configure.in: Try to use getmntinfo() for systems that do not have
	getmntent().  (Only checked on FreeBSD.)  Thanks to Vladimir
	Kushnir <vkushnir@Alfacom.net>.
	
Sat Dec 30 23:48:41 GMT 2000  Chris Wilson <jakdaw@xmms.org>

	* General/joystick/about.c, General/joystick/configure.c,
	General/joystick/joy.[ch]: Applied patch from Justin Wake
	<justin@globalsoft.com.au> to support more than 4 buttons in the
	joystick plugin.

	* Input/tonegen/tonegen.c: Marked string for translation.

Sun Dec 31 00:19:16 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c, xmms/skin.c, xmms/skinwin.c: Fixed some
	compiler warnings.

	* xmms/main.c (main): Use setuid() instead of setreuid() when
	dropping any root privilegies.

	* Input/vorbis/vorbis.c (vorbis_get_song_info): Use the mutex here
	too.  Patch by "Zack Weinberg" <zackw@stanford.edu>

	* Input/vorbis/vorbis.c: Reorganised a bit and reintended the
	entire file.  Fixed some minor issues related to seeking, and
	marked some strings for translation.

	* xmms/skin.c (skin_decompress_skin): Removed a debugging message.

	* xmms/mkdtemp.c (mkdtemp): Use rand() instead of random() like
	the rest of xmms does.

Thu Dec 28 15:49:31 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.[ch], xmms/playlistwin.c, xmms/equalizer.c,
	xmms/dock.c, xmms/skin.c: Preparations for making it possible to
	show windowmanager decorations.

	* xmms/playlistwin.c, xmms/playlist.[ch]: Made it possible to
	delete selected files from disk. 

	* xmms/skin.c: Use mkdtemp() to create the temporary dir when
	decompressing skins.

	* configure.in: Check for mkdtemp();

	* xmms/mkdtemp.c, xmms/Makefile.am: An implementation of mkdtemp()
	for systems that are missing it.  Derived from the implementation
	in the FreeBSD libc.

	* xmms/prefswin.[ch]: Lots of minor cleanups.

Fri Dec 22 23:05:55 GMT 2000  Chris Wilson <jakdaw@xmms.org>

	* FAQ, Input/mpg123/README: Updates and typo fixes from 'Nevermind'
	* TODO: Added that need to move streaming code out of the mpg123
	plugin.

Tue Dec 19 23:25:49 GMT 2000  Chris Wilson <jakdaw@xmms.org>

	* README, Input/tonegen/tonegen.c: Applied Daniel Peng's tonegen
	patch.
	* CVS-README: Typo

Mon Dec 11 11:35:17 CST 2000  Ryan Weaver <ryanw@xmms.org>

	* xmms.spec.in: Changed the way that I was auto determining
	libmikmod package dependencies to complain properly if
	the lib was available but not libmikmod-config.

Sun Dec 10 23:54:29 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c, xmms/playlistwin.c: Cleaned up various abuse of
	manipulating internal Gtk+ data.  This should make us more robust
	against translations with errors.

	* xmms/controlsocket.c (check_ctrlsocket): input_seek() could get
	called on files without length due to a signedness error.  Caused
	segfault when xmms_remote_jump_to_time() was called.

	* xmms/hints.c: Removed some timestamps that is not necessary
	according to the Gnome wm spec.

Wed Nov 29 19:11:12 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist_list.c (playlist_list_draw_string_wc): Apparently
	libc and X might have a different opinion on what a wide character
	string is.  Thanks to Chun-Chung Chen <cjj@u.washington.edu> for
	helping to sort this out.  I'm hoping I got it right this time.

	* configure.in (ALL_LINGUAS): New language: Galician (gl).

Tue Nov 28 00:30:31 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.4

	* README: Readme updated by Thomas Nilsson <thomas@xmms.org>.

Mon Nov 27 15:01:58 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* gnomexmms/gnomexmms.desktop, xmms/xmms.desktop: Updated
	translations. 

	* Input/mpg123/fileinfo.c: Minor cleanup.

Fri Nov 24 15:26:33 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/fileinfo.c: Added support for http streams.

	* Input/mpg123/mpg123.c: Minor changes to be able to show some
	info on playing http streams.

	* Output/disk_writer/disk_writer.c (disk_open): Really try the
	title if there is no filename.

	* Input/mpg123/http.c: Removed an old function declaration.

	* libxmms/xmmsctrl.c, Input/mpg123/id3_frame_text.c,
	Visualization/blur_scope/blur_scope.c: Added some #includes.

	* xmms/skin.h, xmms/skin.c (skin_get_eq_spline_colors): Fixed a
	dubious function prototype.

	* xmms/eq_graph.c (eqgraph_draw): Call skin_get_eq_spline_colors()
	correctly.

Sun Nov 19 14:40:45 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/prefswin.c: Browsing fonts, and then pressing cancel in the
	font selection dialog was not handled correct, also start browsing
	with the font currently in the entry.
	Patch by Thomas Nilsson	<thomas@xmms.org>

	* Input/mpg123/Makefile.am (EXTRA_DIST): Make sure the 3dnow
	specific files gets included when making dist.

	* xmms/main.c (mainwin_jump_to_file): Marked a string for
	translation.  Patch by Gediminas Paulauskas <menesis@delfi.lt>.

	* xmms/playlistwin.c: The sub-misc menu was not translated. 
	Patch by Gediminas Paulauskas <menesis@delfi.lt>.

	* xmms/hints.c: Use macros supplied by GDK instead of casting to
	Gdk*Private types.

	* xmms/fullscreen.c, xmms/util.c (create_dblsize_image): Ditto.

Fri Nov 17 23:23:00 PDT 2000  Jack Moffitt   <jack@icecast.org>

	* xmms/xmms.spec.in: updated vorbis requires for beta3

Wed Nov  8 21:38:57 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_ins_dir): The shuffle list was
	regenerated more than necessary.  Adding deep direcory structures
	should be *much* faster now.  

	* xmms/playlist_list.c (playlist_list_move_down): A mutex was
	locked instead of unlocked, and this was causing deadlocks when
	dragging entries to the bottom.

	* xmms/playlist_list.c (playlist_list_draw): Don't use the wide
	character stuff unless use_fontsets is enabled.  I have a feeling
	this is going to cause problems, and most people wont need it.

Sun Oct 29 11:00:00 PDT  2000  Jack Moffitt   <jack@icecast.org>

	* added Input/vorbis dir with vorbis plugin
        
	* updated xmms build system to build and detect vorbis

	* updated xmms.spec.in to build xmms-vorbis rpm

Fri Oct 20 01:13:20 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/about.c, xmms/main.[ch], xmms/prefswin.c,
	xmms/skin.[ch], xmms/textbox.[ch]:  Merged the "xfont" patch by
	Chun-Chung Chen <cjj@u.washington.edu>

	* xmms/main.c: Minor cleanup of some gtk code.

	* xmms/main.c (mainwin_vis_menu_entries): Fixed a typo.

	* xmms/main.c (read_config): Use solaris output plugin as default
	on sun machines.  Patch by John Riddoch <jr@scms.rgu.ac.uk>.

Wed Oct 18 13:36:10 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: Turkish (tr).

Tue Oct 17 23:38:40 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/http.c: Rewrote most of the udp metadata
	streaming.  It had some serious bugs, it was leaking both threads
	and sockets.

	* Input/mpg123/configure.c (mpg123_configurewin_ok): The upd
	metadata streaming was not possible to disable because of a typo.
	(mpg123_configure): Changed a string.

	* Input/mpg123/mpg123.[ch]: Fixed some warnings.

Mon Oct 16 03:12:37 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/util.c (util_font_load): Moved here from playlist_list.c.

	* configure.in: Check for <wchar.h>.  Check for the socklen_t
	type.

	* xmms/pluginenum.c: Removed workaround for the glibc bug.  Get a
	fixed glibc instead.

	* xmms/playlist_list.c (playlist_list_draw): Convert the strings
	to wide character strings before modifying them to avoid
	destroying multibyte character strings.
	Based on a patch by Isaac Kar-Keung To <kkto@csis.hku.hk>
	Fixed playlist locking.

	* libxmms/formatter.c: Added a #include.

	* Input/mpg123/layer3.c (REFRESH_MASK): Added a cast, supposed to
	fix a problem seen on alpha.

Mon Oct  2 15:12:48 CEST 2000  Peter Alm  <peter@xmms.org>
		
	* xmms/pluginenum.c: Removed dlclose() of plugins. Fix for buggy
	RH7 glibc.

Mon Oct  2 11:36:15 CEST 2000  Espen Skoglund  <esk@ira.uka.de>

	* acconfig.h, configure.in, Input/mpg123/Makefile.am,
	Input/mpg123/configure.c, Input/mpg123/decode_i386.c,
	Input/mpg123/layer3.c, Input/mpg123/mpg123.c, Input/mpg123/mpg123.h,
	Input/mpg123/dct36_3dnow.s, Input/mpg123/dct64_3dnow.s,
	Input/mpg123/decode_3dnow.s, Input/mpg123/getcpuflags.s: Added
	3DNow! support.  Patch by Osamu Kayasono <kayasono@mb.infoweb.ne.jp>

	* AUTHORS, xmms/about.c (credit_text): Added Osamu Kayasono and
 	Kimura Takuhiro (3DNow! support).

Sun Oct  1 02:05:48 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/util.c: Always #include sys/time.h.  This is supposed to
	fix a build problem on OpenBSD.

	* libxmms/configure.in: Added a couple of checks for header
	files. 

	* Input/cdaudio/cdindex.c: We #included xmlmemory.h for no good
	reason, and this gave problems when building against old versions
	of libxml.

Tue Sep 26 23:09:06 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New languages: Azerbaijani (az),
	Italian (it).

Mon Sep 25 00:12:17 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/id3_frame.c (id3_read_frame): Ignore id3 frames
	that we do not recognise.  This fixes a bug where we could
	dereference a uninitialized pointer.

	* Input/mpg123/id3.h, Input/mpg123/id3.c,
	Input/mpg123/id3_frame.c, Input/mpg123/id3_frame_text.c,
	Input/mpg123/id3_frame_url.c, Input/mpg123/id3_header.h: Use glib
	types for 8, 16 and 32 bit integers.

Tue Sep 19 22:31:58 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.3

Tue Sep 19 16:27:00 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* README: Readme updated by Thomas Nilsson <thomas@xmms.org>.

	* xmms/playlist_list.c (playlist_list_draw): Try harder to find a
	working font regardless of if use_fontsets is set.

Mon Sep 18 01:49:25 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: "lv".

	* Input/mpg123/common.c (read_id3v2_tag): Make sure the header
	size is reasonable, to avoid mallocing large amounts of
	memory.

Fri Sep 15 14:25:00 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/wav/wav.c (play_loop): Signal eof to the output plugin.

Thu Sep 14 23:17:16 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c (playlistwin_keypress): Send keypresses to
	the main window if the playlist is shaded.

	* libxmms/xmmsctrl.c: Removed a few unused variables.

	* xmms/playlist.c (playlist_ins_dir): Dont add more slashes than
	necessary. 
	Patch by Juan Carlos Castro y Castro <jcastro@appi.com.br>

	* xmms/xmms.desktop: New translations.

	* gnomexmms/gnomexmms.desktop: New translations.

	* xmms/skin.c: Replaced all gdk_colormap_get_system() with
	gdk_window_get_colormap().  This is supposed to fix problems on
	SGI's that have different colormaps on each window.

	* xmms/urldecode.c (xmms_urldecode_path): Fixed a compiler
	warning.

	* xmms/fullscreen.c: Minor cleanup.

	* xmms/dga.c (xmms_dga_draw_indexed_image): Fixed some compiler
	warnings. 

	* xmms/pluginenum.c (init_plugins): Try to load plugins from
	~/.xmms/Plugins.  Earlier xmms tried to load plugins from
	~/.xmms/Plugins/Input/ etc.  These locations are depreciated.

	* xmms/main.c (make_xmms_dir): Create the ~/.xmms/Plugins dir.

Tue Sep 12 18:33:56 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/common.c (read_id3v2_tag): If id3v2 tags were
	turned off, we would segfault if we encountered one in a http
	stream.

	* Input/mpg123/http.c (http_buffer_loop): Fixed a possible buffer
	overflow. 

	* General/joystick/configure.c (joy_configure): Fixed a possible
	buffer overflow when using translations.

	* General/ir/ir.c (irapp_read_config): Fixed a possible buffer
	overflow.
	(irapp_save_config): Ditto

Mon Sep 11 23:53:56 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/prefswin.c, xmms/output.[ch]: The About and Configure buttons
	for the output plugins works on the right plugin even if the
	selected plugin is different from the current one.

	* xmms/prefswin.c, xmms/effect.[ch]: Ditto for effect plugins. 

	* xmms/util.c: When adding files from the eject button, the
	playlist is cleared at the right time also if you add files with
	the "Add files..." buttons.

	* configure.in (ALL_LINGUAS): New language: "ga". "el_GR" renamed
	to "el".
	Added -Wall to CFLAGS if we have gcc.

	* xmms/util.c (util_item_factory_popup): Err, this function were
	not doing what it was supposed to.

	* xmms/main.c, xmms/prefswin.c, xmms/equalizer.c: When poping up
	the main menu, pop up the menu a few pixels down to prevent
	anyting from being selected initially.

Sun Sep  3 19:50:29 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/hints.c, xmms/hints.h, xmms/main.c: Applied a patch that
	adds support for the new "net-wm" window manager spec.

	* xmms/about.c (credit_text): Added Colin Marquardt.

	* xmms/equalizer.c: Changed some borders and a couple of strings
	slightly.

Fri Sep  1 18:41:26 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* libxmms/util.c (xmms_usleep): Fixed this functions for systems
	that are lacking nanosleep().

	* configure.in, Input/cdaudio/cdindex.c: Added a check for
	xmlDocGetRootElement() which older versions of libxml was
	lacking. 

Tue Aug 29 16:44:28 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/controlsocket.c (ctrlsocket_func): A break statment had
	sneaked in somehow.

Mon Aug 28 00:07:41 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Output/esd/audio.c: Added endianess and sign corrections.
	Patch by Takashi Oe <toe@unlserve.unl.edu> and 
	Henry Worth <haworth@ncal.verio.com>

	* xmms/input.c, Output/disk_writer/disk_writer.c: Avoid side
	effects by the glib byteswap macros.
	Patch by Henry Worth <haworth@ncal.verio.com>

	* xmms/svis.c, xmms/main.c: Changed the height of the shademode
	visualization from 7 to 5 pixels for better skin compatibility.
	Patch by Richard Koerber <shred@shredzone.de>

Sun Aug 27 22:48:10 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (read_config): Fixed a minor memory leak.  Don't set
	the default value of strings two places.

	* xmms/equalizer.c, xmms/main.[ch]: Added the ability to load
	equalizer presets from disk.
	Patch by Colin Marquardt <colin@marquardt-home.de>

	* xmms/equalizer.[ch]: Misc cleanups.

	* xmms/main.c, xmms/controlsocket.c: Updates because of changes to
	equalizer.c.

	* xmms/prefswin.c: When changing output or effect plugins, the
	change does not take effect until "Ok" or "Apply" is pressed.

	* xmms/playlist_list.c (playlist_list_draw), prefswin.c,
	main.[ch]: Added a option to load the playlist font using
	fontsets.  I hope this will make everyone happy.

	* xmms/controlsocket.c (ctrlsocket_func): Cosmethic fixes.

Sat Aug 19 22:41:47 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/prefswin.c (prefswin_ilist_clicked): Correct prototype.
	If we got a double-click, open configuration dialog.
	(prefswin_glist_clicked, prefswin_vlist_clicked): Likewise.
	Patch by Jason Merrill <jason@redhat.com>

	* Output/disk_writer/disk_writer.c (disk_open): Use filename of
	the input file instead of the title to make the name of the wav
	file.

Thu Aug 10 19:45:04 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Output/esd/mixer.c: Don't try to set local mixer if playing to a
	remote host.
	Patch by Vlad Harchev <hvv@hippo.ru>

	* Output/esd/about.c (esdout_about): Removed a old version number
	in the about box.

Thu Aug 10 14:58:57 CEST 2000  Peter Alm  <peter@xmms.org>
		
	* Input/mpg123/configure.c, Input/mpg123/http.c, Input/mpg123.[ch]:
	Added support for Iceast UDP title streaming (patch by Alexander Haväng)
		
Thu Aug 10 14:30:31 CEST 2000  Peter Alm  <peter@xmms.org>
	
	* xmms/controlsocket.c: Fixed a bug that caused streaming links
	in netscape not to work.
		
	* xmms/main.c: Added "Play directory" 
		
Mon Aug  7 17:35:01 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/fileinfo.c (mpg123_file_info_box): One string made
	translateable.  Thanks to Hiroshi Takekawa
	<takekawa@sr3.t.u-tokyo.ac.jp>. 

	* xmms/dock.c (dock_shade): Fixed another case where windows were
	moved incorrectly.

Sat Aug  5 16:11:15 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/skin.[ch], xmms/eq_graph.c, eq_slider.c, equalizer.c,
	hslider.c, main.c, menurow.c, monostereo.c, number.c, pbutton.c,
	playlist_popup.c, playlist_slider.c, playlistwin.c, playstatus.c,
	tbutton.c, textbox.c : Changed the drawing of skin pixmaps to not
	draw anything that is missing from .bmp files.  Previously we just
	used the default skin.  It seems like a lot of skins have started
	depend on this "feature" lately.

	* xmms/skin.[ch], xmms/hslider.c: Removed the hack that prevented
	the knobs to be drawn if they were missing from the skin.

	* xmms/skin.c (skin_get_mask), xmms/main.c, xmms/equalizer.c:
	Moved the transparency masks from get_skin_pixmap().

	* xmms/skin.c (load_skin_color): Make sure the default values are
	zero.

Wed Aug  2 11:05:17 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/layer3.c, Input/mpg123/layer2.c,
	Input/mpg123/layer1.c, Input/mpg123/common.c,
	Input/mpg123/mpg123.[ch], Input/mpg123/getbits.[chs],
	Input/mpg123/Makefile.am: Merged some bugfixes and optimizations
	from mpg123.  Thanks to Michael Hipp et al.

	* Input/mpg123/tables.h: Renamed this file to l2tables.h.

	* xmms/dock.c (dock_shade): Fixed a problem that caused windows to
	move incorrectly when shading a window close to the top of the
	screen with another window docked on the side of the window.

Mon Jul 31 23:46:35 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/about.c (credit_text): Added some more people.

	* Input/mpg123/fileinfo.c: Added an entry for the filename
	including full path.  Some cleanup.

	* Output/OSS/about.c (oss_about): Removed the version number.  Use
	xmms_show_message(). 

	* Effect/echo_plugin/gui.c: Changed a type from char[] to char*.

	* xmms/input.c (input_check_file): Don't call ->is_our_file() on
	disabled plugins.
	(input_get_song_info): Ditto.
	(input_play): Ditto.
	(input_file_info_box): Ditto.

	* Input/idcin/idcin.c, Input/mpg123/mpg123.c,
	Input/tonegen/tonegen.c, Input/cdaudio/cdaudio.c,
	Input/mikmod/plugin.c, Input/wav/wav.c, Output/esd/esd.c,
	Output/OSS/OSS.c, Output/disk_writer/disk_writer.c,
	Effect/stereo_plugin/stereo.c, Effect/echo_plugin/echo.c,
	Effect/voice/voice.c, General/joystick/joy.c, General/ir/ir.c,
	General/song_change/song_change.c,
	Visualization/opengl_spectrum/opengl_spectrum.c,
	Visualization/blur_scope/blur_scope.c,
	Visualization/sanalyzer/spectrum.c:  Made plugin descriptions
	translateable. 

	* Makefile.am (SUBDIRS): Moved the intl dir so it is compiled
	first, this should fix some problems that were encountered when
	using the included gettext.

	* Input/mikmod/plugin.c, Input/mikmod/mikmod-plugin.h: Changed
	some defines into a enum.

Mon Jul 31 11:32:26 CDT 2000  Ryan Weaver <ryanw@xmms.org>

	* xmms.spec.in: Minor changes.

Sat Jul 29 02:58:07 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/Makefile.am (INCLUDES): I had forgot to add
	-I$(top_builddir)/intl here.

Sat Jul 29 01:28:03 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/skin.c: The converting of hex values to integers (from
	pledit.txt)  was always	slightly wrong.
	Patch by James M. Cape <jcape@jcinteractive.com>.
	(load_skin_color): Handle short strings properly.

	* xmms/skin.[ch], xmms/hslider.c: Winamp does not draw the knob on
	the mainwin volume and balance sliders if they are missing from
	the skin.  Now we don't do that either.
	Reported by Petre Rodan <rodan@subdimension.com>.

	* Input/cdaudio/cdaudio.c, Output/OSS/audio.c,
	Output/OSS/configure.c, Output/OSS/mixer.c, Output/esd/mixer.c,
	configure.in: It is possible to set default output and mixer
	device for the OSS plugin from configure.
	Patch by Adam J. Richter <adam@yggdrasil.com>.

Fri Jul 28 18:34:46 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/controlsocket.c (ctrlsocket_func): Use functions from
	playlist.c instead of messing around with the playlist.
	(check_ctrlsocket): Use the same types on both sides of the
	controlsocket (fixed for CMD_SET_EQ_BAND).

	* xmms/playlist.[ch]: Wrote some utility functions:
	playlist_get_filename(), playlist_get_songtitle() and
	playlist_get_songtime(). 

Fri Jul 21 01:09:23 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/cdaudio/cdindex.c, Input/cdaudio/Makefile.am: Support for
	libxml2.  Patch by Dave Yearke <yearke@eng.buffalo.edu> and some
	additional hacking by me.

	* Input/cdaudio/http.c (http_get): Send the document path, not the
	enture url.
	Patch by Dave Yearke <yearke@eng.buffalo.edu>.

	* configure.in: Removed the version check for libxml.  Export
	XML_CFLAGS.

Tue Jul 19 00:54:22 CEST 2000  Olle Hällnäs  <olle@xmms.org>

	* xmms/playlist_list.c: Changed gdk_fontset_load() back
	  to gdk_font_load(), didn't work with swedish chars.

Tue Jul 18 23:35:56 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c (playlistwin_update_sinfo): Use
	__get_playlist_position() now.

	* libxmms/xmmsctrl.c (xmms_remote_get_eq_preamp): Never returned
	anything. 
	(xmms_remote_get_eq): Avoid void pointer arithmetics.

	* xmms/skin.c (skin_create_transparent_mask): Fixed a minor memory
	leak. 

	* xmms/playlist_list.c (playlist_list_motion_cb): Fixed a problem
	when dragging entries downwards.
	Patch by Aaron Lehmann <aaronl@vitelus.com>

Mon Jul 17 23:26:14 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_next): Fixed a race condition where we
	changed the playlist position before stopping input plugins.  This
	could make playlist_set_info() update the wrong entry.
	(playlist_prev): Ditto.
	(playlist_eof_reached): Ditto.

	* xmms/playlist.c, xmms/controlsocket.c, xmms/main.c, xmms/util.c:
	Every function that modifies the playlist directly calls
	playlist_generate_shuffle_list().  Removed calls to this function
	from other files.

	* xmms/playlist.[ch] (get_playlist_position): get_playlist_position()
	should now be called without the playlist mutex.  Use
	__get_playlist_position() when holding the playlist mutex.

	* xmms/util.c (util_filebrowser_is_dir): Removing of trailing
	slashes should not be necessary, so it was removed.

	* xmms/main.c (mainwin_configure): Fixed a empty return value.

	* gnomexmms/gnomexmms.c, wmxmms/wmxmms.c : Use gtk_set_locale()
	instead of set_locale().

	* xmms/main.c (main): Dropped set_locale().  gtk_set_locale()
	should be enough.

	* xmms/playlist_list.c (playlist_list_draw): Use
	gdk_fontset_load() instead of gdk_font_load() when loading the
	playlist font.  Got a lot of requests for this from people using
	multibyte fonts.

	* Effect/voice/about.c (voice_about): New email adress for Anders
	Carlsson.

	* xmms/skinwin.c (scan_skindir): Cleanup.

	* xmms/prefswin.c (gen_module_description): Cleanup.

Tue Jul 11 22:18:18 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.2

Tue Jul 11 22:07:04 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Don't use libxml if the major version is different
	from 1.  libxml v2 is not compatible.

	* libxmms/Makefile.am: Set the path to the intl dir explicitly.
	top_builddir is different here.

Tue Jul 11 14:56:04 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c, xmms/playlistwin.c, xmms/equalizer.c, xmms/dock.c:
	It is possible to get configure-event's for windows that are not
	visible, so we now check for that in the configure-event
	handlers.  This bug could cause XMMS to exit with a GDK error if
	for example a window was shown and then hidden again rapidly.

Sat Jul  8 02:27:38 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* */Makefile.am: Added -I$(top_builddir)/intl to INCLUDES where it
	was missing.
	
	* libxmms/Makefile.am: Set automake rules to foreign, and removed
	AUTHORS, COPYING, ChangeLog, INSTALL, NEWS and README.  These
	files were either not used or copies of files in the top
	directory.

	* xmms/controlsocket.c (check_ctrlsocket): Incorrectly casted to
	guint32 instead of guint32*.  Removed a couple of tests that did
	nothing.

	* Output/OSS/audio.c, Output/esd/audio.c: Avoid using void pointer
	arithmetics.

	* General/song_change/song_change.c: Added a include.

	* configure.in: Removed some incorrect AC_DEFINE's that had
	sneaked in, and that prevented the NLS detection from working as
	expected.  In particular, --disable-nls should work now.

Thu Jul  6 17:18:22 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/eq_slider.c (eqslider_set_mainwin_text): Changed the type
	of some strings from gchar[] to gchar*, due to the paranthesis we
	get from the NLS macros.

	* xmms/controlsocket.c (check_ctrlsocket): Avoid using void
	pointer arithmetics.

	* xmms/main.h: Fixed a typo: xmms_quit_cb -> mainwin_quit_cb.

	* xmms/util.[ch]: Removed find_file() that is not used.

	* xmms/pluginenum.c (add_plugin): Duplicate the argument instead
	of depending on the caller to allocate space for it.
	(scan_plugins): Close the directory stream.  Cleanup.

	* gnomexmms/gnomexmms.c: #include i18n.h.

	* xmms/main.c (mainwin_adjust_balance_motion): Fixed a buffer
	overflow that occured with some translations.
	(read_volume): Ditto.
	Reported by: Eric Sadit Tellez Avila

	* xmms/main.c (idle_func): Change the time display from MM:SS to
	HH:MM at 99:59, not at 99:00.
	Reported by: Vesa Halttunen <vesuri@jormas.com>

	* xmms/playlist_list.c (playlist_list_draw): Minor cleanup.

	* xmms/playlist.c (playlist_get_info_text): Cleanup.

Wed Jul  5 09:28:24 EDT 2000  Logan Hanks  <logan@xmms.org>

	* General/song_change/song_change.c: Added more format codes for
	convenience.  This list is now:

	  %F - frequency (in hertz)
	  %c - number of channels
	  %f - filename (full path)
	  %l - length (in milliseconds)
	  %n - name
	  %r - rate
	  %s - name
	  %t - playlist position

Fri Jun 30 22:14:48 GMT 2000  Chris Wilson  <jakdaw@xmms.org>

	* xmms/main.c xmms/equalizer.c: Removed global_accel - it's no longer
	required since the equalizer and playlist now pass unhandled key 
	events to the mainwin.

Fri Jun 30 02:50:05 CEST 2000  Derrik Pates  <dpates@dsdk12.net>

	* xmms/playlist.c: Changed several 'pos > 0' position checks to
	'pos >= 0' - noticed that when a group of files or a .m3u/pls file
	gets dropped in the playlist window _on top_ of an existing entry,
	all items are added in reverse. Whoops.

Thu Jun 29 22:24:01 GMT 2000  Chris Wilson  <jakdaw@xmms.org>

	* xmms/equalizer.c xmms/playlistwin.c: playlist window and
	equalizer window now pass unhandled keypresses onto the main
	window (eg left and right etc)

Tue Jun 27 16:09:41 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New languages: "pl", "el_GR".

	* gnomexmms/gnomexmms.c (main): Call setlocale().

Mon Jun 26 08:33:17 CDT 2000  Ryan Weaver <ryanw@xmms.org>

	* xmms.spec.in: Fixed issue resulting in bad exit status of
	%build if env variable LINGUAS wasn't set and we tried to unset it.

Mon Jun 26 01:32:48 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c, xmms/main.[ch]: Remember the directory where
	we last saved or loaded a playlist.
	Patch by: Vesa Halttunen <vesuri@jormas.com>

	* xmms/playlistwin.c, xmms/util.[ch]  : Made
	util_filebrowser_is_dir() non static, and use it when loading
	playlists too.

	* xmms/prefswin.c (prefswin_apply_changes): Save config to disk on
	ok/apply.

	* xmms/playlist_list.c (playlist_list_button_press_cb): Handle a
	non-working playlist font gracefully.

Fri Jun 23 09:40:59 CDT 2000  Ryan Weaver  <ryanw@infohwy.com>

	* /cvs/xmms/xmms.spec.in: Added Funky hack to determine what
	packages provide libmikmod and libmikmod-config.

Thu Jun 22 16:44:38 EDT 2000  Logan Hanks  <logan@xmms.org>

	* Input/mpg123/mpg123.c: More minor changes to the get_song_time routine.

Thu Jun 22 14:55:13 EDT 2000  Logan Hanks  <logan@xmms.org>

	* libxmms/Makefile.am, libxmms/formatter.c, libxmms/formatter.h:
	Added a generic text formatter (like a stripped down printf).

	* General/song_change/song_change.c: Now uses the formatter instead
	of sprintf to build the command line string (much safer).

	* Input/mpg123/mpg123.c: Very minor one-line change to force the
	calculation of a song's length to be the same both before playback
	and during.  This discrepancy was causing the song_change plugin
	to trigger twice.

Wed Jun 21 12:12:16 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (read_config): Set default playlist font to a sane
	one, even if there is no config file.

Tue Jun 20 15:44:06 EDT 2000  Logan Hanks  <logan@xmms.org>
	
	* libxmms/xmmsctrl.c: Fixed memory leak in xmms_remote_playlist
	(courtesy of Doug MacEachern)

Mon Jun 19 16:06:17 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Released XMMS 1.2.1

	* configure.in: Changed version number to 1.2.1

Sat Jun 17 19:48:58 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/defskin/eqmain.xpm: Updated pixmap by: 
	Thomas Nilsson <thomas@xmms.org> 

Sat Jun 17 18:41:49 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: "eo"

Sat Jun 17 14:55:09 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (mainwin_quit_cb): Quit with gtk_exit() instead of
	gtk_main_quit() to avoid that the idle_func() does anything after
	we have deinitialized plugins.

	* xmms/controlsocket.c (check_ctrlsocket): Make sure to avoid that
	cleanup_ctrlsocket() don't deadlock on quit.

	* xmms/Makefile.am, gnomexmms/Makefile.am, wmxmms/Makefile.am:
	Using the gettext implementation that is distributed with xmms
	should work now.

Fri Jun 16 16:56:17 CEST 2000  Peter Alm  <peter@xmms.org>
	
	* libxmms/xmmsctrl.[ch] xmms/controlsocket.[ch]: Added
	xmms_remote_quit()

Fri Jun 16 14:29:10 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c: x11r5 session management has some problems, so it
	is disabled for now.

Fri Jun 16 10:51:43 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Visualization/blur_scope/Makefile.am,
	Visualization/blur_scope/blur_8.S, Input/mpg123/Makefile.am,
	Input/mpg123/decode_i586.S, Input/mpg123/getbits.S: Renamed the
	assembler files back from ".S" to ".s" to avoid compilation
	problems on some Solaris/x86 systems that are not using gas.  It
	is difficult to keep everyone happy.

Thu Jun 15 17:10:24 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/textbox.c (textbox_set_text): Protected this function with
	a mutex to make sure we avoid race conditions.

	* Input/mpg123/mpg123.c (stop): Cleanup.

	* xmms/main.c (main), gnomexmms/gnomexmms.c, wmxmms/wmxmms.c:
	Don't call setlocale() nor set the textdomain if NLS is disabled.

	* xmms/main.c (read_config): Set default font without explicit
	charset.

Wed Jun 14 20:07:53 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/skinwin.c (scan_skindir): The skin window now follows
	symlinks.

	* Input/cdaudio/cdaudio.[ch]: Workaround for a clash between
	kernel and libc headers on some broken linux systems.

Wed Jun 14 18:17:53 CEST 2000  Peter Alm  <peter@xmms.org>
	
	* Input/mpg123/http.c Input/mpg123/mpg123.c xmms/textbox.c: Made
	it safe for input plugins to call set_info() without holding the
	GDK mutex. (Fixed a race condition when calling input_seek()
	directly after input_play())

Tue Jun 13 14:57:04 EDT 2000  Logan Hanks  <logan@xmms.org>

	* xmms/controlsocket.c: Moved the handling of playlist modifying
	commands from ctrlsocket_func to check_ctrlsocket.  This should
	prevent deadlock when one of these commands causes playback of an
	mp3 to be stopped.

Mon Jun 12 15:45:56 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Bumped version number to 1.2.0.

	* Released XMMS 1.2.0

Mon Jun 12 15:16:00 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/about.c (show_about_window): Bumped copyright year.

	* xmms/skin.c: Bumped copyright year.
	(skin_create_transparent_mask): Cleanup.

	* Input/tonegen/tonegen.c (play_loop): Signal eof to output plugin
	before stop.

Tue Jun  6 15:57:16 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.c (playlist_ins_url_string): Fixed a empty return
	value.

	* xmms/dnd.h, xmms/main.c: Moved some data from dnd.h to main.c

	* xmms/Makefile.am (INCLUDES): Added ARCH_DEFINES.

	* Visualization/opengl_spectrum/opengl_spectrum.c: The plugin
	should no longer crash on restart.

Tue Jun  6 12:27:18 2000  Espen Skoglund  <esk@ira.uka.de>

	* Input/cdaudio/cdaudio.c (cdda_get_toc): Leadout track on FreeBSD
 	is now set to 0xAA.
	(stop_func): Fixed CIOCSTOP -> CDIOCSTOP.

Fri Jun  2 20:16:05 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/pluginenum.c: Loading of plugins ported to HP-UX.
	Patch by: Chris Campbell <dash_ampersand@yahoo.com>

	* configure.in: Give a fatal error if we can't find a working
	pthread library.  Cleaned up the host detection.

Thu Jun  1 02:45:19 CEST 2000  Derrik Pates  <dpates@dsdk12.net>

	* xmms/dnd.h: Moved some shared DnD items into a separate header.
	Added info for handling drops from other DnD-capable apps. PLEASE
	test with KFM! Known to work with Netscape.

	* xmms/urldecode.c, xmms/urldecode.h: Added a URL decoder, for
	translating dropped paths to usable text (like from Netscape).

	* xmms/main.c, xmms/playlistwin.c, xmms/playlist.c, xmms/xmms.h,
	xmms/Makefile.am: Added references where needed to new headers
	and functions.
	
Wed May 31 00:40:08 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: "cs"

	* xmms/main.c (idle_func): Hold the GDK mutex while calling
	mainwin_stop_pushed().

Tue May 30 18:43:12 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/mpg123.c (decode_loop): Never close the audio
	device unless it is open.

	* Output/OSS/audio.c: Fixed a hard to trigger divide by zero bug
	in the resampling routines. 
	Reported by: <erikd@zip.com.au>

Fri May 26 15:39:02 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/mpg123.c (stop): Drop the GDK-mutex while we wait
	for the thread to return.  We could possibly deadlock.

	* Output/OSS/audio.c (oss_close), 
	Output/esd/audio.c (esdout_close): Don't try to close anything if
	it has not been opened. 

Wed May 24 20:18:46 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/http.c, Input/mpg123/mpg123.c: Fixed a race for the
	mainwin_info textbox. 

	* xmms/main.c (enable_x11r5_session_management): Fixed a minor
	memory leak.

Wed May 24 11:08:33 CDT 2000   Zinx Verituse <zinx@linuxfreak.com>

	* Visualization/opengl_spectrum/opengl_spectrum.c: Applied a patch
	from Christian Zander <phoenix@minion.de> which hopefully fixes
	some issues with the nVidia OpenGL drivers

Tue May 23 16:43:41 CDT 2000   Zinx Verituse <zinx@linuxfreak.com>

	* xmms/fullscreen.c: Got rid of several warnings, and fixed
	indentation.

Mon May 22 23:28:58 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/xmms.h: Removed include of session.h

Mon May 22 21:48:51 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c, xmms/Makefile.am, xmms/session.[ch], configure.in:
	Reverted the "session socket" stuff.

	* configure.in (ALL_LINGUAS): New languages: "af", "hu".

	* xmms/util.c (util_create_add_url_window): Comment update.
	(del_directory): Minor simplification.

Mon May 22 12:07:08 CDT 2000  Zinx Verituse <zinx@linuxfreak.com>

	* xmms/fullscreen.c:  Fullscreen stuff really works
	now; added GPL copyright notice..

	* xmms/fullscreen.h:  Added copyright notice from plugin.h..

Mon May 22 00:24:08 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/http.c (parse_url): Fixed a problem with ':' in
	URL's.  Changed this function not to modify the string.

Sat May 20 21:22:20 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/util.c: Changed the filebrowser to return a widget.

	* xmms/main.c (mainwin_eject_pushed), xmms/playlistwin.c: Updated
	to work with the changed filebrowser code.

	* xmms/playlist.c (playlist_get_info_func): The updating of the
	playlist should be a bit faster.

	* xmms/main.c: Added support for X11R5 session management.  This
	gives us working session management under KDE 1.x too.

	* xmms/main.c (idle_func): Grab the Gdk-mutex before calling
	playlist_eof_reached(). 

	* xmms/bmp.c (read_4b_rle): Fixed a comment.

	* xmms/controlsocket.c (setup_ctrlsocket): Fixed a couple of
	buglets. Print out debugging messages if something fails.
	(check_ctrlsocket): Don't translate debugging messages.

	* xmms/about.c: Added a couple of names.  Made the window
	resizeable.

	* AUTHORS: Synced with about.c

	* configure.in: Added check for `const'.

	* xmms/main.c (mainwin_url_enqueue_clicked): Don't start playing on
	enqueue. 

Fri May 19 13:55:32 EDT 2000  Logan Hanks  <logan@vt.edu>

	* Added session.c and session.h.  These will contain the
	new control socket code.

	* xmms/Makefile.am:
	Added session.c and session.h.

	* xmms/main.c, xmms/xmms.h:
	Added necessary references to the new session socket code.

	* configure.in:
	Added --enable-session-socket option.  Unless specified, new
	session socket code is not compiled.

Wed May 17 22:36:13 EDT 2000  Logan Hanks  <logan@vt.edu>
	
	* xmms/equalizer.c xmms/equalizer.h:
	Added equalizerwin_set_preamp, equalizerwin_get_preamp,
	equalizerwin_set_band, and equalizerwin_get_band functions
	(temporarily for control socket access; hopefully there will
	soon be a more appropriate interface for equalizer control)

	* libxmms/xmmsctrl.c, libxmms/xmmsctrl.h, xmms/controlsocket.c,
	  xmms/controlsocket.h
	Added xmms_remote_get_eq, xmms_remote_get_eq_preamp,
	xmms_remote_get_eq_band, xmms_remote_set_eq, xmms_remote_set_eq_preamp,
	and xmms_remote_set_eq_band functions to the API.  Provided functions
	for sending and receiving float values through the control socket.

Wed May 17 13:48:40 EDT 2000  Logan Hanks  <logan@vt.edu>

	* Input/mpg123/mpg123.c:
	Moved initialization of mpg123_info->jump_to_time from decode_loop
	to play_file

	* xmms/about.c:
	Added myself

	* xmms/playlist.c:
	Added playlist_shuffle_list function; randomizing of playlist is
	now much faster

Mon May 15 16:14:27 GMT 2000  Chris Wilson  <jakdaw@usa.net>

	* xmms/util.c xmms/playlistwin.c xmms/main.c xmms/util.h:
	Moved all the load/add files fileselector code from main.c
	and playlistwin.c and combined it into one fileselector in
	util.c

Sat May 13 22:45:03 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/defskin/main.xpm: Slightly changed pixmap by:
	Thomas Nilsson <thomas@xmms.org> 

Mon May  8 22:29:16 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/http.c (http_buffer_loop): Removed a printf().

	* Output/OSS/OSS.h, Output/OSS/init.c, Output/OSS/audio.c,
	Output/OSS/configure.c: Made it possible to set the audio device
	by hand.

	* Output/OSS/audio.c: Closed a minor memory leak.

Fri May  5 02:01:06 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/bmp.c (read_1b_rgb): Fixed a off by one bug that caused all
	images to be incorrect.

Thu May  4 21:36:43 GMT 2000  Chris Wilson  <jakdaw@usa.net>

	* xmms/util.c xmms/playlistwin.c xmms/main.c: Added enqueue
	button to the Open Location dialog.

Wed May  3 21:26:28 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/mpg123/id3_frame.c, Input/mpg123/id3_header.h,
	Input/mpg123/http.c, Input/mpg123/id3.c,
	General/song_change/song_change.c, xmms/sm.c: Avoid using various
	gcc extensions like non-constant initializers, void pointer
	arithmethics and lvalue casting for easier porting to other
	compilers. 

	* xmms/bmp.c: Added support for 1 bit bmp's.

Wed May  3 14:03:10 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in: Don't set gcc-specific CFLAGS for non-gcc
	compilers.  The --disable-user-plugin-dir option now works. 
	Fixed a typo and changed some descriptions.
	(ALL_LINGUAS): New languages: "es", "hr", "ro".

Sun Apr 23 21:52:15 GMT 2000  Chris Wilson  <jakdaw@usa.net>

	* Input/mpg123/http.c: Added support for HTTP redirects.
	
Sun Apr 23 19:34:34 GMT 2000  Chris Wilson  <jakdaw@usa.net>

	* xmms/main.c: Added Enqueue button to mainwin fileselector.	
		
Wed Apr 12 20:28:04 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* Output/disk_writer/disk_writer.c (disk_close): Invalid RIFF
	header was generated.
	Patch by: Daniel Kobras <daniel.kobras@student.uni-tuebingen.de>

Wed Apr 12 13:43:20 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/skin.h: Fixed a incorrect declaration.

	* xmms/playlist.h: Export playlist_delete_index()

	* xmms/main.c: Include <ctype.h>

Mon Apr  3 00:43:09 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: "lt"

	* General/song_change/song_change.c (configure): Runnning a string
	though printf to make a '%%' look like '%' wihout breaking
	translations for now.

Tue Mar 28 11:25:55 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New language: "sk"

Mon Mar 27 01:58:59 CEST 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/main.c (mainwin_jump_to_file_edit_cb): Freeze the clist
	while it is rebuilt.
	(mainwin_jump_to_file_entry_keypress_cb): Ignore delete and
	backspace if the string already is empty. 

Mon Mar 20 18:59:40 CET 2000  Peter Alm  <peter@xmms.org>
		
	* xmms/main.c: Added incremental match jump to file (patch by
	Ville Herva).

Sun Mar 19 02:31:15 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): Added "da" and "nl".

Sun Mar  5 17:11:14 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlistwin.c (playlistwin_add_files): Fixed a problem with
	adding files by typing the filename in.

Sun Mar  5 13:07:56 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/pluginenum.c (cleanup_plugins): Removed a leftover
	fprintf().

	* xmms/playlist.c (playlist_load_ins): Ignore lines that starts
	with '#' in playlists to cope with winamps extended playlist
	format. 

	* Input/cdaudio/cdaudio.c (get_time): Don't call stop() on eof,
	xmms does that for us.  I thought I fixed this earlier, but I must
	have forgot to commit it.
	(play_file): Check that the tracknumber is legal.
	(stop_func): Cleanup.

Thu Mar  2 11:03:10 CST 2000  Ryan Weaver <ryanw@xmms.org>

	* configure.in: Alphabetized LINGUAS. (Personal preferences I guess).

Thu Mar  2 09:13:33 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/controlsocket.h: Moved the CMD_PLAYLIST_DELETE to the end of 
	the enum list.

Wed Mar  1 21:22:33 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/plugin.h: Slight change of the plugin API.  Added a
	cleanup() function to the input plugin struct.  The cleanup()
	function replaces a function marked as obsolete, so this change
	should not break existing plugins.

	* xmms/pluginenum.c (cleanup_plugins): Implemented the input
	plugin cleanup() function. 

	* Input/cdaudio/cdaudio.c: On stop we now pause the drive. This
	way we can avoid the 2 sec. gap we have had between two songs.  We
	then stop the drive after two seconds if it is not playing.

	* xmms/playlist.c (playlist_delete_index): Made sure the playlist
	gets updated. 

Wed Mar  1 15:44:16 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/playlist.[ch] (playlist_delete_index): New function to remove
	one song by playlist index.
	(playlist_remove_dead_files): The shuffle list is now regenerated
	when needed. 

	* xmms/controlsocket.c (ctrlsocket_func): Fixed the recently added
	playlist_delete.

Wed Mar  1 14:20:59 CET 2000  Olle Hällnäs <olle@xmms.org>

	* libxmms/xmmsctrl.[ch] xmms/controlsocket.[ch]:
	  Applied a patch from Doug MacEachern so xmms can use
	  xmms_remote_playlist_delete

Wed Mar  1 13:06:07 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* gnomexmms/gnomexmms.c: Rearranged some include files to make the
	i18n stuff work.

	* wmxmms/wmxmms.c (main): Added a call to setlocale().

	* General/ir/configure.c, General/ir/ir.c,
	General/joystick/configure.c, General/joystick/joy.c,
	Input/cdaudio/cdaudio.c, Input/cdaudio/cdindex.c,
	Input/cdaudio/cdinfo.c, Input/idcin/idcin.c,
	Visualization/blur_scope/blur_scope.c,
	Visualization/blur_scope/config.c,
	Visualization/opengl_spectrum/configure.c,
	Visualization/opengl_spectrum/opengl_spectrum.c,
	Visualization/sanalyzer/spectrum.c: More strings marked for
	translation. Thanks to Pablo Saratxaga <pablo@mandrakesoft.com>.

	* General/song_change/song_change.c (escape_shell_chars): We no
	longer wrap songnames in double quotes.  The user need to take
	care of that.

	* Input/tonegen/tonegen.c: Fixed some typos.

Tue Feb 29 11:15:48 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: Added Requires glib-devel/gtk+-devel >= 1.2.2
	to the xmms-devel subpackage.

Sun Feb 27 09:33:51 CET 2000  Peter Alm  <peter@xmms.org>

	* AUTHORS xmms/about.c: Added Michael Hipp and others. (How can we have
	missed this??).

Sat Feb 26 03:30:43 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/controlsocket.c, xmms/equalizer.c, xmms/main.c,
	xmms/prefswin.c: More strings marked for translation. Based
	on a patch by Pablo Saratxaga <pablo@mandrakesoft.com>

Sat Feb 26 00:21:11 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): New languages: "sv", "bg", "ca".

Wed Feb 23 01:18:02 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/xmms_mini.xpm: New mini-icon by 
	Thomas Nilsson <thomas@xmms.org> 

Tue Feb 22 13:15:29 CST 2000  Zinx Verituse <zinx@linuxfreak.com>

	* xmms/fullscreen.c: took the XSync back out.. causes segs..
	have to leave for a couple of days.. argh..

Tue Feb 22 12:58:05 CST 2000  Zinx Verituse <zinx@linuxfreak.com>

	* xmms/fullscreen.c: Something was causing some of the X requests to
	get lost.. added XSync() at the top of xmms_fullscreen_enter..

Tue Feb 22 10:31:25 CST 2000  Zinx Verituse <zinx@linuxfreak.com>

	* xmms/dga.h, xmms/dga.c, xmms/fullscreen.h, xmms/fullscreen.c:
	Forgive me, I wasn't thinking.. Moved #include <config.h>'s to the
	.c files instead of the .h's

Tue Feb 22 10:26:32 CST 2000  Zinx Verituse <zinx@linuxfreak.com>

	* xmms/dga.h, xmms/fullscreen.h: Looks like the defines weren't
	getting to dga.c or fullscreen.c; added #include <config.h> :)

Mon Feb 21 10:29:42 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: Added spec code that will look to see if Mesa is
	installed. If not, it wont try to build xmms-mesa.

Mon Feb 21 09:40:27 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: added libtonegen to files list.

Sat Feb 19 00:29:45 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* Input/tonegen/tonegen.c, Input/tonegen/Makefile.am,
	Input/Makefile.am, configure.in, po/POTFILES.in: Added a simple
	sinus tonegenerator.

	* Effect/voice/about.c, Effect/echo/gui.c,
	Effect/stereo_plugin/stereo.c: Removed some unneccesary
	callbacks.

	* Effect/echo_plugin/echo.c: Delayed allocation of the echo-buffer
	until it is first needed.

	* xmms/util.c (util_create_add_url_window): Two strings marked
	translateable.

Fri Feb 18 08:55:15 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: Removed if -f configure. Should exist.

Thu Feb 17 09:28:34 CET 20000  Peter Alm  <peter@xmms.org>

	* xmms/skin.c: Replaced P_tmpdir with g_get_tmp_dir().

Thu Feb 17 09:05:11 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/main.[ch] xmms/util.c: Added URL history.
		
Wed Feb 16 15:02:39 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* Alot of files:
	Made AUTHORS match the about box.
	Changed _XMMS_ Copyright notices to 2000.
	Changed any lingering X11amp's to XMMS's.
	
Wed Feb 16 16:19:39 CET 2000  Peter Alm  <peter@xmms.org>

	* config.guess config.sub configure.in ltconfig ltmain.sh
	libxmms/Makefile.am libxmms/configure.in po/POTFILES.in
	xmms/Makefile.am xmms/dga.c xmms/dga.h xmms/fullscreen.c xmms/main.h
	xmms/xmms.h xmms/fullscreen.h libxmms/dga.c libxmms/dga.h
	libxmms/fullscreen.c libxmms/fullscreen.h: Moved the DGA stuff to
	inside XMMS and downgraded libtool to 1.3.4.

Wed Feb 16 15:23:29 CET 2000  Espen Skoglund  <esk@ira.uka.de>

	* Visualization/blur_scope/Makefile.am,
 	Visualization/blur_scope/blur_8.s, Input/mpg123/Makefile.am,
 	Input/mpg123/decode_i586.s, Input/mpg123/getbits.s: Renamed `.s'
 	files to `.S' since `.s' files are known to cause some compilers
 	to hang.
	
Wed Feb 16 02:12:19 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/equalizer.c (equalizerwin_set_shade): Added a missing _().

	* General/song_change/song_change.c (configure): Properly escaped
	a %-sign.

Wed Feb 16 00:55:43 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* xmms/about.c: Rearranged for easier translation. This also fixes
	problems with the text wrapping that one got with larger fonts.
	Also added some	names. If your name should be on the list and are
	not, please let us know.

	* configure.in (ALL_LINGUAS): Added "pt_BR" translation.

	* xmms/prefswin.c (prefswin_rt_callback): Typo.

	* Output/OSS/configure.c (oss_configure): Two strings that were
	not supposed to be translated, was marked as translatable. This
	broke the sounddevice and mixer selection.

Mon Feb 14 21:46:59 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/vis.c xmms/svis.c: Changed from GDK_RGB_DITHER_NONE to
	  GDK_RGB_DITHER_NORMAL.

Mon Feb 14 21:14:52 CET 2000  Peter Alm  <peter@xmms.org>

	* ltconfig ltmain.sh: Upgraded libtool.
		
Mon Feb 14 14:14:50 CET 2000  Espen Skoglund  <esk@ira.uka.de>

	* xmms/main.c (main): Turn off SIGFPE on division-by-zero and
 	invalid fp operations.  Plugin coders seem to be very fond of this
 	nasty behaviour.  FreeBSD people aren't.
	
	* configure.in, acconfig.h: New option disable-strict-fpe for
 	turning off SIGFPE paranoia.

Thu Feb 10 22:16:14 CET 2000  Håvard Kvålen  <havardk@xmms.org>

	* configure.in (ALL_LINGUAS): Added "ko" translation.

Thu Feb 10 14:14:12 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* configure.in (ALL_LINGUAS): Added "ru" translation.

Thu Feb 10 00:08:05 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* Input/mpg123/mpg123.[ch], Input/mpg123/configure.c,
	Input/mpg123/common.c (read_id3v2_tag):  Added a option to disable
	id3v2 tags. This can be useful because it not possible to edit
	these in xmms yet.

	* Effect/echo_plugin/gui.c, Effect/stereo_plugin/stereo.c: These
	plugins now save their configuration.

	* Effect/echo_plugin/*: Merged the surround-echo plugin with the
	echo plugin. Various cosmetic fixes. 

	* Effect/surround_echo/*, configure.in, po/POTFILES.in,
	Effect/Makefile.am: Removed the surround-echo plugin.

	* Effect/voice/about.c (voice_about): Changed the about box to a
	xmms_show_message()-box.

Wed Feb  9 19:51:44 CET 2000  Espen Skoglund  <esk@ira.uka.de>

	* configure.in (ALL_LINGUAS), po/no.po: Added preliminary "no"
 	translation.

Wed Feb  9 02:14:30 CST 2000  Zinx Verituse <zinx@linuxfreak.com>

	* configure.in, xmms/pluginenum.c: Added support for per-user
	plugin dir(s) (~/.xmms/Plugins/*)

Wed Feb  9 01:10:05 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* xmms/prefswin.c (create_prefs_window): Marked a couple of
	strings as translateable. The preference window is no longer
	positioned at center when opened.

	* Effect/surround_echo/gui.c,  Effect/stereo_plugin/stereo.c,
	Effect/echo_plugin/gui.c: Changed the about-boxes to a plain
	xmms_show_message()-box. 

	* libxmms/util.h, libxmms/dga.h, libxmms/fullscreen.h: Wrapped
	these files in 'extern "C"'.

Mon Feb  7 15:55:52 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: Changed install method to accommodate for locale
	files.  make DESTDIR=/blah install does not include the locale
	for some reason. I have to use make prefix=/blah/usr
	sysconfdir=/blah/etc install to get around this.

Mon Feb  7 15:35:17 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: fixed turnicated Requires: line in mikmod
	subpackage.

Mon Feb  7 14:17:29 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* configure.in (ALL_LINGUAS): Added "ja" translation.

Sun Feb  6 10:47:04 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* lots-of-files: Large I18N patch merged. Thanks to:
	Pablo Saratxaga <pablo@mandrakesoft.com>,
	Colin Marquard <colin@marquardt-home.de>,
	Chun-Chung Chen <ccj@u.washington.edu>,
	Chih-Hei Huang <cwhuang@linux.org.tw>

	* Input/mpg123/id3_frame_content.c: Removed a duplicate of the
	id3-genres. 

	* Input/mpg123/common.c: #if'ed out the broken mmap-reader.

Thu Feb  3 15:37:37 CST 2000  Ryan Weaver <ryanw@infohwy.com>

	* xmms.spec.in: Made changes to the mikmod subpackage to
	build on Mandrake.

Thu Feb  3 21:52:34 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* xmms/main.c (mainwin_set_icon): I seem to have destroyed Thomas'
	mini-icon patch, it didn't work everywhere. Fixed.

Wed Feb  2 22:06:00 2000  Espen Skoglund  <esk@ira.uka.de>

	* xmms/eq_graph.c (eqgraph_draw): Added some magic for not
 	inlining the init_spline() function.  Inlining this function
 	caused SIGFPE (at least on FreeBSD) when compiling with -O.

Wed Feb  2 16:15:16 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* Input/cdaudio/cdaudio.c: The cdaudio-plugin didn't compile on
	solaris.

Wed Feb  2 14:30:17 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* xmms/main.c, xmms/xmms_mini.xpm, xmms/Makefile.am: Added a
	pixmap to the windowlist. Patch by Thomas Nilsson.

Wed Feb  2 14:13:44 CET 2000  Espen Skoglund  <esk@ira.uka.de>

	* configure.in: Better checking for libxml.

Tue Feb  1 14:12:27 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* Output/OSS/audio.c (oss_get_output_time): Fixed a bug that
	caused problems when skipping several times. 

Mon Jan 31 19:43:00 CET 2000  Olle Hällnäs <olle@xmms.org>
	
	* 1.0.1 released

Mon Jan 31 19:10:47 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/main.c: The IPC should now work even when the DISPLAY variable is
	not set.

Mon Jan 31 18:54:06 CET 2000  Peter Alm  <peter@xmms.org>

	* Makefile.am xmms/Makefile.am xmms/xmms.desktop xmms/xmms.wmconfig
	xmms.spec.in: Applied patch by Ryan Weaver.

Mon Jan 31 18:26:32 CET 2000  Peter Alm  <peter@xmms.org>
		
	* Input/cdaudio/cddb.c: Added support for local file databases. (Patch
	by Mattias Eriksson)
		
	* xmms/playlist.c: Replaced a lame check for .mp3 with a proper
	input_check_file() call.
		
Mon Jan 31 09:28:20 CST 2000  Zinx Verituse <zinx@linuxfreak.com>

	* xmms/playlist.c: Checks for cgi script .mp3's were causing
		lockups on fifo's.. fixed.

Mon Jan 31 13:21:23 CET 2000  Olle Hällnäs <olle@xmms.org>

	* configure.in: Changed version number to 1.0.1

Mon Jan 31 11:05:21 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/skin.[ch] xmms/defskin/nums_ex.xpm xmms/defskin/Makefile.am: We
	should now handle skins with too small images correctly.

Mon Jan 31 08:56:22 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/configure.in: Applied OpenGL configure patch by Troy 
	Benjegerdes.

Sun Jan 30 20:12:23 CET 2000  Peter Alm  <peter@xmms.org>
		
	* xmms/configure.in: Added -lICE to SM_LIBS

	* xmms/Makefile.am: Replaced -module with -export-dynamic
		
	* xmms/hints.c: Sticky was a bit broken.

Fri Jan 28 13:08:30 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/xmms_logo.xpm: New about logo.

Fri Jan 28 12:46:55 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/skinwin.c: .wsz skins really work now.

Fri Jan 28 12:14:57 CET 2000  Peter Alm  <peter@xmms.org>

	* Output/OSS/audio.c: We now probe if select works. (Workaround for 
	aureal driver which doesn't support select).

Thu Jan 27 21:23:56 CET 2000  Peter Alm  <peter@xmms.org>

	* configure.in Input/cdread/*: Removed cdread plugin.
	
	* xmms/prefswin.c: The DGA warning would pop up sometimes when opening
	the preferences box.
		
	* lots-of-files: Fixed version numbering on plugins and remade
	Makefile.am's
		
	* lots-of-files: Changed from using ntoh[sl] and hton[sl] to their glib
	equivalients. 

Tue 25 Jan 20:37:45 MET 2000  Espen Skoglund  <esk@ira.uka.de>

	* Input/mpg123/id3_frame.c, Input/mpg123/id3_tag.c: Includes
 	<sys/param.h> fot ntohl() (rather than <netinet/in.h>).

Tue Jan 25 02:23:39 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* Input/cdaudio/cddb.c (cddb_log): Removed the dynamic updating of
	the log-window temporarily. play get called both with the
	GDK-mutex locked and unlocked, so we could deadlock.

	* Input/cdaudio/cdaudio.c (stop): Check to avoid calling ioctl
	with a invalid file handle.
	(get_time): Don't call stop() on eof. xmms does that for us.
	(cdda_get_title): Added a mutex to avoid doing a cddb/cdindex
	lookup of one album from two threads at the same time.
	(scan_dir): Cleanup.

Mon Jan 24 20:04:39 CET 2000  Peter Alm  <peter@xmms.org>
		
	* xmms/about.c xmms/bmp.c xmms/main.[ch] xmms/playlistwin.c xmms/skin.c:
	Removed all references to root_window.

Sun Jan 23 11:00:10 CET 2000  Peter Alm  <peter@xmms.org>

	* Input/mpg123/layer3.c: Fix for some broken MPEG streams.
		
	* xmms/skin xmms/skinwin.c: Added support for .wsz skins.
		
Wed Jan 19 12:44:45 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/main.c xmms/prefswin.c xmms/pluginenum.c: Replaced all 
	while(gtk_events_pending()) gtk_main_iteration() loops with 
	while(g_main_iteration(FALSE)); loops.

Wed Jan 19 01:45:31 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* Input/cdaudio/cdaudio.c (get_song_info): We could get thread
	problems if the cddb log window was open.

	* Input/cdaudio/configure.c (cdda_configure): Fixed a problem when
	the volume setting was set to CDROM drive.

	* Input/cdaudio/cddb.c: Some cosmetic changes to the log window.

	* Effect/stereo_plugin/stereo.c (configure): Fixed a typo.

Tue Jan 18 20:40:03 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* Input/cdaudio/cdaudio.[ch], Input/cdaudio/cddb.c,
	Input/cdaudio/cdindex.c, Input/cdaudio/cdinfo.h: Major
	cleanup. There is now less #ifdef-spaghetti. cdindex is also 
	cached to disk. 

	* Input/cdaudio/cddb.[ch]: It's possible to request a list of
	servers from the current server from the preference window. The
	last cddb-commands are logged. You can get the log-window from the
	preference window.

	* Input/cdaudio/configure.c: Removed one notebook-page.

	* Input/cdaudio/cdinfo.c (cdda_cdinfo_read_file): Removed a
	fprintf().

Mon Jan 17 18:55:57 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlistwin.c (playlistwin_add_all_files): Avoided calling
	gtk_clist_undo_selection() because it could cause segfault due to
	a GTK+ bug.

	* General/song_change/song_change.c (timeout_func): We now escape
	all characters that are special to the shell inside double quotes.

Mon Jan 17 15:15:16 CET 2000  Peter Alm  <peter@xmms.org>
	
	* General/song_change/song_change.c: We now reset the SIGCHLD handler
	on exit in case XMMS receives a SIGCHLD after the plugin is closed,
	also fixed a spelling error.

Fri Jan 14 11:40:21 CET 2000  Peter Alm  <peter@xmms.org>
		
	* configure.in Output/disk_writer/Makefile.am: Some more cleaning up.

Fri Jan 14 09:17:06 CET 2000  Peter Alm  <peter@xmms.org>

	* xmms/main.[ch] xmms/prefswin.c: Added an option to disable DGA access
	(disabled by default).

Thu Jan 13 14:09:11 CET 2000  Peter Alm  <peter@xmms.org>

	* configure.in xmms/sm.[ch] xmms/main.c xmms/Makefile.am: Added X11R6
	style session managment support.
	
	* configure.in: Cleaned up some mistakes.

Wed Jan 12 22:56:43 CET 2000  Peter Alm  <peter@xmms.org>
		
	* xmms/playlist.c xmms/main.c xmms/equalizer.c xmms/bmp.c
	  xmms/textbox.c Visualization/sanalyzer/spectrum.c: Hopefully
	  got rid of those BadMatch people some people get.
		
	* Input/mpg123/layer3.c: Fixed some bugs that caused XMMS to crash
	on some bad MP3 streams.
		
	* Output/OSS/audio.c: The OSS plugin should be a bit nicer to the
	driver now.
		
	* configure.in *Makefile.am: the configure script should treat
	CFLAGS better now.
		
	* lots-of-files: XMMS should now compile without warnings with
	-Wall turned on.

Sat Jan  8 01:08:01 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* General/song_change/song_change.c: Added the possibility to run
	a shell-command at playlist-end. Wrote a short description about
	what this plugin really can do. Closed a memory-leak and a
	possible access of a NULL pointer.

Sun Jan  2 01:20:40 CET 2000  Håvard Kvålen  <havardk@sol.no>

	* libxmms/dirbrowser.c (check_for_subdir): Fixed a bug that caused
	a lot of directories look like they had subdirectories even though
	they did not.

	* Output/disk_writer/disk_writer.c: Got it working again.

Mon Dec 27 00:43:31 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* Output/disk_writer/disk_writer.c: Woops. Broke the diskwriter
	because it depended on a rather ugly hack. Fixed it with a new
	ugly hack to make it work for now...

Sun Dec 26 20:22:46 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/main.c: Play/stop/etc-commands on the
	command-line work even if no other xmms-session is running.

	* xmms/ctrlsocket.[ch], xmms/pluginenum.c: Made the
	session_id-variable static.

Wed Dec 22 01:14:50 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/bmp.c, xmms/controlsocket.c, xmms/eq_graph.c,
	xmms/hslider.c, xmms/main.c, xmms/playlist.h,
	xmms/playlist_list.c, xmms/pluginenum.c, xmms/prefswin.c,
	xmms/skin.[ch], xmms/skinwin.c, xmms/svis.c, xmms/util.[ch],
	xmms/vis.c, xmms/visualization.c: The entire xmms/ directory now
	compiles (almost) without warnings with -Wall on. Fixes that were
	done was stuff like removing unused variables, exporting functions
	called from other files and other minor stuff. Now, lets try to
	keep it warning-free!

	* xmms/input.c (input_get_song_info): An uninitialized variable
	could get used if no inputplugins were available.

	* xmms/main.c (main): A printf() that where shown if gtk+ was too
	old was called with too few arguments.

Tue Dec 21 20:43:13 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* General/ir/about.c (ir_about): Fixed a strange string constant
	and rearanged some gtk+-code.

	* Output/OSS/audio.c (oss_get_output_time),
	Output/esd/audio.c (esdout_write): Fixed a bug that caused
	problems when skipping several times. 

	* Effect/stereo_plugin/stereo.c (about): Fixed a typo.

	* xmms/dock.c : Fixed some warnings.
	(is_docked): Simlified it.

Mon Dec 20 22:42:32 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/dga.c:  added stub for xmms_dga_draw_32_image for when
	                  dga is not enabled (oops)..

Mon Dec 20 03:55:02 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* configure.in
	  libxmms/configure.in: added --disable-dga option for people with
	                        broken DGA libraries..

Mon Dec 20 01:36:20 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* xmms/main.c:  Wasn't calling xmms_dga_init inside GDK_THREADS_*()
	                block.. Fixed.

Sun Dec 19 12:40:42 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/dga.c
	  libxmms/dga.h:  Added xmms_dga_draw_32_image()

Sun Dec 19 10:41:46 CET 1999  Peter Alm  <peter@xmms.org>

	* configure.in Makefile.am xmms.m4 xmms-config.in: Added xmms-config.
	(Patch by Ben Gertzfield)

Fri Dec 17 21:57:10 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/fullscreen.c
	  libxmms/fullscreen.h:
	
		Added some functions for plugins that enter fullscreen
		themself (read: GL plugins) so they can live peacefully
		with programs that use xmms_fullscreen functions.
	(xmms_fullscreen_in, xmms_fullscreen_mark, xmms_fullscreen_unmark)

Fri Dec 17 09:18:21 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/configure.in
	  libxmms/Makefile.am
	  libxmms/dga.c
	  libxmms/dga.h
	  xmms/main.c:		Added dga support.

Wed Dec 15 14:21:56 CET 1999  Peter Alm  <peter@xmms.org>
	
	* Input/mpg123/common.c Input/mpg123/mpg123.c: Fixed some bugs related
	to title formatting.
		
Wed Dec 15 13:35:12 CET 1999  Peter Alm  <peter@xmms.org>
		
	* xmms/main.c: check_ctrlsocket gets called with the GDK mutex locked
	now.
	
Wed Dec 15 11:50:17 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/visualiztion.c xmms/general.c: Rewrote the string list parser

Wed Dec 15 04:19:46 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/fullscreen.c:  Uses GDK_CURRENT_TIME instead of 0 now,
	                         and focuses the window on fullscreen_enter.

	                         Fixed some issues with more than one plugin
	                         trying to set fullscreen.

Wed Dec 15 11:12:30 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/pluginenum.c: Fixed a bug in plugin cleanup.
		
Tue Dec 14 21:09:42 CET 1999  Peter Alm  <peter@xmms.org>

	* acconfig.h configure.in
	  Visualization/opengl_spectrum/opengl_spectrum.c: Fixed a bug in
	  cleanup.

	* xmms/playlist.c: End of playlist weren't handled nicely when shuffle
	was turned on.

	* Input/mpg123/common.c: Fixed a bug that could cause a segfault when
	no valid MPEG header was found.
	
Tue Dec 14 07:33:26 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/fullscreen.c
	  libxmmm/fullscreen.h: Added functions to list available modes.

Tue Dec 14 06:28:47 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* Input/cdread/Makefile.am: Fixed to work with new libtool.

Tue Dec 14 05:26:19 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/fullscreen.c
	  libxmms/fullscreen.h: Still working out the kinks.

Tue Dec 14 03:00:17 CST 1999  Zinx Verituse <zinx@linuxfreak.com>

	* libxmms/fullscreen.c
	  libxmms/fullscreen.h
	  libxmms/configure.in
	  libxmms/Makefile.am:  Added fullscreen support.

Tue Dec 14 10:27:18 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/main.c: Fixed some threading issues with visualization plugins
	and the control socket.

Mon Dec 13 18:30:45 CET 1999  Olle Hällnäs  <olle@xmms.org>

	* Output/disk_writer.c: applied a patch from "Stas" it fixed
	  a bug so now you can play the wav files in windows mediaplayer(tm)

Fri  3 Dec 13:00:33 MET 1999  Espen Skoglund  <esk@ira.uka.de>

	* Input/cdread/cdrombsd.h (cdrom_get_time): Fixed field names of
	some structs.

	* Input/cdread/server.c (read_line) (write_line): Changed ETIME to
	ETIMEDOUT (ETIME does not exist on BSD).

	* xmms/playlist.c (playlist_ins): Tries to recognize .m3u lists by
 	content in addition to suffix.

Thu Dec  2 14:06:45 EST 1999  Tim Ferguson  <timf@dgs.monash.edu.au>

	* Fixed bug in Input/idcin/idcin.c that caused a crash when reading a
	file coded with audio at 11025Hz.  Now need to fix the audio-video
	sync problems.

Tue Nov 30 13:04:48 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/main.c: Fixed a problem which would cause "BadMatch" errors on
	some platforms.

	* xmms/textbox.c: The space was read from the wrong position.

	* libxmms/configure.in: Try to locate the prefix for libxmms as well 
	now.

Mon Nov 29 10:24:08 CET 1999  Peter Alm  <peter@xmms.org>	

	* xmms/main.c: playlist_clear() now gets called before 
	cleanup_plugins()

Mon Nov 29 08:40:46 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/main.c: Fixed balance handling code.

Thu Nov 25 16:44:24 CET 1999  Peter Alm  <peter@xmms.org> 

	* Input/mpg123/mpg123.c: Fixed a problem with VBR streams

Mon Nov 22 22:13:30 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/equalizer.c xmms/playlistwin.c: The playlist and equalizer
	windows appeared in the window list when hiding and showing them again.

Sun Nov 21 22:54:49 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/visualization.c: The visualization area doesn't get cleared when
	vis is turned off any more.

Sun Nov 21 12:01:15 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/pluginenum.c: Oops, fixed another stupid error.

Sat Nov 20 23:30:42 CET 19999  Peter Alm  <peter@xmms.org>

	* xmms/pluginenum.c: Fixed a silly mistake in the previous commit.

Sat Nov 20 20:32:58 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/input.c xmms/visualization.[ch]: Minor cleanups.

	* xmms/pluginenum.c: Visualization plugins gets properly cleaned up now
	at exit.

Fri Nov 19 21:05:53 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/Output/audio.c: Added option for adjusting master volume instead
	of the PCM volume. (patch by Chris Pitchford)
		
	* xmms/main.[ch] prefswin.c: Added setting to control the speed of the
	mouse wheel. (patch by Chris Pitchford)

Mon Nov 15 21:10:40 CET 1999  Peter Alm  <peter@xmms.org>

	* xmms/skin.[ch] xmms/main.c: Added a reload skin option (F5).

Mon  8 Nov 11:12:16 MET 1999  Espen Skoglund  <esk@ira.uka.de>

	* Input/mpg123/id3_frame.c (id3_decompress_frame),
	configure.in: Compiled in support for handling compressed id3
	frames.

	* Output/OSS/audio.c (oss_playing): Made a new bytes-left
	calculation.  The current version should be more compatible with
	the FreeBSD pcm driver.

	* libxmms/util.c (xmms_check_realtime_priority): Do not invoke
	sched_getscheduler() unless it is compiled into the kernel
	(FreeBSD fix).

Sun Nov 14 12:15:50 CET 1999  Peter Alm  <peter@xmms.org>

	* Output/OSS/audio.c Output/OSS/Makefile.am: Added a *WAY* better and
	*WAY* faster resampling routine.

Sun Nov 14 10:21:26 CET 1999  Peter Alm  <peter@xmms.org>
		
	* xmms/dock.[ch] xmms/main.[ch] xmms/equalizer.c xmms/playlistwin.c:
	Cleaned up and improved the window docking code some.
		
	* Input/mpg123/mpg123.c: *REALLY* short MPEG streams should work now.
		
	* General/song_change/song_change.c: Fixed a potentrial security problems
	with titles that contain `.

Thu Nov 11 18:56:57 CET 1999  Peter Alm  <peter@xmms.org>
		
	* xmms/playlist.c: Fixed a bug that could cause segfault when clearing
	the playlist

Tue Nov  9 18:12:25 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* configure.in : Better check for libxml.

Tue Nov  9 17:40:20 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlist.c (playlist_remove_dead_files): Fixed a bug that
	could cause xmms to crash.

Mon Nov  8 21:42:00 CET 1999  Peter Alm  <peter@xmms.org>
	
	* xmms/Makefile.am xmms/dock.[ch] xmms/main.[ch] xmms/playlistwin.c
	  xmms/equalizer.c xmms/xmms.h: Added new window docking code. Should be
	a lot easier to maintain.

	* xmms/bmp.c: Added support for 16 bit BMP files.

	* xmms/skin.c: Parsing of the pledit.txt file was a bit broken.		

Mon Nov  8 15:09:28 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlist.c (playlist_remove_dead_files): We now never
	remove the currently playing file, nor urls. Better handling when
	we remove file that is current.

Mon  8 Nov 14:22:53 MET 1999  Espen Skoglund  <esk@ira.uka.de>

	* Input/cdaudio/cdindex.c (cdindex_test_sha): Check for SHA-1
	integrity before contacting the CDIndex server.
	(cdindex_get_info), (cdindex_get_tracks): Support mutliartist
	CDs.
	(cdindex_query_server): Made CDIndex result parsing a little more
	robust.

	* Input/cdaudio/cdaudio.c (cdda_get_toc): Added support for
	reading CD tocs under FreeBSD.
	(play_file), (get_song_info): Fixups for CDIndex support.

Mon Nov  8 09:17:02 CET 1999  Olle Hällnäs  <olle@xmms.org>

	* TODO : Just added a TODO file in the CVS

Sat Nov  6 17:57:03 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/equalizer.c : Fixed some compile-warinings.
	(equalizerwin_create) : The shade and closebuttons were incorrect
	if xmms was started with the equalizer shaded.

Thu Nov  4 21:18:44 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/hints.c (check_wm_hints): Changed type to void, it never
	returned anything.

Thu Nov  4 21:10:41 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* Output/OSS/audio.c (oss_open), Output/esd/audio.c (esdout_open):
	Fixed a bug that could crash xmms, when starting to play.

	* xmms/hints.h (hint_set_sticky): Declared it.

Thu Nov  4 14:34:35 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* ChangeLog: Reverted a patch wich removed some entries from the
	ChangeLog. Make sure to do a 'cvs update' before commiting files.

Thu Nov  4 8:30:10 EST 1999  Tim Ferguson  <timf@dgs.monash.edu.au>

	* libxmms/xmmsctrl.[ch], xmms/controlsocket.[ch]: added
	xmms_remote_is_main_win(), xmms_remote_is_pl_win(), and
	xmms_remote_is_eq_win() to the remote control api.

	* wmxmms/wmxmms.c: make use of the new status functions to allow
	middle and right mouse buttons to toggle playlist and main windows
	respectively.

Wed Nov  3 12:55:21 CET 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlistwin.c (playlistwin_motion): Fixed snapping to
	mainwindow. 

	* Input/cdaudio/cddb.c (cddb_check_protocol_level): Rewrote this
	function. Must have missed a part of the spec.

	* xmms/main.c (mainwin_jump_to_file): Fixed a bug that caused the
	gui to freeze when trying to jump to file on a empty playlist.

	* configure.in, xmms/cdaudio/Makefile.am, acconfig.h: Temporary
	hack to make cdindex compile.

1999-10-25  Espen Skoglund  <esk@ira.uka.de>

	* xmms/cdaudio/cdinfo.[ch], 
	xmms/cdaudio/http.[ch], 
	xmms/cdaudio/cdindex.c,
	xmms/cdaudio/cdaudio.[ch],
	sha_func.c, sha.h: Added prelimenary CD Index supprt.

Mon Nov  1 10:55:44 CET 1999  Willem Monsuwe  <willem@stack.nl>

	* Input/mikmod/Makefile.am: Cleaned it up, so that only the actual
	  build depends on being configured;  looks cleaner, and this way,
	  'make dist' includes everything, even if it's not configured.

Mon Nov  1 10:38:43 CET 1999  Willem Monsuwe  <willem@stack.nl>

	* Input/cdread/cdread.c: Added a quick fix, because the reported
	  last sector of an audio CD (leadout) seems to be one off, and this is
	  reported to cause serious problems on some drives.

Mon Nov 1 01:10:02 EST 1999  Tim Ferguson  <timf@dgs.monash.edu.au>

	* Sorry 'bout that....  Adding this now.
	* Fixed the previous problem and resubmitting the patch to wmxmms.c
	  -title option to display song title as a tool tip
	  Wheel mouse now changes volume.

Thu Jul 29 21:03:12 CEST 1999  Olle Hällnäs  <olle@xmms.org>

	* wmxmms/wmxmms.c reverted a patch by Tim Ferguson
	  please don't add stuff that people do not want
	  right click to hide main window good, BUT
	  when starting XMMS and playlist window just disapears
	  NOT GOOD! Also write in the Changelog next time!

Fri Oct 29 15:42:45 CEST 1999  Willem Monsuwe  <willem@stack.nl>

	* xmms/Input/cdread/cdread.c: Fixed a bug where direct
	cdrom output doesn't work anymore, because of some other
	changes.

	* xmms/Input/cdread/cdread.c xmms/Input/cdread/server.c:
	Changed all usleep()s to xmms_usleep()

Thu Oct 28 21:48:20 CEST 1999  Olle Hällnäs  <olle@xmms.org>
	* xmms/Input/cdread/Makefile.am fixed so the plugin gets installed
	in $(plugindir)/$(INPUT_PLUGIN_DIR) and not $prefix/lib

Thu Oct 28 17:19:35 CEST 1999  Willem Monsuwe  <willem@stack.nl>

	* configure.in, Input/Makefile.am, Input/cdread/*:
	Added cdread plugin (todo: fix the _fini() hcak)

Mon Oct 25 20:56:36 CEST 1999  Olle Hällnäs  <olle@xmms.org>

	* xmms/plugin.h Changed the licens so binary only plugins can be built.

Sun Oct 17 17:18:28 CEST 1999  Peter Alm  <peter@xmm.org>
		
	* xmms/playlist.c (playlist_clear): the playlist mutex isn't locked
	when calling input_stop any more.
		
	* xmms/hints.[ch] xmms/main.[ch]: Added sticky.
		
	* xmms/equalizer.c xmms/playlistwin.c xmms/hints.[ch]: The equalizer
	and playlist doesn't show up in GNOME's task list any more.
		
Fri Oct 15 13:13:12 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/cdaudio/cdinfo.[ch], Input/cdaudio/cddb.c: Added caching
	of cddb-info to disk.

Tue Oct 12 23:04:24 CEST 1999  Olle Hällnäs  <olle@xmms.org>

	* xmms/main.c added shortkey control+n for "No Playlist Advance"

Mon Oct 11 01:15:03 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/skin.c (load_skin): Fixed a problem when changing between
	skins that differed only in case.

Sat Oct  9 02:35:35 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/cdaudio/cddb.[ch],
	Input/cdaudio/http.[ch],
	Input/cdaudio/cdaudio.[ch], 
	Input/cdaudio/configure.c, 
	Input/cdaudio/Makefile.am: CDDB-support. At the moment it is
	linux-only.

	* xmms/playlist.c, xmms/main.c, xmms/playlistwin.c: Moved some
	code for showing the fileinfobox over to playlist.c.

	* xmms/playlist.c (playlist_remove_dead_files): Implemented remove
	dead files.

	* xmms/prefswin.c (show_prefs_window): Make sure the prefswin get
	raised if it already is visible.

	* configure.in, libxmms/configure.in, libxmms/util.c, xmms/main.c:
	Added checks for both <sched.h> and <sys/sched.h>. This shoud fix
	compiling problems on some unixes.

	* libxmms/configfile.[ch] : Added this functions for opening the
	default config-file. Now there is no need for every plugin to know
	the name of the configfile.

	* libxmms/configure.in: Added check for <unistd.h>.

	* libxmms/xmmsctrl.c: Added some #includes.
	(xmms_remote_get_skin): It never returned anything. Fixed.

	* xmms/playlistwin.c (playlistwin_show_dirbrowser): The dirbrowser
	is not positioned where the mouse is anymore.

Fri Oct  8 19:26:02 CEST 1999  Olle Hällnäs  <olle@xmms.org>
	
	 * confiure.in: added AC_PREFIX_PROGRAM(xmms) this will
	   autoset $prefix when doing a configure.

Thu Oct  7 18:12:30 CEST 1999  Peter Alm  <peter@xmms.org>

	 * xmms.spec.in: Applied patch from Ryan Weaver

Sun Oct  3 09:27:24 CEST 1999  Peter Alm  <peter@xmms.org>
		 
	* xmms/main.c: The main window always gets mapped now before using it as
	a leader for the other windows. 
		
	* xmms/visualization.c xmms/input.c: Minor fixes
		
	* xmms/textbox.c: Now you can't scroll texts that isn't supposed to be
	scrolled any more.
		
	* xmms/playlist.c: Improved shuffle handling a bit.

Thu Sep 30 22:11:32 CEST 1999  Peter Alm  <peter@xmms.org>

	* xmms/about.c: Fixed a GTK warning.
		
	* Input/mpg123/mpg123.c: Fixed song length calculation for files
	with a broken first frame.
		
	* Input/mpg123/http.c Output/OSS/audio.c Output/esd/audio.c
	  Output/disk_writer/disk_writer.c: Changed some count variables to
	unsigned 64-bit integers.

Sun Sep 26 18:27:40 CEST 1999  Peter Alm  <peter@xmms.org>
		
	* xmms/pluginenum.c: The visualization plugins now gets sorted as the
	rest of the plugins.

Sun Sep 26 11:18:49 CEST 1999  Peter Alm  <peter@xmms.org>
		
	* xmms/input.c: The visualization plugins render functions now longer
	gets called while holding the visualization list mutex.

Sun Sep 26 09:13:36 CEST 1999  Peter Alm  <peter@xmms.org>
		
	* Input/mpg123/configure.c: Fixed a minor typo.

	* Input/mpg123/http.c libxmms/util.[ch]: Fixed those annoying error
	messages from filling up the screen.

	* Output/OSS/audio.c Output/esd/audio.c: Plugged two minor memory leaks.

	* Visualization/blur_scope/blur_scope.c: Plugged a minor memory leak.

	* xmms/playlistwin.c: Fixed a segfault when using the "Add all files in
	directory" button in a directory without any files. (GTK+ bug?)

Sat Sep 25 20:11:12 CEST 1999  Peter Alm  <peter@xmms.org>

	* Visualization/blur_scope/*.[ch]: The color now gets updated in
	realtime.

Sat Sep 25 19:48:51 CEST 1999  Peter Alm  <peter@xmms.org>

	* Visualization/opengl_spectrum/opengl_spectrum.c: Pointer grabbing
	wasn't always working before in fullscreen mode.
		
	* Visualization/blur_scope/Makefile.am
	  Visualization/blur_scope/blur_scope.[ch]
	  Visualization/blur_scope/config.c: Made the color in the blur_scope
	configurable. (Patch by Matt Bardeen)

Sat Sep 25 11:59:30 CEST 1999  Peter Alm  <peter@xmms.org>
		
	* xmms/playlist.c: XMMS would hang when pressing fast forward to
	fast, also speeded up "Read info on load/demand".
		
	* Visualization/opengl_spectrum/opengl_spectrum.c: The plugin used
	to lock up the computer when running in realtime mode.
		
	* Visualization/blur_scope/blur_8.s: Replaced .p2align with .align
	
	* Input/mpg123/configure.c: Fixed a segfault when clicking Ok on some
	systems.
		
	* Input/cdaudio/cdaudio.c: Solaris build fix.
		
	* General/joystick/configure.c: The titlebar now says XMMS instead
	of X11Amp

	* libxmms/Makefile.am: util.h now gets installed.
		
	* configure.in libxmms/configure.in: Added a quick hack to remove a lot
	of silly warnings on FreeBSD.
		
Fri Sep 24 19:00:14 CEST 1999  CEST 1999  Peter Alm  <peter@xmms.org>

	* Input/mpg123/http.c: Authorization was broken. Fixed it.

	* Visualization/sanalyzer/spectrum.c: Fixed another floating point
	exception on FreeBSD.

	* Output/OSS/audio.c: The OSS plugin now works with drivers without
	SNDCTL_DSP_GETBLKSIZE (some FreeBSD drivers).

Fri Sep 24 15:20:21 CEST 1999 Olle Hällnäs  <olle@xmms.org>

	* xmms/main.c: Added shortkey Control+V to get Visualization plugins 
	preferences.

Thu Sep 23 23:49:49 CEST 1999  Peter Alm  <peter@xmms.org>
		
	* xmms/visualization.c: Fixed a bug that caused floating point
	exceptions on FreeBSD.

Wed Sep 22 23:50:35 CEST 1999  Peter Alm  <peter@xmms.org>

	* configure.in xmms.spec.in Makefile.am acconfig.h
	  Visualization/Makefile.am Visualization/opengl_spectrum/*: Added
	example OpenGL vis plugin.

	* Input/cdaudio/cdaudio.c: Fixes for Solaris.

	* Input/mpg123/configure.c Input/mpg123/http.c
	  Input/mpg123/mpg123.[ch]: Added proxy authentication support.

	* Input/wav/wav.c: Fixed a bug that caused hangs near EOF in realtime
	mode.

	* Visualization/sanalyzer/spectrum.c: Removed an obsolete variable.

	* xmms/input.c Removed a unneccesary call to playlist_set_info.

	* xmms/playlist.c xmms/prefswin.c xmms/main.h: Added a "use '\' as a
	directory delimiter" option.

	* xmms/main.c xmms/prefswin.[ch]: Added a shortcut from the visualization
	menu to the visualization plugin page.

1999-09-13  Espen Skoglund  <esk@ira.uka.de>

	* Input/cdaudio/configure.c, Input/cdaudio/cdaudio.c: Added
	cdaudio support for systems with <sys/cdio.h>.

Sun Sep 12 22:16:55 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlistwin.c, xmms/playlist.[ch]: Added framework for a
	"Sub misc menu", this is not working yet.

	* xmms/playlist.[ch]: Changed all playlist*ins() functions to
	accept negative positions to put new entries at the bottom of the
	list. At the moment we always do that, now these functions are a
	litle more optimized for the case that always is used.

	* xmms/playlistwin.c (playlistwin_keypress): Keypad-up/down, now
	works like normal up/down.

	* xmms/playlist.[ch], xmms/playlistwin.c, xmms/main.c,
	xmms/controlsocket.c: Fixed a bunch of places that were not
	holding the playlist-mutex while accessing the playlist
	directly.

	* xmms.spec.in: Included visualization-plugins in the
	description.

	* xmms/input.h: Exported input_update_vis().

	* xmms/playlist.c, xmms/main.c: Fixed some warnings.

	* xmms/playlist.c (playlist_sort_by_title_cmpfunc)
	(playlist_sort_by_filename_cmpfunc):  These functions were badly
	broken.

Sun Sep  5 11:29:45 CEST 1999  Peter Alm  <peter@xmms.org>

	* xmms/skin.[ch] xmms/equalizer.c: Added equalizer shade transparency 
	support.

	* Makefile.am configure.in Input/idcin/idcin.c Input/mikmod/drv_xmms.c
	  Input/mikmod/plugin.c Input/mpg123/layer1.c Input/mpg123/layer2.c 
	  Input/mpg123/layer3.c Input/mpg123/mpg123.c Input/wav/wav.c
	  Visualization/* xmms/Makefile.am xmms/xmms.h xmms/fft.[ch] 
	  xmms/visualization.[ch] xmms/main.c xmms/plugin.h xmms/pluginenum.c
	  xmms/vis.c xmms/prefswin.[ch] xmms/input.[ch]: Added vis plugin support

	* xmms/util.c: Added a missing closedir in del_directory.

Fri Sep  3 23:31:38 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlist.c: Fixed a bug that caused playlists to be loaded
	when you added a directory to the playlist.

Thu Sep  2 01:35:38 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlist.c (playlist_sort_selected): Oops, forgot to take
	out some debug code, that broke this sorting on purpose.

Wed Sep  1 23:18:48 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/mpg123/mpg123.[ch], Input/mpg123/configure.c: New option: By
	popular demand its now possible to have the mpg123-plugin
	recognizing files by content rather than filename extension.

	* xmms/input.c (input_play): Set the "playing" flag even if no
	input-plugin recognizes the file. This way entries in the playlist
	where the inputplugin has been disabled will be skipped. 
	(input_stop): Made sure we always clear the "playing" flag.

	* xmms/prefswin.c (create_prefs_window): Moved the buttons around
	a litle.

	* xmms/main.c (mainwin_url_ok_clicked), xmms/playlistwin.c
	(playlistwin_url_ok_clicked) : Files are added to the playlist
	with playlist_add_url_string() now for more flexibility.

	* xmms/playlistwin.c (playlistwin_url_ok_clicked): Made it a litle
	bit better at deciding whether we should prepend a "http://" or
	not. Loading of file:-urls and regular files should be working
	now.

	* xmms/playlist.c (playlist_ins): We now recognize playlists, and
	loads them. 

	* xmms/playlist.c (playlist_load_ins_file): Playlist entries will
	now be added to the playlist without checking if a input-plugin
	recognizes the file.

	* xmms/main.c, xmms/playlistwin.c, xmms/util.[ch]: Moved
	mainwin_show_add_url_window() and
	playlistwin_show_add_url_window() to util_crate_add_url_window().
	These were basically doing the same thing. 

	* xmms/playlist.c (playlist_set_position): Fixed crash if the
	position was of range.

Mon Aug 30 15:50:41 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlistwin.c: Added buttons to add files to the playlist
	from the filerequester,	without closing it. Also plugged a couple
	of memory leaks.

	* xmms/playlistwin.c (playlistwin_motion): Resizing of the
	playlistwindow broke with GTK+-1.2.4 because we did not call
	gdk_window_resize().

	* Effect/voice/voice.c (mod_samples): The voice-removal plugin was
	somehow believing there was twice as many samples as there really
	was.

	* xmms/playlistwin.c (playlistwin_show_add_url_window): The entry
	is active when the window is opened.

Sat Aug 28 00:25:44 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* configure.in, Input/mpg123/common.c: Uses autoconf to check for
	"inline".

	* Input/mpg123/mpg123.c (decode_loop): Call set_info() even if we
	don't find the input file.

	* xmms/skinwin.c (scan_skins): "/usr/share/xmms/Skins" and
	"/usr/local/share/xmms/Skins" are checked for skins. This is
	documented in the README.

	* Input/mpg123/common.c (get_fileinfo): Fixed a slight inaccuracy in
	songtime calculation.

	* xmms/playlistwin.c, xmms/playlist.[ch]: Implemented sorting of
	selected files on the playlist.

	* xmms/playlistwin.c: Fixed some warnings.

Fri Aug 27 00:10:22 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Output/OSS/audio.c (oss_close): Fixed a bug that could prevent
	skipping of non-existing files.

Wed Aug 25 00:00:54 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/mpg123/fileinfo.c (mpg123_file_info_box): Number of frames
	was incorrect for non-VBR files.

	* xmms/main.[ch], xmms/playlistwin.[ch], xmms/prefswin.c: New
	option: Userdefined pause between songs.

	* xmms/playlistwin.c (playlistwin_url_ok_clicked): If a new url
	has no "http://" prefix, one is prepended to the string.

Tue Aug 24 20:50:00 CEST 1999  Derrik Pates  <dpates@dsdk12.net

	* xmms/playlist.c: Added a second call to scan_skins() in the
	random skin selection code to make sure the skin selected in the
	skin selector window is the same as the skin in use.

	* xmms/skinwin.c: Removed the gtk_clist_clear() from
	show_skin_window, and moved it into scan_skins. Also added
	gtk_clist_freeze() and gtk_clist_thaw() before and after where the
	list is updated.

Tue Aug 24 08:45:03 CEST 1999  Derrik Pates  <dpates@dsdk12.net>

	* xmms/main.c: Added lines in the configuration load and save
	routines to store and retrieve the value of
	cfg.random_skin_on_play (and to give it a reasonable default).

	* xmms/main.h: Added a line in the configuration structure
	definition for random_skin_on_play.

	* xmms/playlist.c: Added code in playlist_play() to randomly
	select a skin when cfg.random_skin_on_play is TRUE, if there
	are skins to choose from.

	* xmms/skinwin.c: Removed the 'struct SkinNode' definition, added
	the 'Select random skin on play' check box to the skin selector
	(and a needed callback for that). Also removed the 'static'
	qualifier from the header of scan_skins().

	* xmms/skinwin.h: Added an extern reference to the skinlist
	pointer, added the 'struct SkinNode' definition, and added a
	prototype for scan_skins().

Mon Aug 23 20:29:06 CEST 1999  Derrik Pates  <dpates@dsdk12.net>

	* xmms/playlistwin.c: Added checks in playlistwin_press() to allow
	a right-click in the playlist window to pull up the main menu, as
	long as the right-click is not on the list or the
	add/sub/sel/sort/misc buttons.

	* xmms/equalizer.c: Added checks in equalizerwin_press() to allow
	a right-click in the equalizer window to pull up the main menu, as
	long as the right lick is not on the "on" or "auto" buttons.

	* xmms/main.c: Added an extra tab to a line in
	inside_sensitive_widgets() to line it up with the rest.

Sat Jul 24 12:02:41 CEST 1999  Peter Alm  <peter@xmms.org>

	* xmms/equalizer.c
	  xmms/playlistwin.c: Fixed the delete signal handlers so that it doesn't
	segfault when closing the windows using the window manager's buttons.

	* Input/mpg123/mpg123.c: Improved header sync in the beginning of a 
	stream.

Sat Jul 24 00:33:47 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/mikmod/plugin.c, Input/mikmod/mikmod-plugin.h: Made it
	possible to adjust the panning 	separation. Also eliminated a
	couple of variables. 

	* Input/mikmod/plugin.c, Input/mikmod/drv_xmms.c: Changed the
	check for libmikmod version.

Fri Jul 23 17:36:21 CEST 1999  Peter Alm  <peter@xmms.org>

	* xmms/equalizer.c 
	  xmms/main.c 
	  xmms/playlistwin.c
	  xmms/textbox.c 
	  xmms/widget.c
	  xmms/widget.h: Added a mutex in Widget to prevent the redraw flag to 
	be cleared to soon.

	* xmms/skin.c: The pledit.txt reader code doesn't use sscanf anymore.

	* xmms/prefswin.c: The correct effect plugin should now be selected
	when opening the preferences window.

	* Input/mpg123/*.c: Loads of stability fixes for the mpg123 plugin. Also
	removed the authenication section in the configuration dialog (use 
	http://user:pass@host instead)

	* Input/mikmod/drv_xmms.c
	  Input/mikmod/plugin.c: Mikmod plugin should now work with 
	libmkikmod 3.1.7

	* Effect/*/*.c
	  Output/*/*.c
	  xmms/plugin.h: Added a new more flexible effect plugin API.

Sun Jul 18 23:52:29 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/about.c (show_about_window): Added version number.

Sun Jul 18 14:50:57 CEST 1999  Olle Hällnäs  <olle@xmms.org>

	* configure.in, 
	Input/Makefile.am,
	Input/idcin/*: added cin video player plugin by Tim Ferguson

Sun Jul 18 02:41:01 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlistwin.c (playlistwin_press), xmms/playlist_list.c,
	xmms/playlist_slider.c: Mousewheel up/down now works in the
	entire playlist-window. 

	* xmms/equalizer.c: Equalizer-shademode keybindings: Arrows
	up/down: Volume up down, left/right: Balance left/right

	* xmms/main.[ch]: Mainwindow keybindings: Arrows up/down: Volume
	up/down, left/right: Jump back/forth. 

	* xmms/main.c (mainwin_press): Mouse-wheel up/down adjusts the
	volume less than it used to. Also cleaned up the code some.

	* xmms/main.c (read_volume): The balance sliders does not get
	updated if the volume is zero.

	* xmms/main.c, xmms/equalizer.c, xmms/playlistwin.c: Improved the
	movement of the windows when shading a window.

	* xmms/main.h, xmms/equalizer.h, xmms/playlist.h,
	xmms/playlist_list.h, xmms/playlistwin.h: Exported funtions that
	were used in other files.

	* xmms/controlsocket.c, xmms/playlist.c, xmms/prefswin.c,
	xmms/textbox.c: Added some #include's.

	* xmms/main.c (mainwin_motion): Fixed snapping to equalizer. This
	has been broken for a long time.

	* xmms/equalizer.[ch], xmms/main.c: Added a menu entry for the
	equalizer windowshade mode to the options menu.

Fri Jul 16 12:14:02 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlist.c (playlist_load_ins_file): Fixed loading of
	playlists whith backslash as directory-separator.

Fri Jul  9 16:14:48 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/equalizer.[ch],
	xmms/main.[ch],
	xmms/skin.[ch],
	xmms/playlistwin.c,
	xmms/defskin/Makefile.am: Equalizer windowshade mode.

	* xmms/defskin/eq_ex.xpm, xmms/defskin/eqmain.xpm: Default skin
	updated for equalizer windowshade mode by 
	Thomas Nilsson	<thomas@xmms.org> 

	* xmms/pbutton.[ch]: Made it possible to have a pbutton which has
	the pressed and unpressed images on different pixmaps.

	* xmms/playlist_slider.c (playlistslider_button_press_cb): Made it
	possible to scroll the playlist with mouse scroll-wheel also when
	holding the pointer over the slider.

	* xmms/playlist_list.c (playlist_list_button_press_cb),
	xmms/playlistwin.c: Mouse scroll-wheel up/down now behaves like
	pageup/down.

	* xmms/main.c (mainwin_press): Removed some code that never could
	get called.

	* xmms/main.[ch], xmms/playlistwin.c, xmms/equalizer.c,
	xmms/controlsocket.c: Changed the name of set_always() to
	mainwin_set_always_on_top().

	* xmms/main.c (inside_sensitive_widgets): Added the "about"
	button. It now works as expected with easy-move enabled.

1999-07-05  Espen Skoglund  <espensk@stud.cs.uit.no>

	* Input/mpg123/common.c (mpg123_read_frame): Check for ID3 tags in
	the _beginning_ of the frame!  (Why was this removed?)
	(read_id3v2_tag): Removed code that resultet in race conditions.

Sun Jun 27 22:48:17 CEST 1999  Olle Hällnäs  <olle@xmms.org>

	* gnomexmms/gnomexmms.xpm: Wrong icon, fixed.

Sun Jun 27 17:11:47 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlist.c: Forgot to commit some changes yesterday.

Sun Jun 27 11:44:32 CEST 1999  Peter Alm  <peter@xmms.org>

	* xmms.spec.in: Applied a patch from Ryan Weaver

	* xmms/main.c
	  xmms/input.c: Improved volume reading code.

	* Output/esd/audio.c: The esd output skipped a few seconds every minute
	  before.

	* Input/mpg123/common.c
	  Input/mpg123/id3_frame.c
	  Input/mpg123/mpg123.c: Fixed some bugs with invalid ID3v2 tags. Also
	  cleaned up the title reading code.

	* Input/mpg123/common.c
	  Input/mpg123/mpg123.c: Made some functions static and put a mpg123_
	  prefix on id3v1_to_id3v2.

	* Input/mpg123/mpg123.c: Streams without ID3 tags will now get the
	correct title. Improved the header syncing a bit too.

	* Output/OSS/audio.c: The OSS plugin should work better on some systems
	now. Also fixed a memory leak when using realtime mode.

1999-06-26  Espen Skoglund  <espensk@stud.cs.uit.no>

	* Input/mpg123/common.c (read_id3v2_tag)
	  Input/mpg123/mpg123.h
	  Input/mpg123/mpg123.c (mpg123_format_song_title)
	  (get_song_title) (decode_loop): Changed checking location of
	  ID3v2 tags so that it is better at finding in-stream tags
	  (e.g. when using icecast).  If an in-stram tag is found, the
	  title will be updated.

Sat Jun 26 17:05:40 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* xmms/playlistwin.c, xmms/playlist.[ch] (playlist_select_all,
	playlist_select_none, playlist_inverse_selection):  Moved these
	functions to playlistwin.c, and fixed some minor problems when
	selecting files after these functions were run.

	* xmms/playlistwin.c (playlistwin_keypress): More keybindings in
	the playlistwindow:
	Insert: Filebrowser
	Shift+Insert: Dirbrowser
	Alt+Insert: Add URL

Fri Jun 25 22:39:14 CEST 1999  Olle Hällnäs  <olle@xmms.org>

	* Input/mpg123/Makefile.am fixed a spelling error.

Fri Jun 25 20:04:40 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/mpg123/fileinfo.c: Some simple fixes to make it compile.

1999-06-25  Espen Skoglund  <espensk@stud.cs.uit.no>

	* Input/mpg123/Makefile.am
 	  Input/mpg123/id3*
 	  Input/mpg123/common.c
	  Input/mpg123/mpg123.c: Added ID3v2 support.

	* Input/mpg123/mpg123.c (init) 
	  Input/mpg123/configure.c (mpg123_configurewin_ok)
	  (mpg123_configure) (auth_use_cb): Added configuration for
 	authentication.

	* Input/mpg123/http.c (encode64) (http_buffer_loop): Added support
 	for authentication.

Fri Jun 25 09:10:07 CEST 1999  Peter Alm  <peter@xmms.org>

	 * xmms/main.[ch]: Fixed a bug that caused the main window to have
	 illegal size hints after unshading it.

Fri Jun 25 01:47:35 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/mpg123/fileinfo.c (mpg123_file_info_box): Corrected some
	printf-strings. 

	* Input/mpg123/mpg123.[ch], Input/mpg123/common.c: Cleaned up the
	song time calculation and song title loading somewhat.

Thu Jun 24 17:50:02 CEST 1999  Peter Alm  <peter@xmms.org>

	* xmms/equalizer.[ch]
	  xmms/main.[ch]
	  xmms/playlistwin.[ch]: Fixed the GTK theme changing bug.

Wed Jun 23 01:25:06 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/mpg123/mpg123.c (get_song_title): Fixed a litle mistake.

Tue Jun 22 23:26:16 CEST 1999  Håvard Kvålen  <havardk@sol.no>

	* Input/mpg123/mpg123.c: Changed the song-time calculation to make
	it more accurate.

	* Input/mpg123/fileinfo.c: Made it possible to set the genre to
	nothing.

	* Input/mpg123/fileinfo.c: Added some info about the MPEG-stream
	to the fileinfo-box.

	* Input/mpg123/mpg123.c, Input/mpg123/dxhead.[ch]: Changed all
	C++-style comments to C ones.

	* Input/mpg123/fileinfo.c (mpg123_file_info_box): Moved around a
	bit on the comment and genre-boxes.

Wed Jun 16 22:35:48 CEST 1999  Peter Alm <peter@xmms.org>

	*/*.[ch]
	*/*/*.[ch]: Changed the copyright texts

Wed Jun 16 21:18:05 CEST 1999  Peter Alm <peter@xmms.org>

	* libxmms/acconfig.h: Added #undef:s for PACKAGE and VERSION (Thanks 
	again to Ryan Weaver)

	* General/joystick/Makefile.am
	  Input/cdaudio/Makefile.am
	  Output/Makefile.am
	  gnomexmms/Makefile.am: All files now gets packaged with make dist even
	  if the plugin isn't supported on the compile host. (Thanks to Ryan 
	Weaver)

	* gnomexmms/Makefile.am
	  configure.in: gnomexmms.gnorba and gnomexmms.desktop now gets installed
	  in the correct directories.

	* Input/mpg123/common.c
	  Input/mpg123/layer2.c
	  Input/mpg123/layer3.c
	  Input/mpg123/http.c: Removed some beeps and made it even more stable.

Tue Jun 15 20:43:57 CEST 1999  Peter Alm <peter@xmms.org>

	* Input/mpg123/common.c: The previous stuff was a bit broken.

Tue Jun 15 19:24:16 CEST 1999  Peter Alm <peter@xmms.org>

	* Input/mpg123/layer2.c
	  Input/mpg123/layer3.c
	  Input/mpg123/common.c: Improved header syncronization, streaming from 
	shoutcast/icecast servers should work *MUCH* better now.

	* xmms/playlist_list.c: Fixed a seg fault when clicking in a empty
	  playlist
  
	* configure.in: Changed AC_CHECK_HEADER to AC_CHECK_HEADERS for 
	  sys/soundcard.h. (Thanks to Ryan Weaver for pointing this out)

Mon Jun 14 19:11:51 CEST 1999  Peter Alm <peter@xmms.org>

	* ChangeLog: Restarted ChangeLog
